//**************************************************************************
//**
//**	##   ##    ##    ##   ##   ####     ####   ###     ###
//**	##   ##  ##  ##  ##   ##  ##  ##   ##  ##  ####   ####
//**	 ## ##  ##    ##  ## ##  ##    ## ##    ## ## ## ## ##
//**	 ## ##  ########  ## ##  ##    ## ##    ## ##  ###  ##
//**	  ###   ##    ##   ###    ##  ##   ##  ##  ##       ##
//**	   #    ##    ##    #      ####     ####   ##       ##
//**
//**	Copyright (C) 1999-2001 Jnis Legzdi
//**
//**	This program is free software; you can redistribute it and/or
//**  modify it under the terms of the GNU General Public License
//**  as published by the Free Software Foundation; either version 2
//**  of the License, or (at your option) any later version.
//**
//**	This program is distributed in the hope that it will be useful,
//**  but WITHOUT ANY WARRANTY; without even the implied warranty of
//**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//**  GNU General Public License for more details.
//**
//**************************************************************************
//**
//**	Weaponn info table
//**
//**	Generated by makeinfo.
//**
//**************************************************************************

void set_weapon_fist(player_t *player);
void set_weapon_pistol(player_t *player);
void set_weapon_shotgun(player_t *player);
void set_weapon_chaingun(player_t *player);
void set_weapon_missile(player_t *player);
void set_weapon_plasma(player_t *player);
void set_weapon_bfg(player_t *player);
void set_weapon_chainsaw(player_t *player);
void set_weapon_supershotgun(player_t *player);

weapon_func_t	weaponinfo[] =
{
	set_weapon_fist,
	set_weapon_pistol,
	set_weapon_shotgun,
	set_weapon_chaingun,
	set_weapon_missile,
	set_weapon_plasma,
	set_weapon_bfg,
	set_weapon_chainsaw,
	set_weapon_supershotgun,
#ifdef GRENADE_LAUNCHER
	set_weapon_grenade,
#endif
};

int weapon_ammo_type[] =
{
	am_noammo,
	am_clip,
	am_shell,
	am_clip,
	am_misl,
	am_cell,
	am_cell,
	am_noammo,
	am_shell,
#ifdef GRENADE_LAUNCHER
	am_misl,
#endif
};

//==========================================================================
//
//	set_weapon_fist
//
//==========================================================================

void set_weapon_fist(player_t *player)
{
	player->w_ammo = am_noammo;
	player->w_upstate = S_PUNCHUP;
	player->w_downstate = S_PUNCHDOWN;
	player->w_readystate = S_PUNCH;
	player->w_atkstate = S_PUNCH1;
	player->w_holdatkstate = S_NULL;
	player->w_flashstate = S_NULL;
}

//==========================================================================
//
//	set_weapon_pistol
//
//==========================================================================

void set_weapon_pistol(player_t *player)
{
	player->w_ammo = am_clip;
	player->w_upstate = S_PISTOLUP;
	player->w_downstate = S_PISTOLDOWN;
	player->w_readystate = S_PISTOL;
	player->w_atkstate = S_PISTOL1;
	player->w_holdatkstate = S_NULL;
	player->w_flashstate = S_PISTOLFLASH;
}

//==========================================================================
//
//	set_weapon_shotgun
//
//==========================================================================

void set_weapon_shotgun(player_t *player)
{
	player->w_ammo = am_shell;
	player->w_upstate = S_SGUNUP;
	player->w_downstate = S_SGUNDOWN;
	player->w_readystate = S_SGUN;
	player->w_atkstate = S_SGUN1;
	player->w_holdatkstate = S_NULL;
	player->w_flashstate = S_SGUNFLASH1;
}

//==========================================================================
//
//	set_weapon_chaingun
//
//==========================================================================

void set_weapon_chaingun(player_t *player)
{
	player->w_ammo = am_clip;
	player->w_upstate = S_CHAINUP;
	player->w_downstate = S_CHAINDOWN;
	player->w_readystate = S_CHAIN;
	player->w_atkstate = S_CHAIN1;
	player->w_holdatkstate = S_NULL;
	player->w_flashstate = S_CHAINFLASH1;
}

//==========================================================================
//
//	set_weapon_missile
//
//==========================================================================

void set_weapon_missile(player_t *player)
{
	player->w_ammo = am_misl;
	player->w_upstate = S_MISSILEUP;
	player->w_downstate = S_MISSILEDOWN;
	player->w_readystate = S_MISSILE;
	player->w_atkstate = S_MISSILE1;
	player->w_holdatkstate = S_NULL;
	player->w_flashstate = S_MISSILEFLASH1;
}

//==========================================================================
//
//	set_weapon_plasma
//
//==========================================================================

void set_weapon_plasma(player_t *player)
{
	player->w_ammo = am_cell;
	player->w_upstate = S_PLASMAUP;
	player->w_downstate = S_PLASMADOWN;
	player->w_readystate = S_PLASMA;
	player->w_atkstate = S_PLASMA1;
	player->w_holdatkstate = S_NULL;
	player->w_flashstate = S_PLASMAFLASH1;
}

//==========================================================================
//
//	set_weapon_bfg
//
//==========================================================================

void set_weapon_bfg(player_t *player)
{
	player->w_ammo = am_cell;
	player->w_upstate = S_BFGUP;
	player->w_downstate = S_BFGDOWN;
	player->w_readystate = S_BFG;
	player->w_atkstate = S_BFG1;
	player->w_holdatkstate = S_NULL;
	player->w_flashstate = S_BFGFLASH1;
}

//==========================================================================
//
//	set_weapon_chainsaw
//
//==========================================================================

void set_weapon_chainsaw(player_t *player)
{
	player->w_ammo = am_noammo;
	player->w_upstate = S_SAWUP;
	player->w_downstate = S_SAWDOWN;
	player->w_readystate = S_SAW;
	player->w_atkstate = S_SAW1;
	player->w_holdatkstate = S_NULL;
	player->w_flashstate = S_NULL;
}

//==========================================================================
//
//	set_weapon_supershotgun
//
//==========================================================================

void set_weapon_supershotgun(player_t *player)
{
	player->w_ammo = am_shell;
	player->w_upstate = S_DSGUNUP;
	player->w_downstate = S_DSGUNDOWN;
	player->w_readystate = S_DSGUN;
	player->w_atkstate = S_DSGUN1;
	player->w_holdatkstate = S_NULL;
	player->w_flashstate = S_DSGUNFLASH1;
}

