//**************************************************************************
//**
//**	##   ##    ##    ##   ##   ####     ####   ###     ###
//**	##   ##  ##  ##  ##   ##  ##  ##   ##  ##  ####   ####
//**	 ## ##  ##    ##  ## ##  ##    ## ##    ## ## ## ## ##
//**	 ## ##  ########  ## ##  ##    ## ##    ## ##  ###  ##
//**	  ###   ##    ##   ###    ##  ##   ##  ##  ##       ##
//**	   #    ##    ##    #      ####     ####   ##       ##
//**
//**	Copyright (C) 1999-2001 Jnis Legzdi
//**
//**	This program is free software; you can redistribute it and/or
//**  modify it under the terms of the GNU General Public License
//**  as published by the Free Software Foundation; either version 2
//**  of the License, or (at your option) any later version.
//**
//**	This program is distributed in the hope that it will be useful,
//**  but WITHOUT ANY WARRANTY; without even the implied warranty of
//**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//**  GNU General Public License for more details.
//**
//**************************************************************************
//**
//**	Screen resolution menu
//**
//**************************************************************************

// MACROS ------------------------------------------------------------------

// CONSTANTS ---------------------------------------------------------------

// TYPES -------------------------------------------------------------------

struct menu_resolution_t
{
	menu_t			menu;
	menutext_t		mode1;
	menutext_t		mode2;
	menutext_t		mode3;
	menutext_t		mode4;
	menutext_t		mode5;
	menutext_t		mode6;
	menutext_t		mode7;
	menutext_t		mode8;
	menutext_t		mode9;
	menutext_t		mode10;
	menutext_t		mode11;
	menutext_t		mode12;
	menutext_t		mode13;
	menutext_t		mode14;
	menutext_t		mode15;
	menutext_t		mode16;
	menutext_t		title;
};

// FUNCTION PROTOTYPES -----------------------------------------------------

// DATA DECLARATIONS -------------------------------------------------------

menu_resolution_t	ResolutionMenu;

// CODE --------------------------------------------------------------------

//==========================================================================
//
//	menu_resolution
//
//==========================================================================

void menu_resolution(void)
{
	int x = 120;
	int y = 26;

    InitMenu(&ResolutionMenu.menu);

	MenuText_InitCmd(&ResolutionMenu.mode1, x, y, "320x200x8", TEXT_SMALLL, "SetResolution 320 200 8\n");
	AddMenuItem(&ResolutionMenu.menu, &ResolutionMenu.mode1);
	y += 10;

	MenuText_InitCmd(&ResolutionMenu.mode2, x, y, "320x240x8", TEXT_SMALLL, "SetResolution 320 240 8\n");
	AddMenuItem(&ResolutionMenu.menu, &ResolutionMenu.mode2);
	y += 10;

	MenuText_InitCmd(&ResolutionMenu.mode3, x, y, "640x400x8", TEXT_SMALLL, "SetResolution 640 400 8\n");
	AddMenuItem(&ResolutionMenu.menu, &ResolutionMenu.mode3);
	y += 10;

	MenuText_InitCmd(&ResolutionMenu.mode4, x, y, "640x480x8", TEXT_SMALLL, "SetResolution 640 480 8\n");
	AddMenuItem(&ResolutionMenu.menu, &ResolutionMenu.mode4);
	y += 10;

	MenuText_InitCmd(&ResolutionMenu.mode5, x, y, "800x600x8", TEXT_SMALLL, "SetResolution 800 600 8\n");
	AddMenuItem(&ResolutionMenu.menu, &ResolutionMenu.mode5);
	y += 10;

	MenuText_InitCmd(&ResolutionMenu.mode6, x, y, "1024x768x8", TEXT_SMALLL, "SetResolution 1024 768 8\n");
	AddMenuItem(&ResolutionMenu.menu, &ResolutionMenu.mode6);
	y += 10;

	MenuText_InitCmd(&ResolutionMenu.mode7, x, y, "1152x864x8", TEXT_SMALLL, "SetResolution 1152 864 8\n");
	AddMenuItem(&ResolutionMenu.menu, &ResolutionMenu.mode7);
	y += 10;

	MenuText_InitCmd(&ResolutionMenu.mode8, x, y, "1280x1024x8", TEXT_SMALLL, "SetResolution 1280 1024 8\n");
	AddMenuItem(&ResolutionMenu.menu, &ResolutionMenu.mode8);
	y += 10;

	MenuText_InitCmd(&ResolutionMenu.mode9, x, y, "320x200x16", TEXT_SMALLL, "SetResolution 320 200 16\n");
	AddMenuItem(&ResolutionMenu.menu, &ResolutionMenu.mode9);
	y += 10;

	MenuText_InitCmd(&ResolutionMenu.mode10, x, y, "320x240x16", TEXT_SMALLL, "SetResolution 320 240 16\n");
	AddMenuItem(&ResolutionMenu.menu, &ResolutionMenu.mode10);
	y += 10;

	MenuText_InitCmd(&ResolutionMenu.mode11, x, y, "640x400x16", TEXT_SMALLL, "SetResolution 640 400 16\n");
	AddMenuItem(&ResolutionMenu.menu, &ResolutionMenu.mode11);
	y += 10;

	MenuText_InitCmd(&ResolutionMenu.mode12, x, y, "640x480x16", TEXT_SMALLL, "SetResolution 640 480 16\n");
	AddMenuItem(&ResolutionMenu.menu, &ResolutionMenu.mode12);
	y += 10;

	MenuText_InitCmd(&ResolutionMenu.mode13, x, y, "800x600x16", TEXT_SMALLL, "SetResolution 800 600 16\n");
	AddMenuItem(&ResolutionMenu.menu, &ResolutionMenu.mode13);
	y += 10;

	MenuText_InitCmd(&ResolutionMenu.mode14, x, y, "1024x768x16", TEXT_SMALLL, "SetResolution 1024 768 16\n");
	AddMenuItem(&ResolutionMenu.menu, &ResolutionMenu.mode14);
	y += 10;

	MenuText_InitCmd(&ResolutionMenu.mode15, x, y, "1152x864x16", TEXT_SMALLL, "SetResolution 1152 864 16\n");
	AddMenuItem(&ResolutionMenu.menu, &ResolutionMenu.mode15);
	y += 10;

	MenuText_InitCmd(&ResolutionMenu.mode16, x, y, "1280x1024x16", TEXT_SMALLL, "SetResolution 1280 1024 16\n");
	AddMenuItem(&ResolutionMenu.menu, &ResolutionMenu.mode16);

	MenuText_InitTitle(&ResolutionMenu.title, 160, 24, "SCREEN RESOLUTION", TEXT_BIGC);
	AddMenuItem(&ResolutionMenu.menu, &ResolutionMenu.title);

    PushMenu(&ResolutionMenu.menu);
}

