//**************************************************************************
//**
//**	##   ##    ##    ##   ##   ####     ####   ###     ###
//**	##   ##  ##  ##  ##   ##  ##  ##   ##  ##  ####   ####
//**	 ## ##  ##    ##  ## ##  ##    ## ##    ## ## ## ## ##
//**	 ## ##  ########  ## ##  ##    ## ##    ## ##  ###  ##
//**	  ###   ##    ##   ###    ##  ##   ##  ##  ##       ##
//**	   #    ##    ##    #      ####     ####   ##       ##
//**
//**	Copyright (C) 1999-2001 Jnis Legzdi
//**
//**	This program is free software; you can redistribute it and/or
//**  modify it under the terms of the GNU General Public License
//**  as published by the Free Software Foundation; either version 2
//**  of the License, or (at your option) any later version.
//**
//**	This program is distributed in the hope that it will be useful,
//**  but WITHOUT ANY WARRANTY; without even the implied warranty of
//**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//**  GNU General Public License for more details.
//**	
//**************************************************************************

#include "asm_i386.h"

#ifdef USEASM

.data

	Align4
s:
	.long 0
t:
	.long 0

.text

//==========================================================================
//
//	D_DrawSpanExact_8
//
//==========================================================================

	Align16
.globl C(D_DrawSpanExact_8)
C(D_DrawSpanExact_8):

	flds	C(ds_s)		// s
	flds	C(ds_t)		// t | s
	flds	C(ds_v)		// v | t | s
	flds	C(ds_dsdx)	// dsdx | v | t | s
	flds	C(ds_dtdx)	// dtdx | dsdx | v | t | s
	flds	C(ds_dvdx)	// dvdx | dtdx | dsdx | v | t | s

	//	Start fdiv for first pixel
	fld1				// 1 | dvdx | dtdx | dsdx | v | t | s
	fdiv	%st(4),%st	// 1/v | dvdx | dtdx | dsdx | v | t | s

	pushl	%edi
	pushl	%esi
	pushl	%ebx
	pushl	%ebp

	movl	C(ds_x),%edi
	movl	C(ds_y),%eax
	addl	C(ylookup)(,%eax,4),%edi
	addl	C(scrn),%edi
	movl	C(ds_count),%ecx
	movl	C(ds_fr),%ebx
	movl	C(ds_fdrdx),%ebp
	movl	C(ds_source),%esi

	jmp		LEnter

	Align16
LLoop:
	fadd	%st,%st(3)	// dvdx | dtdx | dsdx | v+dvdx | t | s
	fxch	%st(1)		// dtdx | dvdx | dsdx | v+dvdx | t | s
	fadd	%st,%st(4)	// dtdx | dvdx | dsdx | v+dvdx | t+dtdx | s
	fxch	%st(1)		// dvdx | dtdx | dsdx | v+dvdx | t+dtdx | s
	fxch	%st(2)		// dsdx | dtdx | dvdx | v+dvdx | t+dtdx | s
	fadd	%st,%st(5)	// dsdx | dtdx | dvdx | v+dvdx | t+dtdx | s+dsdx
	fxch	%st(2)		// dvdx | dtdx | dsdx | v+dvdx | t+dtdx | s+dsdx

	//	Start fdiv for next pixel
	fld1				// 1 | dvdx | dtdx | dsdx | v | t | s
	fdiv	%st(4),%st	// 1/v | dvdx | dtdx | dsdx | v | t | s

	movl	s,%eax
	movl	t,%edx
	andl	$255,%eax
	andl	$255,%edx
	sall	$8,%edx
	orl		%eax,%edx
	movl	%ebx,%eax
	shrl	$11,%eax
	movb	(%edx,%esi),%al
	movl	C(ds_colormap),%edx
	movb	(%edx,%eax),%al
	movb	%al,(%edi)

	addl	%ebp,%ebx
	incl	%edi

LEnter:
	//	Finish s and t calculations
	fld		%st			// 1/v | 1/v | dvdx | dtdx | dsdx | v | t | s
	fmul	%st(7),%st	// s/v | 1/v | dvdx | dtdx | dsdx | v | t | s
	fistpl	s			// 1/v | dvdx | dtdx | dsdx | v | t | s
	fmul	%st(5),%st	// t/v | dvdx | dtdx | dsdx | v | t | s
	fistpl	t			// dvdx | dtdx | dsdx | v | t | s

	decl	%ecx
	jnz		LLoop

	//	Draw last pixel
	movl	s,%eax
	movl	t,%edx
	andl	$255,%eax
	andl	$255,%edx
	sall	$8,%edx
	orl		%eax,%edx
	shrl	$11,%ebx
	movb	(%edx,%esi),%bl
	movl	C(ds_colormap),%edx
	movb	(%edx,%ebx),%al
	movb	%al,(%edi)

	fstp	%st(0)
	fstp	%st(0)
	fstp	%st(0)
	fstp	%st(0)
	fstp	%st(0)
	fstp	%st(0)
	popl	%ebp
	popl	%ebx
	popl	%esi
	popl	%edi

	jmp		C(D_DrawZSpan)

#endif
