//**************************************************************************
//**
//**	##   ##    ##    ##   ##   ####     ####   ###     ###
//**	##   ##  ##  ##  ##   ##  ##  ##   ##  ##  ####   ####
//**	 ## ##  ##    ##  ## ##  ##    ## ##    ## ## ## ## ##
//**	 ## ##  ########  ## ##  ##    ## ##    ## ##  ###  ##
//**	  ###   ##    ##   ###    ##  ##   ##  ##  ##       ##
//**	   #    ##    ##    #      ####     ####   ##       ##
//**
//**	Copyright (C) 1999-2001 Jnis Legzdi
//**
//**	This program is free software; you can redistribute it and/or
//**  modify it under the terms of the GNU General Public License
//**  as published by the Free Software Foundation; either version 2
//**  of the License, or (at your option) any later version.
//**
//**	This program is distributed in the hope that it will be useful,
//**  but WITHOUT ANY WARRANTY; without even the implied warranty of
//**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//**  GNU General Public License for more details.
//**	
//**************************************************************************

#include "asm_i386.h"

#ifdef USEASM

.data

	Align4
s:
	.long 0
t:
	.long 0

.text

//==========================================================================
//
//	D_DrawFuzzSpan_8
//
//==========================================================================

	Align16
.globl C(D_DrawFuzzSpan_8)
C(D_DrawFuzzSpan_8):

//	EBX - z
//	ECX - count
//	ESI - screen
//	EDI - light
//	EBP - zbuffer

	pushl	%ebp
	pushl	%edi
	pushl	%esi
	pushl	%ebx

	flds	C(ds_s)		// s
	flds	C(ds_t)		// t | s
	flds	C(ds_v)		// v | t | s
	flds	C(ds_dsdx)	// dsdx | v | t | s
	flds	C(ds_dtdx)	// dtdx | dsdx | v | t | s
	flds	C(ds_dvdx)	// dvdx | dtdx | dsdx | v | t | s

	movl	C(ds_fz),%ebx
	movl	C(ds_fr),%edi
	movl	C(ds_y),%eax
	movl	C(ylookup)(,%eax,4),%esi
	addl	C(ds_x),%esi
	movl	%esi,%ebp
	addl	C(scrn),%esi
	addl	%ebp,%ebp
	addl	C(zbuffer),%ebp
	movl	C(ds_count),%ecx
	jmp		LEnter

	Align16
LLoop:
	addl	C(ds_fdzdx),%ebx
	addl	C(ds_fdrdx),%edi
	incl	%esi
	addl	$2,%ebp
	fxch	%st(2)		// dsdx | dtdx | dvdx | v0 | t0 | s0
	fadd	%st,%st(5)	// dsdx | dtdx | dvdx | v0 | t0 | s
	fxch	%st(2)		// dvdx | dtdx | dsdx | v0 | t0 | s
	fxch	%st(1)		// dtdx | dvdx | dsdx | v0 | t0 | s
	fadd	%st,%st(4)	// dtdx | dvdx | dsdx | v0 | t | s
	fxch	%st(1)		// dvdx | dtdx | dsdx | v0 | t | s
	fadd	%st,%st(3)	// dvdx | dtdx | dsdx | v | t | s
LEnter:
	movl	%ebx,%eax
	shrl	$16,%eax
	cmpw	(%ebp),%ax
	jb		LSkipPixel

	fld1				// 1 | dvdx | dtdx | dsdx | v | t | s
	fdiv	%st(4),%st	// 1/v | dvdx | dtdx | dsdx | v | t | s
	fld		%st			// 1/v | 1/v | dvdx | dtdx | dsdx | v | t | s
	fmul	%st(7),%st	// s/v | 1/v | dvdx | dtdx | dsdx | v | t | s
	fistpl	s			// 1/v | dvdx | dtdx | dsdx | v | t | s
	fmul	%st(5),%st	// t/v | dvdx | dtdx | dsdx | v | t | s
	fistpl	t			// dvdx | dtdx | dsdx | v | t | s

	movl	s,%edx
	movl	t,%eax
	andl	$255,%edx
	andl	$255,%eax
	shll	$8,%eax
	addl	%edx,%eax
	movl	C(ds_source),%edx
	movb	(%eax,%edx),%al
	cmpb	$255,%al
	je		LSkipPixel

	movzbl	%al,%edx
	movl	%edi,%eax
	shrl	$11,%eax
	andl	$7936,%eax
	addl	%edx,%eax
	movl	C(ds_colormap),%edx
	movzbl	(%eax,%edx),%eax
	shll	$8,%eax
	movb	(%esi),%al
	movl	C(ds_transluc),%edx
	movb	(%edx,%eax),%al
	movb	%al,(%esi)
LSkipPixel:
	decl	%ecx
	jnz		LLoop

	fstp	%st(0)
	fstp	%st(0)
	fstp	%st(0)
	fstp	%st(0)
	fstp	%st(0)
	fstp	%st(0)
	popl	%ebx
	popl	%esi
	popl	%edi
	popl	%ebp
	ret

#endif
