//**************************************************************************
//**
//**	##   ##    ##    ##   ##   ####     ####   ###     ###
//**	##   ##  ##  ##  ##   ##  ##  ##   ##  ##  ####   ####
//**	 ## ##  ##    ##  ## ##  ##    ## ##    ## ## ## ## ##
//**	 ## ##  ########  ## ##  ##    ## ##    ## ##  ###  ##
//**	  ###   ##    ##   ###    ##  ##   ##  ##  ##       ##
//**	   #    ##    ##    #      ####     ####   ##       ##
//**
//**	Copyright (C) 1999-2001 Jnis Legzdi
//**
//**	This program is free software; you can redistribute it and/or
//**  modify it under the terms of the GNU General Public License
//**  as published by the Free Software Foundation; either version 2
//**  of the License, or (at your option) any later version.
//**
//**	This program is distributed in the hope that it will be useful,
//**  but WITHOUT ANY WARRANTY; without even the implied warranty of
//**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//**  GNU General Public License for more details.
//**	
//**************************************************************************

#include "asm_i386.h"

#ifdef USEASM

.data

	Align4
s:
	.long 0
t:
	.long 0
zz:
	.long 0

.text

//==========================================================================
//
//	D_DrawMaskedSpan_8
//
//==========================================================================

	Align16
.globl C(D_DrawMaskedSpan_8)
C(D_DrawMaskedSpan_8):

	flds	C(ds_s)		// s
	flds	C(ds_t)		// t | s
	flds	C(ds_v)		// v | t | s
	flds	C(ds_dsdx)	// dsdx | v | t | s
	flds	C(ds_dtdx)	// dtdx | dsdx | v | t | s
	flds	C(ds_dvdx)	// dvdx | dtdx | dsdx | v | t | s

	//	Start fdiv for first pixel
	fld1				// 1 | dvdx | dtdx | dsdx | v | t | s
	fdiv	%st(4),%st	// 1/v | dvdx | dtdx | dsdx | v | t | s

	pushl	%edi
	pushl	%esi
	pushl	%ebx
	pushl	%ebp

	movl	C(ds_fr),%ebp
	movl	C(ds_fz),%eax
	movl	%eax,zz
	movl	C(ds_count),%ecx
	movl	C(ds_source),%ebx
	movl	C(ds_y),%eax
	movl	C(ylookup)(,%eax,4),%esi
	addl	C(ds_x),%esi
	movl	%esi,%edi
	addl	C(scrn),%edi
	addl	%esi,%esi
	addl	C(zbuffer),%esi
	jmp		LEnter

	Align16
LLoop:
	fadd	%st,%st(3)	// dvdx | dtdx | dsdx | v+dvdx | t | s
	fxch	%st(1)		// dtdx | dvdx | dsdx | v+dvdx | t | s
	fadd	%st,%st(4)	// dtdx | dvdx | dsdx | v+dvdx | t+dtdx | s
	fxch	%st(1)		// dvdx | dtdx | dsdx | v+dvdx | t+dtdx | s
	fxch	%st(2)		// dsdx | dtdx | dvdx | v+dvdx | t+dtdx | s
	fadd	%st,%st(5)	// dsdx | dtdx | dvdx | v+dvdx | t+dtdx | s+dsdx
	fxch	%st(2)		// dvdx | dtdx | dsdx | v+dvdx | t+dtdx | s+dsdx

	//	Start fdiv for next pixel
	fld1				// 1 | dvdx | dtdx | dsdx | v | t | s
	fdiv	%st(4),%st	// 1/v | dvdx | dtdx | dsdx | v | t | s

	movl	s,%edx
	movl	t,%eax
	andl	$255,%edx
	andl	$255,%eax
	shll	$8,%eax
	addl	%eax,%edx
	movl	%ebp,%eax
	shrl	$11,%eax
	movb	(%edx,%ebx),%al
	cmpb	$255,%al
	je		LSkipPixel1
	movl	C(ds_colormap),%edx
	movb	(%edx,%eax),%al
	movb	%al,(%edi)
	movl	zz,%eax
	shrl	$16,%eax
	movw	%ax,(%esi)
LSkipPixel1:

	movl	C(ds_fdzdx),%eax
	addl	%eax,zz
	addl	C(ds_fdrdx),%ebp
	incl	%edi
	addl	$2,%esi

LEnter:
	fld		%st(6)
	fmul	%st(1),%st
	fistpl	s
	fld		%st(5)
	fmulp	%st,%st(1)
	fistpl	t

	decl	%ecx
	jnz		LLoop

	movl	s,%edx
	movl	t,%eax
	andl	$255,%edx
	andl	$255,%eax
	shll	$8,%eax
	addl	%eax,%edx
	movl	%ebp,%eax
	shrl	$11,%eax
	movb	(%edx,%ebx),%al
	cmpb	$255,%al
	je		LSkipPixel2
	movl	C(ds_colormap),%edx
	movb	(%edx,%eax),%al
	movb	%al,(%edi)
	movl	zz,%eax
	shrl	$16,%eax
	movw	%ax,(%esi)
LSkipPixel2:

	fstp	%st(0)
	fstp	%st(0)
	fstp	%st(0)
	fstp	%st(0)
	fstp	%st(0)
	fstp	%st(0)
	popl	%ebp
	popl	%ebx
	popl	%esi
	popl	%edi

	ret

#endif
