//**************************************************************************
//**
//**	##   ##    ##    ##   ##   ####     ####   ###     ###
//**	##   ##  ##  ##  ##   ##  ##  ##   ##  ##  ####   ####
//**	 ## ##  ##    ##  ## ##  ##    ## ##    ## ## ## ## ##
//**	 ## ##  ########  ## ##  ##    ## ##    ## ##  ###  ##
//**	  ###   ##    ##   ###    ##  ##   ##  ##  ##       ##
//**	   #    ##    ##    #      ####     ####   ##       ##
//**
//**	Copyright (C) 1999-2001 Jnis Legzdi
//**
//**	This program is free software; you can redistribute it and/or
//**  modify it under the terms of the GNU General Public License
//**  as published by the Free Software Foundation; either version 2
//**  of the License, or (at your option) any later version.
//**
//**	This program is distributed in the hope that it will be useful,
//**  but WITHOUT ANY WARRANTY; without even the implied warranty of
//**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//**  GNU General Public License for more details.
//**	
//**************************************************************************

#include "asm_i386.h"

#ifdef USEASM

.text

//==========================================================================
//
//	D_DrawSpriteSpan_8
//
//==========================================================================

	Align16
.globl C(D_DrawSpriteSpan_8)
C(D_DrawSpriteSpan_8):

	//	Save regs
	subl	$28,%esp
	pushl	%ebp
	pushl	%edi
	pushl	%esi
	pushl	%ebx

	//	Setup data
	movl	C(ds_fz),%eax
	movl	C(ds_fr),%edx
	movl	C(ds_x),%ecx
	flds	C(ds_s)
	flds	C(ds_t)
	flds	C(ds_v)
	movl	C(ds_count),%edi
	movl	%eax,20(%esp)
	movl	C(ds_y),%eax
	movl	%edx,16(%esp)
	movl	C(ylookup)(,%eax,4),%edx
	movl	%edx,%eax
	addl	C(scrn),%eax
	leal	(%ecx,%eax),%ebp
	movl	C(zbuffer),%eax
	leal	(%eax,%edx,2),%edx
	leal	(%edx,%ecx,2),%esi
	jmp		LEnter

	Align16
LLoop:
	fxch	%st(1)
	fxch	%st(2)
	fxch	%st(1)
LEnter:
	//	First check Z-buffer to see if pixel is on front of everything
	movl	20(%esp),%ebx
	shrl	$16,%ebx
	cmpw	(%esi),%bx
	jb		LSkipPixel

	//	Pixel is visible, calculate texture coordinates
	fld1
	fdiv	%st(1),%st
	fld		%st(3)
	fmul	%st(1),%st
	fistpl	24(%esp)
	movl	24(%esp),%ecx
	fld		%st(2)
	fmulp	%st,%st(1)
	fistpl	24(%esp)
	movl	24(%esp),%eax
	imull	C(ds_tex_width),%eax
	movl	C(ds_source),%edx
	addl	%ecx,%eax
	movb	(%eax,%edx),%al

	//	Check if pixel is not transparent
	cmpb	$255,%al
	je		LSkipPixel

	//	Not a transparent pixel so draw it
	xorl	%edx,%edx
	movb	%al,%dl
	movl	16(%esp),%eax
	sarl	$11,%eax
	andl	$7936,%eax
	movl	C(ds_colormap),%ecx
	addl	%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,(%ebp)
	movw	%bx,(%esi)

LSkipPixel:
	//	Advance counters
	fxch	%st(2)
	fadds	C(ds_dsdx)
	fxch	%st(1)
	movl	C(ds_fdzdx),%eax
	addl	%eax,20(%esp)
	fadds	C(ds_dtdx)
	fxch	%st(2)
	movl	C(ds_fdrdx),%edx
	addl	%edx,16(%esp)
	incl	%ebp
	addl	$2,%esi
	fadds	C(ds_dvdx)
	decl	%edi
	jnz		LLoop

	//	Cleanup and exit
	fstp	%st(0)
	fstp	%st(0)
	fstp	%st(0)
	popl	%ebx
	popl	%esi
	popl	%edi
	popl	%ebp
	addl	$28,%esp
	ret

#endif
