//**************************************************************************
//**
//**	##   ##    ##    ##   ##   ####     ####   ###     ###
//**	##   ##  ##  ##  ##   ##  ##  ##   ##  ##  ####   ####
//**	 ## ##  ##    ##  ## ##  ##    ## ##    ## ## ## ## ##
//**	 ## ##  ########  ## ##  ##    ## ##    ## ##  ###  ##
//**	  ###   ##    ##   ###    ##  ##   ##  ##  ##       ##
//**	   #    ##    ##    #      ####     ####   ##       ##
//**
//**	Copyright (C) 1999-2001 Jnis Legzdi
//**
//**	This program is free software; you can redistribute it and/or
//**  modify it under the terms of the GNU General Public License
//**  as published by the Free Software Foundation; either version 2
//**  of the License, or (at your option) any later version.
//**
//**	This program is distributed in the hope that it will be useful,
//**  but WITHOUT ANY WARRANTY; without even the implied warranty of
//**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//**  GNU General Public License for more details.
//**	
//**************************************************************************

#include "asm_i386.h"

#ifdef USEASM

.data
	Align4

snext:
	.long 0
tnext:
	.long 0
count:
	.long 0
dsdx8:
	.long 0x0
dtdx8:
	.long 0x0
dvdx8:
	.long 0x0
sstep:
	.long 0
tstep:
	.long 0
s:
	.long 0
t:
	.long 0
spancountminus1:
	.long 0
cmap1:
	.long 0
cmap2:
	.long 0
cmap3:
	.long 0
cmap4:
	.long 0
cmap5:
	.long 0
cmap6:
	.long 0
cmap7:
	.long 0
cmap8:
	.long 0
tmplight:
	.long 0
// 1/2, 1/3, 1/4, 1/5, 1/6, and 1/7 in 0.32 form
reciprocal_table:
	.long	0x40000000, 0x2aaaaaaa, 0x20000000
	.long	0x19999999, 0x15555555, 0x12492492
fp_64k:
	.long 0x47800000
fp_8:
	.long 0x41000000

.text

//==========================================================================
//
//	D_DrawSpan8_8
//
//==========================================================================

	Align16
.globl C(D_DrawSpan8_8)
C(D_DrawSpan8_8):

	//	Fill in FPU stack
	flds	fp_64k		// fp_64k
	flds	C(ds_v)		// v | fp_64k
	flds	C(ds_t)		// t | v | fp_64k
	flds	C(ds_s)		// s | t | v | fp_64k

	//	Start fdiv for the start of the span
	fld		%st(3)		// fp_64k | s | t | v | fp_64k
	fdiv	%st(3),%st	// fp_64k/v | s | t | v | fp_64k

	pushl	%ebp
	pushl	%edi
	pushl	%esi
	pushl	%ebx

	movl	C(ds_fr),%eax
	movl	%eax,tmplight

	movl	C(ds_source),%esi

	movl	C(ds_y),%eax
	movl	C(ylookup)(,%eax,4),%edi
	addl	C(ds_x),%edi
	addl	C(scrn),%edi

	movl	C(ds_count),%ecx

	cmpl	$8,%ecx
	ja		LSetupNotLast1

	decl	%ecx
	jz		LJustOnePixel

	fld		%st			// fp_64k/v | fp_64k/v | s | t | v | fp_64k
	fmul	%st(2),%st	// s*fp_64k/v | fp_64k/v | s | t | v | fp_64k
	fistpl	s			// fp_64k/v | s | t | v | fp_64k
	fmul	%st(2),%st	// t*fp_64k/v | s | t | v | fp_64k
	fistpl	t			// s | t | v | fp_64k

	movl	s,%ebx
	movl	t,%ebp

	movl	%ecx,spancountminus1
	// s0 | t0 | v0 | fp_64k
	fildl	spancountminus1	// scm1 | s0 | t0 | v0 | fp_64k
	fld		%st			// scm1 | scm1 | s0 | t0 | v0 | fp_64k
	fmuls	C(ds_dsdx)	// dsdx*dsdx | scm1 | s0 | t0 | v0 | fp_64k
	faddp	%st,%st(2)	// scm1 | s | t0 | v0 | fp_64k
	fld		%st			// scm1 | scm1 | s | t0 | v0 | fp_64k
	fmuls	C(ds_dtdx)	// dtdx*scm1 | scm1 | s | t0 | v0 | fp_64k
	faddp	%st,%st(3)	// scm1 | s | t | v0 | fp_64k
	fmuls	C(ds_dvdx)	// dvdx*scm1 | s | t | v0 | fp_64k
	faddp	%st,%st(3)	// s | t | v | fp_64k

	fld		%st(3)		// fp_64k | s | t | v | fp_64k
	fdiv	%st(3),%st	// fp_64k/v | s | t | v | fp_64k

	fld		%st			// fp_64k/v | fp_64k/v | s | t | v | fp_64k
	fmul	%st(2),%st	// s*fp_64k/v | fp_64k/v | s | t | v | fp_64k
	fistpl	snext		// fp_64k/v | s | t | v | fp_64k
	fmul	%st(2),%st	// t*fp_64k/v | s | t | v | fp_64k
	fistpl	tnext		// s | t | v | fp_64k

	cmpl	$1,%ecx
	je		LEntry2

	movl	snext,%eax
	subl	%ebx,%eax
	addl	%eax,%eax
	imull	reciprocal_table-8(,%ecx,4) // sstep = (snext - s) / (spancount-1)
	movl	%edx,sstep

	movl	tnext,%eax
	subl	%ebp,%eax
	addl	%eax,%eax
	imull	reciprocal_table-8(,%ecx,4) // tstep = (tnext - t) / (spancount-1)
	movl	%edx,tstep

	movl	%ecx,%eax
	movl	C(ds_colormap),%ecx

	jmp		LDrawLastPixels

LJustOnePixel:

	fld		%st			// fp_64k/v | fp_64k/v | s | t | v | fp_64k
	fmul	%st(2),%st	// s*fp_64k/v | fp_64k/v | s | t | v | fp_64k
	fistpl	s			// fp_64k/v | s | t | v | fp_64k
	fmul	%st(2),%st	// t*fp_64k/v | s | t | v | fp_64k
	fistpl	t			// s | t | v | fp_64k

	movl	s,%ebx
	movl	t,%ebp

	jmp		LEntry1

	Align16
LSetupNotLast1:

	//	Finish s and t calculations
	fld		%st			// fp_64k/v | fp_64k/v | s | t | v | fp_64k
	fmul	%st(2),%st	// s*fp_64k/v | fp_64k/v | s | t | v | fp_64k
	fistpl	s			// fp_64k/v | s | t | v | fp_64k
	fmul	%st(2),%st	// t*fp_64k/v | s | t | v | fp_64k
	fistpl	t			// s | t | v | fp_64k

	flds	fp_8		// 8 | s0 | t0 | v0 | fp_64k
	fmuls	C(ds_dsdx)	// dsdx8 | s0 | t0 | v0 | fp_64k
	fadd	%st,%st(1)	// dsdx8 | s | t0 | v0 | fp_64k
	fstps	dsdx8		// s | t0 | v0 | fp_64k
	flds	fp_8		// 8 | s | t0 | v0 | fp_64k
	fmuls	C(ds_dtdx)	// dtdx8 | s | t0 | v0 | fp_64k
	fadd	%st,%st(2)	// dtdx8 | s | t | v0 | fp_64k
	fstps	dtdx8		// s | t | v0 | fp_64k
	flds	fp_8		// 8 | s | t | v0 | fp_64k
	fmuls	C(ds_dvdx)	// dvdx8 | s | t | v0 | fp_64k
	fadd	%st,%st(3)	// dvdx8 | s | t | v | fp_64k
	fstps	dvdx8		// s | t | v | fp_64k

	fld		%st(3)		// fp_64k | s | t | v | fp_64k
	fdiv	%st(3),%st	// fp_64k/v | s | t | v | fp_64k

	jmp		LSegmentLoop2

	//-------------------

	Align16
LSetupNotLast2:
	movl	snext,%ebx
	movl	tnext,%ebp
	movl	%ebx,s
	movl	%ebp,t

LSegmentLoop2:
	movl	C(ds_fdrdx),%ebx
	movl	C(ds_colormap),%ebp
	movl	tmplight,%edx

//	EBX - ds_fdrdx
//	EDX - 0x1f00
//	ESI - ds_colormap
//	EDI - dest
//	EBP - light

	addl	$-8,%ecx
	movl	%ecx,count

	cmpl	$8,%ecx
	ja		LSetupNotLast3

	decl	%ecx
	jz		LSetupOnePixel

	fld		%st			// fp_64k/v | fp_64k/v | s | t | v | fp_64k

	movl	%edx,%eax
	shrl	$11,%eax

	fmul	%st(2),%st	// s*fp_64k/v | fp_64k/v | s | t | v | fp_64k

	andl	$0x1f00,%eax
	addl	%ebp,%eax
	movl	%eax,cmap1
	addl	%ebx,%edx

	fistpl	snext		// fp_64k/v | s | t | v | fp_64k

	movl	%edx,%eax
	shrl	$11,%eax

	fmul	%st(2),%st	// t*fp_64k/v | s | t | v | fp_64k

	andl	$0x1f00,%eax
	addl	%ebp,%eax
	movl	%eax,cmap2
	addl	%ebx,%edx

	fistpl	tnext		// s | t | v | fp_64k

	movl	%ecx,spancountminus1
	// s0 | t0 | v0 | fp_64k
	fildl	spancountminus1	// scm1 | s0 | t0 | v0 | fp_64k
	fld		%st			// scm1 | scm1 | s0 | t0 | v0 | fp_64k

	movl	%edx,%eax
	shrl	$11,%eax

	flds	C(ds_dsdx)	// dsdx | dsdx | scm1 | s0 | t0 | v0 | fp_64k

	andl	$0x1f00,%eax
	addl	%ebp,%eax

	fmulp	%st,%st(1)	// dsdx*dsdx | scm1 | s0 | t0 | v0 | fp_64k

	movl	%eax,cmap3
	addl	%ebx,%edx

	movl	%edx,%eax
	shrl	$11,%eax

	faddp	%st,%st(2)	// scm1 | s | t0 | v0 | fp_64k

	andl	$0x1f00,%eax
	addl	%ebp,%eax
	movl	%eax,cmap4
	addl	%ebx,%edx

	fld		%st			// scm1 | scm1 | s | t0 | v0 | fp_64k

	movl	%edx,%eax
	shrl	$11,%eax

	flds	C(ds_dtdx)	// dtdx | scm1 | scm1 | s | t0 | v0 | fp_64k

	andl	$0x1f00,%eax
	addl	%ebp,%eax

	fmulp	%st,%st(1)	// dtdx*scm1 | scm1 | s | t0 | v0 | fp_64k

	movl	%eax,cmap5
	addl	%ebx,%edx

	movl	%edx,%eax
	shrl	$11,%eax

	faddp	%st,%st(3)	// scm1 | s | t | v0 | fp_64k

	andl	$0x1f00,%eax
	addl	%ebp,%eax
	movl	%eax,cmap6
	addl	%ebx,%edx

	flds	C(ds_dvdx)	// dvdx | scm1 | s | t | v0 | fp_64k

	movl	%edx,%eax
	shrl	$11,%eax

	fmulp	%st,%st(1)	// dvdx*scm1 | s | t | v0 | fp_64k

	andl	$0x1f00,%eax
	addl	%ebp,%eax
	movl	%eax,cmap7
	addl	%ebx,%edx

	faddp	%st,%st(3)	// s | t | v | fp_64k

	movl	%edx,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	addl	%ebp,%eax

	fld		%st(3)		// fp_64k | s | t | v | fp_64k

	movl	%eax,cmap8
	addl	%ebx,%edx

	fdiv	%st(3),%st	// fp_64k/v | s | t | v | fp_64k

	jmp		LFDivOnFlight

	Align16
LSetupOnePixel:

	movl	%edx,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	addl	%ebp,%eax
	movl	%eax,cmap1
	addl	%ebx,%edx

	fld		%st			// fp_64k/v | fp_64k/v | s | t | v | fp_64k

	movl	%edx,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	addl	%ebp,%eax
	movl	%eax,cmap2
	addl	%ebx,%edx

	movl	%edx,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	addl	%ebp,%eax
	movl	%eax,cmap3
	addl	%ebx,%edx

	fmul	%st(2),%st	// s*fp_64k/v | fp_64k/v | s | t | v | fp_64k

	movl	%edx,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	addl	%ebp,%eax
	movl	%eax,cmap4
	addl	%ebx,%edx

	movl	%edx,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	addl	%ebp,%eax
	movl	%eax,cmap5
	addl	%ebx,%edx

	fistpl	snext		// fp_64k/v | s | t | v | fp_64k

	movl	%edx,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	addl	%ebp,%eax
	movl	%eax,cmap6
	addl	%ebx,%edx

	fmul	%st(2),%st	// t*fp_64k/v | s | t | v | fp_64k

	movl	%edx,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	addl	%ebp,%eax
	movl	%eax,cmap7
	addl	%ebx,%edx

	movl	%edx,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	addl	%ebp,%eax
	movl	%eax,cmap8
	addl	%ebx,%edx

	fistpl	tnext		// s | t | v | fp_64k

	jmp		LFDivOnFlight

	Align16
LSetupNotLast3:
	movl	%edx,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	addl	%ebp,%eax
	movl	%eax,cmap1
	addl	%ebx,%edx

	fld		%st			// fp_64k/v | fp_64k/v | s | t | v | fp_64k

	movl	%edx,%eax
	shrl	$11,%eax

	fmul	%st(2),%st	// s*fp_64k/v | fp_64k/v | s | t | v | fp_64k

	andl	$0x1f00,%eax
	addl	%ebp,%eax
	movl	%eax,cmap2
	addl	%ebx,%edx

	movl	%edx,%eax
	shrl	$11,%eax

	fistpl	snext		// fp_64k/v | s | t | v | fp_64k

	andl	$0x1f00,%eax
	addl	%ebp,%eax

	fmul	%st(2),%st	// t*fp_64k/v | s | t | v | fp_64k

	movl	%eax,cmap3
	addl	%ebx,%edx

	movl	%edx,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	addl	%ebp,%eax
	movl	%eax,cmap4
	addl	%ebx,%edx

	fistpl	tnext		// s | t | v | fp_64k

	movl	%edx,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	addl	%ebp,%eax

	// s0 | t0 | v0 | fp_64k
	flds	dsdx8		// dsdx8 | s | t0 | v0 | fp_64k

	movl	%eax,cmap5
	addl	%ebx,%edx

	faddp	%st,%st(1)	// s | t0 | v0 | fp_64k

	movl	%edx,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	addl	%ebp,%eax

	flds	dtdx8		// dtdx8 | s | t0 | v0 | fp_64k

	movl	%eax,cmap6
	addl	%ebx,%edx

	faddp	%st,%st(2)	// s | t | v0 | fp_64k

	movl	%edx,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	addl	%ebp,%eax

	flds	dvdx8		// dvdx8 | s | t | v0 | fp_64k

	movl	%eax,cmap7
	addl	%ebx,%edx

	faddp	%st,%st(3)	// s | t | v | fp_64k

	movl	%edx,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	addl	%ebp,%eax

	fld		%st(3)		// fp_64k | s | t | v | fp_64k

	movl	%eax,cmap8
	addl	%ebx,%edx

	fdiv	%st(3),%st	// fp_64k/v | s | t | v | fp_64k

LFDivOnFlight:
	movl	%edx,tmplight

//	EDI - dest
//	EBP - light

	movl	s,%ebx
	movl	t,%ebp

	movl	snext,%eax
	subl	%ebx,%eax
	shrl	$3,%eax
	movl	%eax,sstep

	movl	tnext,%ecx
	subl	%ebp,%ecx
	shrl	$3,%ecx

//	EBX - s
//	ECX - tstep
//	EDI - dest
//	ESI - source

	movl	%ebx,%eax
	movl	%ebp,%edx
	shrl	$16,%eax
	andl	$0xff0000,%edx
	shrl	$8,%edx
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	cmap1,%eax
	movb	(%eax,%edx),%al
	movb	%al,(%edi)
	addl	sstep,%ebx
	addl	%ecx,%ebp

	movl	%ebx,%eax
	movl	%ebp,%edx
	shrl	$16,%eax
	andl	$0xff0000,%edx
	shrl	$8,%edx
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	cmap2,%eax
	movb	(%edx,%eax),%al
	movb	%al,1(%edi)
	addl	sstep,%ebx
	addl	%ecx,%ebp

	movl	%ebx,%eax
	movl	%ebp,%edx
	shrl	$16,%eax
	andl	$0xff0000,%edx
	shrl	$8,%edx
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	cmap3,%eax
	movb	(%edx,%eax),%al
	movb	%al,2(%edi)
	addl	sstep,%ebx
	addl	%ecx,%ebp

	movl	%ebx,%eax
	movl	%ebp,%edx
	shrl	$16,%eax
	andl	$0xff0000,%edx
	shrl	$8,%edx
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	cmap4,%eax
	movb	(%edx,%eax),%al
	movb	%al,3(%edi)
	addl	sstep,%ebx
	addl	%ecx,%ebp

	movl	%ebx,%eax
	movl	%ebp,%edx
	shrl	$16,%eax
	andl	$0xff0000,%edx
	shrl	$8,%edx
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	cmap5,%eax
	movb	(%edx,%eax),%al
	movb	%al,4(%edi)
	addl	sstep,%ebx
	addl	%ecx,%ebp

	movl	%ebx,%eax
	movl	%ebp,%edx
	shrl	$16,%eax
	andl	$0xff0000,%edx
	shrl	$8,%edx
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	cmap6,%eax
	movb	(%edx,%eax),%al
	movb	%al,5(%edi)
	addl	sstep,%ebx
	addl	%ecx,%ebp

	movl	%ebx,%eax
	movl	%ebp,%edx
	shrl	$16,%eax
	andl	$0xff0000,%edx
	shrl	$8,%edx
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	cmap7,%eax
	movb	(%edx,%eax),%al
	movb	%al,6(%edi)
	addl	sstep,%ebx
	addl	%ecx,%ebp

	movl	%ebx,%eax
	movl	%ebp,%edx
	shrl	$16,%eax
	andl	$0xff0000,%edx
	shrl	$8,%edx
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	cmap8,%eax
	movb	(%edx,%eax),%al
	movb	%al,7(%edi)

	addl	$8,%edi

	movl	count,%ecx
	cmpl	$8,%ecx
	ja		LSetupNotLast2

	//
	//	Last segment
	//

	movl	snext,%ebx
	movl	tnext,%ebp

	decl	%ecx
	jz		LEntry1

	fld		%st			// fp_64k/v | fp_64k/v | s | t | v | fp_64k
	fmul	%st(2),%st	// s*fp_64k/v | fp_64k/v | s | t | v | fp_64k
	fistpl	snext		// fp_64k/v | s | t | v | fp_64k
	fmul	%st(2),%st	// t*fp_64k/v | s | t | v | fp_64k
	fistpl	tnext		// s | t | v | fp_64k

	cmpl	$1,%ecx
	je		LEntry2

	// convert to 15.17 format so multiply by 1.31 reciprocal yields 16.48

	movl	snext,%eax
	subl	%ebx,%eax
	addl	%eax,%eax
	imull	reciprocal_table-8(,%ecx,4) // sstep = (snext - s) / (spancount-1)
	movl	%edx,sstep

	movl	tnext,%eax
	subl	%ebp,%eax
	addl	%eax,%eax
	imull	reciprocal_table-8(,%ecx,4) // tstep = (tnext - t) / (spancount-1)
	movl	%edx,tstep

	movl	%ecx,%eax
	movl	C(ds_colormap),%ecx

LDrawLastPixels:
	jmp		*LEntryTable(,%eax,4)

	Align16
LEntryTable:
	.long	0
	.long	LEntry2
	.long	LEntry3
	.long	LEntry4
	.long	LEntry5
	.long	LEntry6
	.long	LEntry7
	.long	LEntry8

	Align16
LEntry8:
	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,1(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,2(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,3(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,4(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,5(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,6(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	shrl	$8,%ebp
	andl	$65280,%ebp
	shrl	$16,%ebx
	andl	$255,%ebx
	orl		%ebx,%ebp
	movzbl	(%ebp,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,7(%edi)

	jmp		LExit

	Align16
LEntry7:
	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,1(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,2(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,3(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,4(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,5(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	shrl	$8,%ebp
	andl	$65280,%ebp
	shrl	$16,%ebx
	andl	$255,%ebx
	orl		%ebx,%ebp
	movzbl	(%ebp,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,6(%edi)

	jmp		LExit

	Align16
LEntry6:
	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,1(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,2(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,3(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,4(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	shrl	$8,%ebp
	andl	$65280,%ebp
	shrl	$16,%ebx
	andl	$255,%ebx
	orl		%ebx,%ebp
	movzbl	(%ebp,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,5(%edi)

	jmp		LExit

	Align16
LEntry5:
	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,1(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,2(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,3(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	shrl	$8,%ebp
	andl	$65280,%ebp
	shrl	$16,%ebx
	andl	$255,%ebx
	orl		%ebx,%ebp
	movzbl	(%ebp,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,4(%edi)

	jmp		LExit

	Align16
LEntry4:
	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,1(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,2(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	shrl	$8,%ebp
	andl	$65280,%ebp
	shrl	$16,%ebx
	andl	$255,%ebx
	orl		%ebx,%ebp
	movzbl	(%ebp,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,3(%edi)

	jmp		LExit

	Align16
LEntry3:
	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,1(%edi)
	movl	C(ds_fdrdx),%eax
	addl	%eax,tmplight
	addl	sstep,%ebx
	addl	tstep,%ebp

	shrl	$8,%ebp
	andl	$65280,%ebp
	shrl	$16,%ebx
	andl	$255,%ebx
	orl		%ebx,%ebp
	movzbl	(%ebp,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,2(%edi)

	jmp		LExit

	Align16
LEntry2:
	movl	C(ds_colormap),%ecx

	movl	%ebp,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	%ebx,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,(%edi)

	movl	tnext,%edx
	shrl	$8,%edx
	andl	$65280,%edx
	movl	snext,%eax
	shrl	$16,%eax
	andl	$255,%eax
	orl		%eax,%edx
	movzbl	(%edx,%esi),%edx
	movl	tmplight,%eax
	addl	C(ds_fdrdx),%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,1(%edi)

	jmp		LExit

	Align16
LEntry1:
	movl	C(ds_colormap),%ecx

	shrl	$8,%ebp
	andl	$65280,%ebp
	shrl	$16,%ebx
	andl	$255,%ebx
	orl		%ebx,%ebp
	movzbl	(%ebp,%esi),%edx
	movl	tmplight,%eax
	shrl	$11,%eax
	andl	$0x1f00,%eax
	orl		%eax,%edx
	movb	(%edx,%ecx),%al
	movb	%al,(%edi)

//	Align16
LExit:
	fstp	%st(0)
	fstp	%st(0)
	fstp	%st(0)
	fstp	%st(0)
	popl	%ebx
	popl	%esi
	popl	%edi
	popl	%ebp

	jmp		C(D_DrawZSpan)

#endif
