;**************************************************************************
;**
;**	   ##   ##    ##    ##   ##   ####     ####   ###     ###
;**	   ##   ##  ##  ##  ##   ##  ##  ##   ##  ##  ####   ####
;**	    ## ##  ##    ##  ## ##  ##    ## ##    ## ## ## ## ##
;**	    ## ##  ########  ## ##  ##    ## ##    ## ##  ###  ##
;**	     ###   ##    ##   ###    ##  ##   ##  ##  ##       ##
;**	      #    ##    ##    #      ####     ####   ##       ##
;**
;**	    Copyright (C) 1999-2001 Jnis Legzdi
;**
;**     This program is free software; you can redistribute it and/or
;**  modify it under the terms of the GNU General Public License
;**  as published by the Free Software Foundation; either version 2
;**  of the License, or (at your option) any later version.
;**
;**	    This program is distributed in the hope that it will be useful,
;**  but WITHOUT ANY WARRANTY; without even the implied warranty of
;**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;**  GNU General Public License for more details.
;**
;**************************************************************************

include asm_i386.inc

_DATA SEGMENT
 align 4
mmbuf:
 dd 0
 dd 0
_DATA ENDS
_TEXT SEGMENT
 align 4
 public _D_DrawZSpan
_D_DrawZSpan:
 push ebp
 push edi
 push esi
 push ebx
 mov eax,ds:dword ptr[_ds_y]
 mov edi,ds:dword ptr[_ylookup+eax*4]
 add edi,ds:dword ptr[_ds_x]
 add edi,edi
 add edi,ds:dword ptr[_zbuffer]
 mov ebx,ds:dword ptr[_ds_fz]
 mov esi,ds:dword ptr[_ds_fdzdx]
 mov ecx,ds:dword ptr[_ds_count]
 test edi,2
 jz LMiddle
 mov eax,ebx
 add ebx,esi
 shr eax,16
 dec ecx
 mov ds:word ptr[edi],ax
 add edi,2
LMiddle:
 mov ebp,ecx
 test ds:dword ptr[_mmx_mask16],ebp
 jnz LDrawZSpan_mmx
 shr ecx,1
 jz LLast
 shr ecx,1
 jnc LMiddleLoop
 mov edx,ebx
 add ebx,esi
 mov eax,ebx
 add ebx,esi
 shr edx,16
 and eax,0ffff0000h
 or eax,edx
 mov ds:dword ptr[edi],eax
 add edi,4
 and ecx,ecx
 jz LLast
 align 4
LMiddleLoop:
 mov edx,ebx
 add ebx,esi
 mov eax,ebx
 add ebx,esi
 shr edx,16
 and eax,0ffff0000h
 or eax,edx
 mov ds:dword ptr[edi],eax
 mov edx,ebx
 add ebx,esi
 mov eax,ebx
 add ebx,esi
 shr edx,16
 and eax,0ffff0000h
 or eax,edx
 mov ds:dword ptr[4+edi],eax
 add edi,8
 dec ecx
 jnz LMiddleLoop
LLast:
 and ebp,1
 jz LExit
 shr ebx,16
 mov ds:word ptr[edi],bx
LExit:
 pop ebx
 pop esi
 pop edi
 pop ebp
 ret
 align 4
LDrawZSpan_mmx:
 shr ecx,1
 mov ds:dword ptr[mmbuf],ebx
 add ebx,esi
 mov ds:dword ptr[mmbuf+4],ebx
 movq mm0,ds:qword ptr[mmbuf]
 add esi,esi
 mov ds:dword ptr[mmbuf],esi
 mov ds:dword ptr[mmbuf+4],esi
 movq mm1,ds:qword ptr[mmbuf]
 shr ecx,1
 jnc LMMXDoQwords
 movq mm2,mm0
 paddd mm0,mm1
 psrld mm2,16
 packssdw mm2,mm0
 movd ds:dword ptr[edi],mm2
 add edi,4
LMMXDoQwords:
 shr ecx,1
 jnc LMMXMiddleLoop
 movq mm2,mm0
 paddd mm0,mm1
 movq mm3,mm0
 paddd mm0,mm1
 psrld mm2,16
 psrld mm3,16
 packssdw mm2,mm3
 movq ds:qword ptr[edi],mm2
 add edi,8
 align 4
LMMXMiddleLoop:
 movq mm2,mm0
 paddd mm0,mm1
 movq mm3,mm0
 paddd mm0,mm1
 psrld mm2,16
 psrld mm3,16
 packssdw mm2,mm3
 movq ds:qword ptr[edi],mm2
 movq mm2,mm0
 paddd mm0,mm1
 movq mm3,mm0
 paddd mm0,mm1
 psrld mm2,16
 psrld mm3,16
 packssdw mm2,mm3
 movq ds:qword ptr[8+edi],mm2
 add edi,16
 dec ecx
 jz LMMXLast
 movq mm2,mm0
 paddd mm0,mm1
 movq mm3,mm0
 paddd mm0,mm1
 psrld mm2,16
 psrld mm3,16
 packssdw mm2,mm3
 movq ds:qword ptr[edi],mm2
 movq mm2,mm0
 paddd mm0,mm1
 movq mm3,mm0
 paddd mm0,mm1
 psrld mm2,16
 psrld mm3,16
 packssdw mm2,mm3
 movq ds:qword ptr[8+edi],mm2
 add edi,16
 dec ecx
 jnz LMMXMiddleLoop
LMMXLast:
 and ebp,1
 jz LMMXExit
 movd eax,mm0
 shr eax,16
 mov ds:word ptr[edi],ax
LMMXExit:
 emms
 pop ebx
 pop esi
 pop edi
 pop ebp
 ret
_TEXT ENDS
 END
