;**************************************************************************
;**
;**	   ##   ##    ##    ##   ##   ####     ####   ###     ###
;**	   ##   ##  ##  ##  ##   ##  ##  ##   ##  ##  ####   ####
;**	    ## ##  ##    ##  ## ##  ##    ## ##    ## ## ## ## ##
;**	    ## ##  ########  ## ##  ##    ## ##    ## ##  ###  ##
;**	     ###   ##    ##   ###    ##  ##   ##  ##  ##       ##
;**	      #    ##    ##    #      ####     ####   ##       ##
;**
;**	    Copyright (C) 1999-2001 Jnis Legzdi
;**
;**     This program is free software; you can redistribute it and/or
;**  modify it under the terms of the GNU General Public License
;**  as published by the Free Software Foundation; either version 2
;**  of the License, or (at your option) any later version.
;**
;**	    This program is distributed in the hope that it will be useful,
;**  but WITHOUT ANY WARRANTY; without even the implied warranty of
;**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;**  GNU General Public License for more details.
;**
;**************************************************************************

include asm_i386.inc

_TEXT SEGMENT
 align 4
 public _RunFunction
_RunFunction:
 push ebp
 mov ebp,esp
 sub esp,256
 push edi
 push esi
 push ebx
 mov edi,ds:dword ptr[8+ebp]
 mov ds:dword ptr[_current_func],edi
 sal edi,4
 add edi,ds:dword ptr[_pr_functions]
 mov eax,ds:dword ptr[4+edi]
 test eax,eax
 jge LINTERPRET_FUNCTION
 sal eax,2
 mov edx,ds:dword ptr[_pr_builtins]
 sub edx,eax
 mov eax,ds:dword ptr[edx]
 call eax
 jmp LEND_RUN_FUNCTION
 align 4
LINTERPRET_FUNCTION:
 mov esi,ds:dword ptr[_pr_stackPtr]
 mov eax,ds:dword ptr[8+edi]
 mov edi,ds:dword ptr[4+edi]
 test eax,eax
 je LSET_STATEMENT_POINTER
 mov edx,eax
LPOP_ARGS_LOOP:
 dec edx
 dec esi
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[-256+ebp+edx*4],eax
 test edx,edx
 jne LPOP_ARGS_LOOP
LSET_STATEMENT_POINTER:
 sal edi,2
 add edi,ds:dword ptr[_pr_statements]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPCODE_TABLE:
 dd LOPC_DONE
 dd LOPC_RETURN
 dd LOPC_PUSHNUMBER
 dd LOPC_PUSHPOINTED
 dd LOPC_LOCALADDRESS
 dd LOPC_GLOBALADDRESS
 dd LOPC_ADD
 dd LOPC_SUBTRACT
 dd LOPC_MULTIPLY
 dd LOPC_DIVIDE
 dd LOPC_MODULUS
 dd LOPC_UDIVIDE
 dd LOPC_UMODULUS
 dd LOPC_EQ
 dd LOPC_NE
 dd LOPC_LT
 dd LOPC_GT
 dd LOPC_LE
 dd LOPC_GE
 dd LOPC_ULT
 dd LOPC_UGT
 dd LOPC_ULE
 dd LOPC_UGE
 dd LOPC_ANDLOGICAL
 dd LOPC_ORLOGICAL
 dd LOPC_NEGATELOGICAL
 dd LOPC_ANDBITWISE
 dd LOPC_ORBITWISE
 dd LOPC_XORBITWISE
 dd LOPC_LSHIFT
 dd LOPC_RSHIFT
 dd LOPC_URSHIFT
 dd LOPC_UNARYMINUS
 dd LOPC_BITINVERSE
 dd LOPC_CALL
 dd LOPC_GOTO
 dd LOPC_IFGOTO
 dd LOPC_IFNOTGOTO
 dd LOPC_CASEGOTO
 dd LOPC_DROP
 dd LOPC_ASSIGN
 dd LOPC_ADDVAR
 dd LOPC_SUBVAR
 dd LOPC_MULVAR
 dd LOPC_DIVVAR
 dd LOPC_MODVAR
 dd LOPC_UDIVVAR
 dd LOPC_UMODVAR
 dd LOPC_ANDVAR
 dd LOPC_ORVAR
 dd LOPC_XORVAR
 dd LOPC_LSHIFTVAR
 dd LOPC_RSHIFTVAR
 dd LOPC_URSHIFTVAR
 dd LOPC_PREINC
 dd LOPC_PREDEC
 dd LOPC_POSTINC
 dd LOPC_POSTDEC
 dd LOPC_IFTOPGOTO
 dd LOPC_IFNOTTOPGOTO
 dd LOPC_ASSIGN_DROP
 dd LOPC_ADDVAR_DROP
 dd LOPC_SUBVAR_DROP
 dd LOPC_MULVAR_DROP
 dd LOPC_DIVVAR_DROP
 dd LOPC_MODVAR_DROP
 dd LOPC_UDIVVAR_DROP
 dd LOPC_UMODVAR_DROP
 dd LOPC_ANDVAR_DROP
 dd LOPC_ORVAR_DROP
 dd LOPC_XORVAR_DROP
 dd LOPC_LSHIFTVAR_DROP
 dd LOPC_RSHIFTVAR_DROP
 dd LOPC_URSHIFTVAR_DROP
 dd LOPC_INC_DROP
 dd LOPC_DEC_DROP
 dd LOPC_FADD
 dd LOPC_FSUBTRACT
 dd LOPC_FMULTIPLY
 dd LOPC_FDIVIDE
 dd LOPC_FEQ
 dd LOPC_FNE
 dd LOPC_FLT
 dd LOPC_FGT
 dd LOPC_FLE
 dd LOPC_FGE
 dd LOPC_FUNARYMINUS
 dd LOPC_FADDVAR
 dd LOPC_FSUBVAR
 dd LOPC_FMULVAR
 dd LOPC_FDIVVAR
 dd LOPC_FADDVAR_DROP
 dd LOPC_FSUBVAR_DROP
 dd LOPC_FMULVAR_DROP
 dd LOPC_FDIVVAR_DROP
 dd LOPC_SWAP
 dd LOPC_ICALL
 dd LOPC_VPUSHPOINTED
 dd LOPC_VADD
 dd LOPC_VSUBTRACT
 dd LOPC_VPRESCALE
 dd LOPC_VPOSTSCALE
 dd LOPC_VISCALE
 dd LOPC_VEQ
 dd LOPC_VNE
 dd LOPC_VUNARYMINUS
 dd LOPC_VDROP
 dd LOPC_VASSIGN
 dd LOPC_VADDVAR
 dd LOPC_VSUBVAR
 dd LOPC_VSCALEVAR
 dd LOPC_VISCALEVAR
 dd LOPC_VASSIGN_DROP
 dd LOPC_VADDVAR_DROP
 dd LOPC_VSUBVAR_DROP
 dd LOPC_VSCALEVAR_DROP
 dd LOPC_VISCALEVAR_DROP
 align 4
LINC_STATEMENT_POINTER:
 add edi,4
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_DONE:
 call near ptr _PR_RFInvalidOpcode
 align 4
LOPC_PUSHNUMBER:
 mov eax,ds:dword ptr[edi]
 mov ds:dword ptr[_pr_stack+esi*4],eax
 add edi,4
 inc esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_PUSHPOINTED:
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[eax]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_LOCALADDRESS:
 mov eax,ds:dword ptr[edi]
 sal eax,2
 lea eax,ds:dword ptr[-256+ebp+eax]
 mov ds:dword ptr[_pr_stack+esi*4],eax
 add edi,4
 inc esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_GLOBALADDRESS:
 mov eax,ds:dword ptr[edi]
 mov edx,ds:dword ptr[_pr_globaldefs]
 movzx eax,ds:word ptr[2+edx+eax*8]
 sal eax,2
 add eax,ds:dword ptr[_pr_globals]
 mov ds:dword ptr[_pr_stack+esi*4],eax
 add edi,4
 inc esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_ADD:
 dec esi
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 add ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_SUBTRACT:
 dec esi
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 sub ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_MULTIPLY:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 imul eax,ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_DIVIDE:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 cdq
 idiv ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_MODULUS:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 cdq
 idiv ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[_pr_stack-4+esi*4],edx
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_UDIVIDE:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 xor edx,edx
 div ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_UMODULUS:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 xor edx,edx
 div ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[_pr_stack-4+esi*4],edx
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_EQ:
 dec esi
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 cmp ds:dword ptr[_pr_stack-4+esi*4],eax
 sete al
 and eax,1
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_NE:
 dec esi
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 cmp ds:dword ptr[_pr_stack-4+esi*4],eax
 setne al
 and eax,1
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_LT:
 dec esi
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 cmp ds:dword ptr[_pr_stack-4+esi*4],eax
 setl al
 and eax,1
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_GT:
 dec esi
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 cmp ds:dword ptr[_pr_stack-4+esi*4],eax
 setg al
 and eax,1
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_LE:
 dec esi
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 cmp ds:dword ptr[_pr_stack-4+esi*4],eax
 setle al
 and eax,1
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_GE:
 dec esi
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 cmp ds:dword ptr[_pr_stack-4+esi*4],eax
 setge al
 and eax,1
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_ULT:
 dec esi
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 cmp ds:dword ptr[_pr_stack-4+esi*4],eax
 setb al
 and eax,1
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_UGT:
 dec esi
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 cmp ds:dword ptr[_pr_stack-4+esi*4],eax
 seta al
 and eax,1
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_ULE:
 dec esi
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 cmp ds:dword ptr[_pr_stack-4+esi*4],eax
 setbe al
 and eax,1
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_UGE:
 dec esi
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 cmp ds:dword ptr[_pr_stack-4+esi*4],eax
 setae al
 and eax,1
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_ANDLOGICAL:
 dec esi
 cmp ds:dword ptr[_pr_stack-4+esi*4],0
 je LAND_FALSE
 cmp ds:dword ptr[_pr_stack+esi*4],0
 je LAND_FALSE
 mov ds:dword ptr[_pr_stack-4+esi*4],1
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
LAND_FALSE:
 mov ds:dword ptr[_pr_stack-4+esi*4],0
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_ORLOGICAL:
 dec esi
 cmp ds:dword ptr[_pr_stack-4+esi*4],0
 jne LOR_TRUE
 cmp ds:dword ptr[_pr_stack+esi*4],0
 jne LOR_TRUE
 mov ds:dword ptr[_pr_stack-4+esi*4],0
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
LOR_TRUE:
 mov ds:dword ptr[_pr_stack-4+esi*4],1
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_NEGATELOGICAL:
 cmp ds:dword ptr[_pr_stack-4+esi*4],0
 sete al
 and eax,1
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_ANDBITWISE:
 dec esi
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 and ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_ORBITWISE:
 dec esi
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 or ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_XORBITWISE:
 dec esi
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 xor ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_LSHIFT:
 dec esi
 mov ecx,ds:dword ptr[_pr_stack+esi*4]
 sal ds:dword ptr[_pr_stack-4+esi*4],cl
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_RSHIFT:
 dec esi
 mov ecx,ds:dword ptr[_pr_stack+esi*4]
 sar ds:dword ptr[_pr_stack-4+esi*4],cl
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_URSHIFT:
 dec esi
 mov ecx,ds:dword ptr[_pr_stack+esi*4]
 shr ds:dword ptr[_pr_stack-4+esi*4],cl
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_UNARYMINUS:
 neg ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_BITINVERSE:
 not ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_CALL:
 mov ds:dword ptr[_pr_stackPtr],esi
 add esp,offset -12
 push ds:dword ptr[edi]
 add edi,4
 call near ptr _RunFunction
 add esp,16
 mov eax,ds:dword ptr[8+ebp]
 mov ds:dword ptr[_current_func],eax
 mov esi,ds:dword ptr[_pr_stackPtr]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_GOTO:
 mov edi,ds:dword ptr[edi]
 sal edi,2
 add edi,ds:dword ptr[_pr_statements]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_IFGOTO:
 dec esi
 cmp ds:dword ptr[_pr_stack+esi*4],0
 je LINC_STATEMENT_POINTER
 mov edi,ds:dword ptr[edi]
 sal edi,2
 add edi,ds:dword ptr[_pr_statements]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_IFNOTGOTO:
 dec esi
 cmp ds:dword ptr[_pr_stack+esi*4],0
 jne LINC_STATEMENT_POINTER
 mov edi,ds:dword ptr[edi]
 sal edi,2
 add edi,ds:dword ptr[_pr_statements]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_CASEGOTO:
 mov eax,ds:dword ptr[edi]
 add edi,4
 cmp eax,ds:dword ptr[_pr_stack-4+esi*4]
 jne LINC_STATEMENT_POINTER
 mov edi,ds:dword ptr[edi]
 dec esi
 sal edi,2
 add edi,ds:dword ptr[_pr_statements]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_DROP:
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_ASSIGN:
 dec esi
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[edx],eax
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_ADDVAR:
 dec esi
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 add ds:dword ptr[edx],eax
 mov eax,ds:dword ptr[edx]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_SUBVAR:
 dec esi
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 sub ds:dword ptr[edx],eax
 mov eax,ds:dword ptr[edx]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_MULVAR:
 dec esi
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 imul eax,ds:dword ptr[edx]
 mov ds:dword ptr[edx],eax
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_DIVVAR:
 dec esi
 mov ecx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[ecx]
 cdq
 idiv ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[ecx],eax
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_MODVAR:
 dec esi
 mov ecx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[ecx]
 cdq
 idiv ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[ecx],edx
 mov ds:dword ptr[_pr_stack-4+esi*4],edx
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_UDIVVAR:
 dec esi
 mov ecx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[ecx]
 xor edx,edx
 div ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[ecx],eax
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_UMODVAR:
 dec esi
 mov ecx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[ecx]
 xor edx,edx
 div ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[ecx],edx
 mov ds:dword ptr[_pr_stack-4+esi*4],edx
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_ANDVAR:
 dec esi
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 and ds:dword ptr[edx],eax
 mov eax,ds:dword ptr[edx]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_ORVAR:
 dec esi
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 or ds:dword ptr[edx],eax
 mov eax,ds:dword ptr[edx]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_XORVAR:
 dec esi
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 xor ds:dword ptr[edx],eax
 mov eax,ds:dword ptr[edx]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_LSHIFTVAR:
 dec esi
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 mov ecx,ds:dword ptr[_pr_stack+esi*4]
 sal ds:dword ptr[edx],cl
 mov eax,ds:dword ptr[edx]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_RSHIFTVAR:
 dec esi
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 mov ecx,ds:dword ptr[_pr_stack+esi*4]
 sar ds:dword ptr[edx],cl
 mov eax,ds:dword ptr[edx]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_URSHIFTVAR:
 dec esi
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 mov ecx,ds:dword ptr[_pr_stack+esi*4]
 shr ds:dword ptr[edx],cl
 mov eax,ds:dword ptr[edx]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_PREINC:
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 inc ds:dword ptr[edx]
 mov eax,ds:dword ptr[edx]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_PREDEC:
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 dec ds:dword ptr[edx]
 mov eax,ds:dword ptr[edx]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_POSTINC:
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[edx]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 inc ds:dword ptr[edx]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_POSTDEC:
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[edx]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 dec ds:dword ptr[edx]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_IFTOPGOTO:
 cmp ds:dword ptr[_pr_stack-4+esi*4],0
 je LINC_STATEMENT_POINTER
 mov edi,ds:dword ptr[edi]
 sal edi,2
 add edi,ds:dword ptr[_pr_statements]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_IFNOTTOPGOTO:
 cmp ds:dword ptr[_pr_stack-4+esi*4],0
 jne LINC_STATEMENT_POINTER
 mov edi,ds:dword ptr[edi]
 sal edi,2
 add edi,ds:dword ptr[_pr_statements]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_ASSIGN_DROP:
 dec esi
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[edx],eax
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_ADDVAR_DROP:
 dec esi
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 add ds:dword ptr[edx],eax
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_SUBVAR_DROP:
 dec esi
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[_pr_stack+esi*4]
 sub ds:dword ptr[edx],eax
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_MULVAR_DROP:
 dec esi
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[edx]
 imul eax,ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[edx],eax
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_DIVVAR_DROP:
 dec esi
 mov ecx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[ecx]
 cdq
 idiv ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[ecx],eax
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_MODVAR_DROP:
 dec esi
 mov ecx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[ecx]
 cdq
 idiv ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[ecx],edx
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_UDIVVAR_DROP:
 dec esi
 mov ecx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[ecx]
 xor edx,edx
 div ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[ecx],eax
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_UMODVAR_DROP:
 dec esi
 mov ecx,ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[ecx]
 xor edx,edx
 div ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[ecx],edx
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_ANDVAR_DROP:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 mov ecx,ds:dword ptr[_pr_stack+esi*4]
 and ds:dword ptr[eax],ecx
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_ORVAR_DROP:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 mov ecx,ds:dword ptr[_pr_stack+esi*4]
 or ds:dword ptr[eax],ecx
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_XORVAR_DROP:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 mov ecx,ds:dword ptr[_pr_stack+esi*4]
 xor ds:dword ptr[eax],ecx
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_LSHIFTVAR_DROP:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 mov ecx,ds:dword ptr[_pr_stack+esi*4]
 sal ds:dword ptr[eax],cl
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_RSHIFTVAR_DROP:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 mov ecx,ds:dword ptr[_pr_stack+esi*4]
 sar ds:dword ptr[eax],cl
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_URSHIFTVAR_DROP:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 mov ecx,ds:dword ptr[_pr_stack+esi*4]
 shr ds:dword ptr[eax],cl
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_INC_DROP:
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 inc ds:dword ptr[edx]
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_DEC_DROP:
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 dec ds:dword ptr[edx]
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FADD:
 dec esi
 fld ds:dword ptr[_pr_stack-4+esi*4]
 fadd ds:dword ptr[_pr_stack+esi*4]
 fstp ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FSUBTRACT:
 dec esi
 fld ds:dword ptr[_pr_stack-4+esi*4]
 fsub ds:dword ptr[_pr_stack+esi*4]
 fstp ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FMULTIPLY:
 dec esi
 fld ds:dword ptr[_pr_stack-4+esi*4]
 fmul ds:dword ptr[_pr_stack+esi*4]
 fstp ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FDIVIDE:
 dec esi
 fld ds:dword ptr[_pr_stack-4+esi*4]
 fdiv ds:dword ptr[_pr_stack+esi*4]
 fstp ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FEQ:
 dec esi
 fld ds:dword ptr[_pr_stack-4+esi*4]
 fcomp ds:dword ptr[_pr_stack+esi*4]
 fnstsw ax
 sahf
 sete dl
 and edx,1
 mov ds:dword ptr[_pr_stack-4+esi*4],edx
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FNE:
 dec esi
 fld ds:dword ptr[_pr_stack-4+esi*4]
 fcomp ds:dword ptr[_pr_stack+esi*4]
 fnstsw ax
 sahf
 setne dl
 and edx,1
 mov ds:dword ptr[_pr_stack-4+esi*4],edx
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FLT:
 dec esi
 fld ds:dword ptr[_pr_stack-4+esi*4]
 fcomp ds:dword ptr[_pr_stack+esi*4]
 fnstsw ax
 sahf
 setb dl
 and edx,1
 mov ds:dword ptr[_pr_stack-4+esi*4],edx
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FGT:
 dec esi
 fld ds:dword ptr[_pr_stack-4+esi*4]
 fcomp ds:dword ptr[_pr_stack+esi*4]
 fnstsw ax
 sahf
 seta dl
 and edx,1
 mov ds:dword ptr[_pr_stack-4+esi*4],edx
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FLE:
 dec esi
 fld ds:dword ptr[_pr_stack-4+esi*4]
 fcomp ds:dword ptr[_pr_stack+esi*4]
 fnstsw ax
 sahf
 setbe dl
 and edx,1
 mov ds:dword ptr[_pr_stack-4+esi*4],edx
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FGE:
 dec esi
 fld ds:dword ptr[_pr_stack-4+esi*4]
 fcomp ds:dword ptr[_pr_stack+esi*4]
 fnstsw ax
 sahf
 setnb dl
 and edx,1
 mov ds:dword ptr[_pr_stack-4+esi*4],edx
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FUNARYMINUS:
 fld ds:dword ptr[_pr_stack-4+esi*4]
 fchs
 fstp ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FADDVAR:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 fld ds:dword ptr[eax]
 fadd ds:dword ptr[_pr_stack+esi*4]
 fstp ds:dword ptr[eax]
 mov eax,ds:dword ptr[eax]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FSUBVAR:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 fld ds:dword ptr[eax]
 fsub ds:dword ptr[_pr_stack+esi*4]
 fstp ds:dword ptr[eax]
 mov eax,ds:dword ptr[eax]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FMULVAR:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 fld ds:dword ptr[eax]
 fmul ds:dword ptr[_pr_stack+esi*4]
 fstp ds:dword ptr[eax]
 mov eax,ds:dword ptr[eax]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FDIVVAR:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 fld ds:dword ptr[eax]
 fdiv ds:dword ptr[_pr_stack+esi*4]
 fstp ds:dword ptr[eax]
 mov eax,ds:dword ptr[eax]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FADDVAR_DROP:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 fld ds:dword ptr[eax]
 fadd ds:dword ptr[_pr_stack+esi*4]
 fstp ds:dword ptr[eax]
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FSUBVAR_DROP:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 fld ds:dword ptr[eax]
 fsub ds:dword ptr[_pr_stack+esi*4]
 fstp ds:dword ptr[eax]
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FMULVAR_DROP:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 fld ds:dword ptr[eax]
 fmul ds:dword ptr[_pr_stack+esi*4]
 fstp ds:dword ptr[eax]
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_FDIVVAR_DROP:
 dec esi
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 fld ds:dword ptr[eax]
 fdiv ds:dword ptr[_pr_stack+esi*4]
 fstp ds:dword ptr[eax]
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_SWAP:
 mov eax,ds:dword ptr[_pr_stack-8+esi*4]
 mov edx,ds:dword ptr[_pr_stack-4+esi*4]
 mov ds:dword ptr[_pr_stack-8+esi*4],edx
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_ICALL:
 dec esi
 add esp,offset -12
 push ds:dword ptr[_pr_stack+esi*4]
 mov ds:dword ptr[_pr_stackPtr],esi
 call near ptr _RunFunction
 add esp,16
 mov eax,ds:dword ptr[8+ebp]
 mov ds:dword ptr[_current_func],eax
 mov esi,ds:dword ptr[_pr_stackPtr]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VPUSHPOINTED:
 add esi,2
 mov edx,ds:dword ptr[_pr_stack-12+esi*4]
 mov eax,ds:dword ptr[edx]
 mov ds:dword ptr[_pr_stack-12+esi*4],eax
 mov eax,ds:dword ptr[4+edx]
 mov ds:dword ptr[_pr_stack-8+esi*4],eax
 mov eax,ds:dword ptr[8+edx]
 mov ds:dword ptr[_pr_stack-4+esi*4],eax
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VADD:
 fld ds:dword ptr[_pr_stack-24+esi*4]
 fadd ds:dword ptr[_pr_stack-12+esi*4]
 fstp ds:dword ptr[_pr_stack-24+esi*4]
 fld ds:dword ptr[_pr_stack-20+esi*4]
 fadd ds:dword ptr[_pr_stack-8+esi*4]
 fstp ds:dword ptr[_pr_stack-20+esi*4]
 fld ds:dword ptr[_pr_stack-16+esi*4]
 fadd ds:dword ptr[_pr_stack-4+esi*4]
 fstp ds:dword ptr[_pr_stack-16+esi*4]
 add esi,offset -3
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VSUBTRACT:
 fld ds:dword ptr[_pr_stack-24+esi*4]
 fsub ds:dword ptr[_pr_stack-12+esi*4]
 fstp ds:dword ptr[_pr_stack-24+esi*4]
 fld ds:dword ptr[_pr_stack-20+esi*4]
 fsub ds:dword ptr[_pr_stack-8+esi*4]
 fstp ds:dword ptr[_pr_stack-20+esi*4]
 fld ds:dword ptr[_pr_stack-16+esi*4]
 fsub ds:dword ptr[_pr_stack-4+esi*4]
 fstp ds:dword ptr[_pr_stack-16+esi*4]
 add esi,offset -3
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VPRESCALE:
 fld ds:dword ptr[_pr_stack-16+esi*4]
 fld st(0)
 fld st(1)
 fmul ds:dword ptr[_pr_stack-12+esi*4]
 fstp ds:dword ptr[_pr_stack-16+esi*4]
 fmul ds:dword ptr[_pr_stack-8+esi*4]
 fstp ds:dword ptr[_pr_stack-12+esi*4]
 fmul ds:dword ptr[_pr_stack-4+esi*4]
 fstp ds:dword ptr[_pr_stack-8+esi*4]
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VPOSTSCALE:
 fld ds:dword ptr[_pr_stack-4+esi*4]
 fld st(0)
 fld st(1)
 fmul ds:dword ptr[_pr_stack-16+esi*4]
 fstp ds:dword ptr[_pr_stack-16+esi*4]
 fmul ds:dword ptr[_pr_stack-12+esi*4]
 fstp ds:dword ptr[_pr_stack-12+esi*4]
 fmul ds:dword ptr[_pr_stack-8+esi*4]
 fstp ds:dword ptr[_pr_stack-8+esi*4]
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VISCALE:
 fld ds:dword ptr[_pr_stack-16+esi*4]
 fdiv ds:dword ptr[_pr_stack-4+esi*4]
 fstp ds:dword ptr[_pr_stack-16+esi*4]
 fld ds:dword ptr[_pr_stack-12+esi*4]
 fdiv ds:dword ptr[_pr_stack-4+esi*4]
 fstp ds:dword ptr[_pr_stack-12+esi*4]
 fld ds:dword ptr[_pr_stack-8+esi*4]
 fdiv ds:dword ptr[_pr_stack-4+esi*4]
 fstp ds:dword ptr[_pr_stack-8+esi*4]
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VEQ:
 fld ds:dword ptr[_pr_stack-24+esi*4]
 fld ds:dword ptr[_pr_stack-12+esi*4]
fucompp
 fnstsw ax
 sahf
 jne VEQ_FALSE
 fld ds:dword ptr[_pr_stack-20+esi*4]
 fld ds:dword ptr[_pr_stack-8+esi*4]
fucompp
 fnstsw ax
 sahf
 jne VEQ_FALSE
 fld ds:dword ptr[_pr_stack-16+esi*4]
 fld ds:dword ptr[_pr_stack-4+esi*4]
fucompp
 fnstsw ax
 sahf
 jne VEQ_FALSE
 mov ds:dword ptr[_pr_stack-24+esi*4],1
 add esi,offset -5
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
VEQ_FALSE:
 mov ds:dword ptr[_pr_stack-24+esi*4],0
 add esi,offset -5
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VNE:
 fld ds:dword ptr[_pr_stack-24+esi*4]
 fld ds:dword ptr[_pr_stack-12+esi*4]
fucompp
 fnstsw ax
 sahf
 jne LVNE_TRUE
 fld ds:dword ptr[_pr_stack-20+esi*4]
 fld ds:dword ptr[_pr_stack-8+esi*4]
fucompp
 fnstsw ax
 sahf
 jne LVNE_TRUE
 fld ds:dword ptr[_pr_stack-16+esi*4]
 fld ds:dword ptr[_pr_stack-4+esi*4]
fucompp
 fnstsw ax
 sahf
 jne LVNE_TRUE
 mov ds:dword ptr[_pr_stack-24+esi*4],0
 add esi,offset -5
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
LVNE_TRUE:
 mov ds:dword ptr[_pr_stack-24+esi*4],1
 add esi,offset -5
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VUNARYMINUS:
 fld ds:dword ptr[_pr_stack-12+esi*4]
 fchs
 fstp ds:dword ptr[_pr_stack-12+esi*4]
 fld ds:dword ptr[_pr_stack-8+esi*4]
 fchs
 fstp ds:dword ptr[_pr_stack-8+esi*4]
 fld ds:dword ptr[_pr_stack-4+esi*4]
 fchs
 fstp ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VDROP:
 add esi,offset -3
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VASSIGN:
 mov edx,ds:dword ptr[_pr_stack-16+esi*4]
 mov eax,ds:dword ptr[_pr_stack-12+esi*4]
 mov ds:dword ptr[edx],eax
 mov ds:dword ptr[_pr_stack-16+esi*4],eax
 mov eax,ds:dword ptr[_pr_stack-8+esi*4]
 mov ds:dword ptr[4+edx],eax
 mov ds:dword ptr[_pr_stack-12+esi*4],eax
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 mov ds:dword ptr[8+edx],eax
 mov ds:dword ptr[_pr_stack-8+esi*4],eax
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VADDVAR:
 mov edx,ds:dword ptr[_pr_stack-16+esi*4]
 fld ds:dword ptr[edx]
 fadd ds:dword ptr[_pr_stack-12+esi*4]
 fst ds:dword ptr[edx]
 fstp ds:dword ptr[_pr_stack-16+esi*4]
 fld ds:dword ptr[4+edx]
 fadd ds:dword ptr[_pr_stack-8+esi*4]
 fst ds:dword ptr[4+edx]
 fstp ds:dword ptr[_pr_stack-12+esi*4]
 fld ds:dword ptr[8+edx]
 fadd ds:dword ptr[_pr_stack-4+esi*4]
 fst ds:dword ptr[8+edx]
 fstp ds:dword ptr[_pr_stack-8+esi*4]
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VSUBVAR:
 mov edx,ds:dword ptr[_pr_stack-16+esi*4]
 fld ds:dword ptr[edx]
 fsub ds:dword ptr[_pr_stack-12+esi*4]
 fst ds:dword ptr[edx]
 fstp ds:dword ptr[_pr_stack-16+esi*4]
 fld ds:dword ptr[4+edx]
 fsub ds:dword ptr[_pr_stack-8+esi*4]
 fst ds:dword ptr[4+edx]
 fstp ds:dword ptr[_pr_stack-12+esi*4]
 fld ds:dword ptr[8+edx]
 fsub ds:dword ptr[_pr_stack-4+esi*4]
 fst ds:dword ptr[8+edx]
 fstp ds:dword ptr[_pr_stack-8+esi*4]
 dec esi
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VSCALEVAR:
 inc esi
 mov edx,ds:dword ptr[_pr_stack-12+esi*4]
 fld ds:dword ptr[_pr_stack-8+esi*4]
 fld ds:dword ptr[edx]
 fmul st,st(1)
 fst ds:dword ptr[edx]
 fstp ds:dword ptr[_pr_stack-12+esi*4]
 fld ds:dword ptr[4+edx]
 fmul st,st(1)
 fst ds:dword ptr[4+edx]
 fstp ds:dword ptr[_pr_stack-8+esi*4]
 fmul ds:dword ptr[8+edx]
 fst ds:dword ptr[8+edx]
 fstp ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VISCALEVAR:
 inc esi
 mov edx,ds:dword ptr[_pr_stack-12+esi*4]
 fld ds:dword ptr[_pr_stack-8+esi*4]
 fld ds:dword ptr[edx]
 fdiv st,st(1)
 fst ds:dword ptr[edx]
 fstp ds:dword ptr[_pr_stack-12+esi*4]
 fld ds:dword ptr[4+edx]
 fdiv st,st(1)
 fst ds:dword ptr[4+edx]
 fstp ds:dword ptr[_pr_stack-8+esi*4]
 fdivr ds:dword ptr[8+edx]
 fst ds:dword ptr[8+edx]
 fstp ds:dword ptr[_pr_stack-4+esi*4]
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VASSIGN_DROP:
 mov edx,ds:dword ptr[_pr_stack-16+esi*4]
 mov eax,ds:dword ptr[_pr_stack-12+esi*4]
 mov ds:dword ptr[edx],eax
 mov eax,ds:dword ptr[_pr_stack-8+esi*4]
 mov ds:dword ptr[4+edx],eax
 mov eax,ds:dword ptr[_pr_stack-4+esi*4]
 mov ds:dword ptr[8+edx],eax
 add esi,offset -4
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VADDVAR_DROP:
 mov edx,ds:dword ptr[_pr_stack-16+esi*4]
 fld ds:dword ptr[edx]
 fadd ds:dword ptr[_pr_stack-12+esi*4]
 fstp ds:dword ptr[edx]
 fld ds:dword ptr[4+edx]
 fadd ds:dword ptr[_pr_stack-8+esi*4]
 fstp ds:dword ptr[4+edx]
 fld ds:dword ptr[8+edx]
 fadd ds:dword ptr[_pr_stack-4+esi*4]
 fstp ds:dword ptr[8+edx]
 add esi,offset -4
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VSUBVAR_DROP:
 mov edx,ds:dword ptr[_pr_stack-16+esi*4]
 fld ds:dword ptr[edx]
 fsub ds:dword ptr[_pr_stack-12+esi*4]
 fstp ds:dword ptr[edx]
 fld ds:dword ptr[4+edx]
 fsub ds:dword ptr[_pr_stack-8+esi*4]
 fstp ds:dword ptr[4+edx]
 fld ds:dword ptr[8+edx]
 fsub ds:dword ptr[_pr_stack-4+esi*4]
 fstp ds:dword ptr[8+edx]
 add esi,offset -4
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VSCALEVAR_DROP:
 mov edx,ds:dword ptr[_pr_stack-8+esi*4]
 fld ds:dword ptr[_pr_stack-4+esi*4]
 fld ds:dword ptr[edx]
 fmul st,st(1)
 fstp ds:dword ptr[edx]
 fld ds:dword ptr[4+edx]
 fmul st,st(1)
 fstp ds:dword ptr[4+edx]
 fmul ds:dword ptr[8+edx]
 fstp ds:dword ptr[8+edx]
 add esi,offset -2
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_VISCALEVAR_DROP:
 mov edx,ds:dword ptr[_pr_stack-8+esi*4]
 fld ds:dword ptr[_pr_stack-4+esi*4]
 fld ds:dword ptr[edx]
 fdiv st,st(1)
 fstp ds:dword ptr[edx]
 fld ds:dword ptr[4+edx]
 fdiv st,st(1)
 fstp ds:dword ptr[4+edx]
 fdivr ds:dword ptr[8+edx]
 fstp ds:dword ptr[8+edx]
 add esi,offset -2
 mov eax,ds:dword ptr[edi]
 add edi,4
 jmp dword ptr[LOPCODE_TABLE+eax*4]
 align 4
LOPC_RETURN:
 mov ds:dword ptr[_pr_stackPtr],esi
LEND_RUN_FUNCTION:
 pop ebx
 pop esi
 pop edi
 add esp,256
 pop ebp
 ret
_TEXT ENDS
 END
