//**************************************************************************
//**
//**	##   ##    ##    ##   ##   ####     ####   ###     ###
//**	##   ##  ##  ##  ##   ##  ##  ##   ##  ##  ####   ####
//**	 ## ##  ##    ##  ## ##  ##    ## ##    ## ## ## ## ##
//**	 ## ##  ########  ## ##  ##    ## ##    ## ##  ###  ##
//**	  ###   ##    ##   ###    ##  ##   ##  ##  ##       ##
//**	   #    ##    ##    #      ####     ####   ##       ##
//**
//**	Copyright (C) 1999-2001 Jnis Legzdi
//**
//**	This program is free software; you can redistribute it and/or
//**  modify it under the terms of the GNU General Public License
//**  as published by the Free Software Foundation; either version 2
//**  of the License, or (at your option) any later version.
//**
//**	This program is distributed in the hope that it will be useful,
//**  but WITHOUT ANY WARRANTY; without even the implied warranty of
//**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//**  GNU General Public License for more details.
//**	
//**************************************************************************

#ifndef _R_LOCAL_H
#define _R_LOCAL_H

// HEADER FILES ------------------------------------------------------------

#include "cl_local.h"
#include "r_shared.h"

// MACROS ------------------------------------------------------------------

// TYPES -------------------------------------------------------------------

// PUBLIC FUNCTION PROTOTYPES ----------------------------------------------

//
// R_Main
//

//
// R_BSP
//
void R_RenderWorld(void);

//
// R_Things
//
void R_RenderMobjs(void);
void R_DrawPlayerSprites(void);
void R_DrawCroshair(void);
int  R_PrecacheSprites(void);
void R_DrawTranslucentPoly(draw_vertex_t*, int, float, int, const TVec&, int, int, bool);

//
// R_Sky
//
void R_InitSky(const mapInfo_t &info);
void R_RenderSkyPoly(draw_vertex_t *cv, int count, int clipflags);
void R_AnimateSky(void);

//
//	R_Tex
//
void R_InitTexture(void);
void R_PrecacheLevel(void);

// PUBLIC DATA DECLARATIONS ------------------------------------------------

//
// R_Main
//
extern bool				r_use_fog;

extern int      		screenblocks;

extern int				r_visframecount;

extern subsector_t		*r_viewleaf;

extern bool				r_back2front;

// INLINE FUNCTIONS --------------------------------------------------------

inline angle_t R_PointToAngle(float x, float y)
{
	return matan(y - vieworg.y, x - vieworg.x);
}

#endif
