//**************************************************************************
//**
//**	##   ##    ##    ##   ##   ####     ####   ###     ###
//**	##   ##  ##  ##  ##   ##  ##  ##   ##  ##  ####   ####
//**	 ## ##  ##    ##  ## ##  ##    ## ##    ## ## ## ## ##
//**	 ## ##  ########  ## ##  ##    ## ##    ## ##  ###  ##
//**	  ###   ##    ##   ###    ##  ##   ##  ##  ##       ##
//**	   #    ##    ##    #      ####     ####   ##       ##
//**
//**	Copyright (C) 1999-2000 Jnis Legzdi
//**
//**	This program is free software; you can redistribute it and/or
//**  modify it under the terms of the GNU General Public License
//**  as published by the Free Software Foundation; either version 2
//**  of the License, or (at your option) any later version.
//**
//**	This program is distributed in the hope that it will be useful,
//**  but WITHOUT ANY WARRANTY; without even the implied warranty of
//**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//**  GNU General Public License for more details.
//**	
//**************************************************************************
#include "info.h"
#include "../../makeinfo.h"

int		numstates = NUMDOOMSTATES;

state_t	states[NUMDOOMSTATES] = {
    {SPR1_TROO,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_NULL
    {SPR1_SHTG,4,0,SA1_Light0,S1_NULL,0,0},	// S1_LIGHTDONE
    {SPR1_PUNG,0,1,SA1_WeaponReady,S1_PUNCH,0,0},	// S1_PUNCH
    {SPR1_PUNG,0,1,SA1_Lower,S1_PUNCHDOWN,0,0},	// S1_PUNCHDOWN
    {SPR1_PUNG,0,1,SA1_Raise,S1_PUNCHUP,0,0},	// S1_PUNCHUP
    {SPR1_PUNG,1,4,SA1_NULL,S1_PUNCH2,0,0},		// S1_PUNCH1
    {SPR1_PUNG,2,4,SA1_Punch,S1_PUNCH3,0,0},	// S1_PUNCH2
    {SPR1_PUNG,3,5,SA1_NULL,S1_PUNCH4,0,0},		// S1_PUNCH3
    {SPR1_PUNG,2,4,SA1_NULL,S1_PUNCH5,0,0},		// S1_PUNCH4
    {SPR1_PUNG,1,5,SA1_ReFire,S1_PUNCH,0,0},	// S1_PUNCH5
    {SPR1_PISG,0,1,SA1_WeaponReady,S1_PISTOL,0,0},// S1_PISTOL
    {SPR1_PISG,0,1,SA1_Lower,S1_PISTOLDOWN,0,0},	// S1_PISTOLDOWN
    {SPR1_PISG,0,1,SA1_Raise,S1_PISTOLUP,0,0},	// S1_PISTOLUP
    {SPR1_PISG,0,4,SA1_NULL,S1_PISTOL2,0,0},	// S1_PISTOL1
    {SPR1_PISG,1,6,SA1_FirePistol,S1_PISTOL3,0,0},// S1_PISTOL2
    {SPR1_PISG,2,4,SA1_NULL,S1_PISTOL4,0,0},	// S1_PISTOL3
    {SPR1_PISG,1,5,SA1_ReFire,S1_PISTOL,0,0},	// S1_PISTOL4
    {SPR1_PISF,32768,7,SA1_Light1,S1_LIGHTDONE,0,0},	// S1_PISTOLFLASH
    {SPR1_SHTG,0,1,SA1_WeaponReady,S1_SGUN,0,0},	// S1_SGUN
    {SPR1_SHTG,0,1,SA1_Lower,S1_SGUNDOWN,0,0},	// S1_SGUNDOWN
    {SPR1_SHTG,0,1,SA1_Raise,S1_SGUNUP,0,0},	// S1_SGUNUP
    {SPR1_SHTG,0,3,SA1_NULL,S1_SGUN2,0,0},	// S1_SGUN1
    {SPR1_SHTG,0,7,SA1_FireShotgun,S1_SGUN3,0,0},	// S1_SGUN2
    {SPR1_SHTG,1,5,SA1_NULL,S1_SGUN4,0,0},	// S1_SGUN3
    {SPR1_SHTG,2,5,SA1_NULL,S1_SGUN5,0,0},	// S1_SGUN4
    {SPR1_SHTG,3,4,SA1_NULL,S1_SGUN6,0,0},	// S1_SGUN5
    {SPR1_SHTG,2,5,SA1_NULL,S1_SGUN7,0,0},	// S1_SGUN6
    {SPR1_SHTG,1,5,SA1_NULL,S1_SGUN8,0,0},	// S1_SGUN7
    {SPR1_SHTG,0,3,SA1_NULL,S1_SGUN9,0,0},	// S1_SGUN8
    {SPR1_SHTG,0,7,SA1_ReFire,S1_SGUN,0,0},	// S1_SGUN9
    {SPR1_SHTF,32768,4,SA1_Light1,S1_SGUNFLASH2,0,0},	// S1_SGUNFLASH1
    {SPR1_SHTF,32769,3,SA1_Light2,S1_LIGHTDONE,0,0},	// S1_SGUNFLASH2
    {SPR1_SHT2,0,1,SA1_WeaponReady,S1_DSGUN,0,0},	// S1_DSGUN
    {SPR1_SHT2,0,1,SA1_Lower,S1_DSGUNDOWN,0,0},	// S1_DSGUNDOWN
    {SPR1_SHT2,0,1,SA1_Raise,S1_DSGUNUP,0,0},	// S1_DSGUNUP
    {SPR1_SHT2,0,3,SA1_NULL,S1_DSGUN2,0,0},	// S1_DSGUN1
    {SPR1_SHT2,0,7,SA1_FireShotgun2,S1_DSGUN3,0,0},	// S1_DSGUN2
    {SPR1_SHT2,1,7,SA1_NULL,S1_DSGUN4,0,0},	// S1_DSGUN3
    {SPR1_SHT2,2,7,SA1_CheckReload,S1_DSGUN5,0,0},	// S1_DSGUN4
    {SPR1_SHT2,3,7,SA1_OpenShotgun2,S1_DSGUN6,0,0},	// S1_DSGUN5
    {SPR1_SHT2,4,7,SA1_NULL,S1_DSGUN7,0,0},	// S1_DSGUN6
    {SPR1_SHT2,5,7,SA1_LoadShotgun2,S1_DSGUN8,0,0},	// S1_DSGUN7
    {SPR1_SHT2,6,6,SA1_NULL,S1_DSGUN9,0,0},	// S1_DSGUN8
    {SPR1_SHT2,7,6,SA1_CloseShotgun2,S1_DSGUN10,0,0},	// S1_DSGUN9
    {SPR1_SHT2,0,5,SA1_ReFire,S1_DSGUN,0,0},	// S1_DSGUN10
    {SPR1_SHT2,1,7,SA1_NULL,S1_DSNR2,0,0},	// S1_DSNR1
    {SPR1_SHT2,0,3,SA1_NULL,S1_DSGUNDOWN,0,0},	// S1_DSNR2
    {SPR1_SHT2,32776,5,SA1_Light1,S1_DSGUNFLASH2,0,0},	// S1_DSGUNFLASH1
    {SPR1_SHT2,32777,4,SA1_Light2,S1_LIGHTDONE,0,0},	// S1_DSGUNFLASH2
    {SPR1_CHGG,0,1,SA1_WeaponReady,S1_CHAIN,0,0},	// S1_CHAIN
    {SPR1_CHGG,0,1,SA1_Lower,S1_CHAINDOWN,0,0},	// S1_CHAINDOWN
    {SPR1_CHGG,0,1,SA1_Raise,S1_CHAINUP,0,0},	// S1_CHAINUP
    {SPR1_CHGG,0,4,SA1_FireCGun,S1_CHAIN2,0,0},	// S1_CHAIN1
    {SPR1_CHGG,1,4,SA1_FireCGun,S1_CHAIN3,0,0},	// S1_CHAIN2
    {SPR1_CHGG,1,0,SA1_ReFire,S1_CHAIN,0,0},	// S1_CHAIN3
    {SPR1_CHGF,32768,5,SA1_Light1,S1_LIGHTDONE,0,0},	// S1_CHAINFLASH1
    {SPR1_CHGF,32769,5,SA1_Light2,S1_LIGHTDONE,0,0},	// S1_CHAINFLASH2
    {SPR1_MISG,0,1,SA1_WeaponReady,S1_MISSILE,0,0},	// S1_MISSILE
    {SPR1_MISG,0,1,SA1_Lower,S1_MISSILEDOWN,0,0},	// S1_MISSILEDOWN
    {SPR1_MISG,0,1,SA1_Raise,S1_MISSILEUP,0,0},	// S1_MISSILEUP
    {SPR1_MISG,1,8,SA1_GunFlash,S1_MISSILE2,0,0},	// S1_MISSILE1
    {SPR1_MISG,1,12,SA1_FireMissile,S1_MISSILE3,0,0},	// S1_MISSILE2
    {SPR1_MISG,1,0,SA1_ReFire,S1_MISSILE,0,0},	// S1_MISSILE3
    {SPR1_MISF,32768,3,SA1_Light1,S1_MISSILEFLASH2,0,0},	// S1_MISSILEFLASH1
    {SPR1_MISF,32769,4,SA1_NULL,S1_MISSILEFLASH3,0,0},	// S1_MISSILEFLASH2
    {SPR1_MISF,32770,4,SA1_Light2,S1_MISSILEFLASH4,0,0},	// S1_MISSILEFLASH3
    {SPR1_MISF,32771,4,SA1_Light2,S1_LIGHTDONE,0,0},	// S1_MISSILEFLASH4
    {SPR1_SAWG,2,4,SA1_WeaponReady,S1_SAWB,0,0},	// S1_SAW
    {SPR1_SAWG,3,4,SA1_WeaponReady,S1_SAW,0,0},	// S1_SAWB
    {SPR1_SAWG,2,1,SA1_Lower,S1_SAWDOWN,0,0},	// S1_SAWDOWN
    {SPR1_SAWG,2,1,SA1_Raise,S1_SAWUP,0,0},	// S1_SAWUP
    {SPR1_SAWG,0,4,SA1_Saw,S1_SAW2,0,0},	// S1_SAW1
    {SPR1_SAWG,1,4,SA1_Saw,S1_SAW3,0,0},	// S1_SAW2
    {SPR1_SAWG,1,0,SA1_ReFire,S1_SAW,0,0},	// S1_SAW3
    {SPR1_PLSG,0,1,SA1_WeaponReady,S1_PLASMA,0,0},	// S1_PLASMA
    {SPR1_PLSG,0,1,SA1_Lower,S1_PLASMADOWN,0,0},	// S1_PLASMADOWN
    {SPR1_PLSG,0,1,SA1_Raise,S1_PLASMAUP,0,0},	// S1_PLASMAUP
    {SPR1_PLSG,0,3,SA1_FirePlasma,S1_PLASMA2,0,0},	// S1_PLASMA1
    {SPR1_PLSG,1,20,SA1_ReFire,S1_PLASMA,0,0},	// S1_PLASMA2
    {SPR1_PLSF,32768,4,SA1_Light1,S1_LIGHTDONE,0,0},	// S1_PLASMAFLASH1
    {SPR1_PLSF,32769,4,SA1_Light1,S1_LIGHTDONE,0,0},	// S1_PLASMAFLASH2
    {SPR1_BFGG,0,1,SA1_WeaponReady,S1_BFG,0,0},	// S1_BFG
    {SPR1_BFGG,0,1,SA1_Lower,S1_BFGDOWN,0,0},	// S1_BFGDOWN
    {SPR1_BFGG,0,1,SA1_Raise,S1_BFGUP,0,0},	// S1_BFGUP
    {SPR1_BFGG,0,20,SA1_BFGsound,S1_BFG2,0,0},	// S1_BFG1
    {SPR1_BFGG,1,10,SA1_GunFlash,S1_BFG3,0,0},	// S1_BFG2
    {SPR1_BFGG,1,10,SA1_FireBFG,S1_BFG4,0,0},	// S1_BFG3
    {SPR1_BFGG,1,20,SA1_ReFire,S1_BFG,0,0},	// S1_BFG4
    {SPR1_BFGF,32768,11,SA1_Light1,S1_BFGFLASH2,0,0},	// S1_BFGFLASH1
    {SPR1_BFGF,32769,6,SA1_Light2,S1_LIGHTDONE,0,0},	// S1_BFGFLASH2
    {SPR1_BLUD,2,8,SA1_NULL,S1_BLOOD2,0,0},	// S1_BLOOD1
    {SPR1_BLUD,1,8,SA1_NULL,S1_BLOOD3,0,0},	// S1_BLOOD2
    {SPR1_BLUD,0,8,SA1_NULL,S1_NULL,0,0},	// S1_BLOOD3
    {SPR1_PUFF,32768,4,SA1_NULL,S1_PUFF2,0,0},	// S1_PUFF1
    {SPR1_PUFF,1,4,SA1_NULL,S1_PUFF3,0,0},	// S1_PUFF2
    {SPR1_PUFF,2,4,SA1_NULL,S1_PUFF4,0,0},	// S1_PUFF3
    {SPR1_PUFF,3,4,SA1_NULL,S1_NULL,0,0},	// S1_PUFF4
    {SPR1_BAL1,32768,4,SA1_NULL,S1_TBALL2,0,0},	// S1_TBALL1
    {SPR1_BAL1,32769,4,SA1_NULL,S1_TBALL1,0,0},	// S1_TBALL2
    {SPR1_BAL1,32770,6,SA1_NULL,S1_TBALLX2,0,0},	// S1_TBALLX1
    {SPR1_BAL1,32771,6,SA1_NULL,S1_TBALLX3,0,0},	// S1_TBALLX2
    {SPR1_BAL1,32772,6,SA1_NULL,S1_NULL,0,0},	// S1_TBALLX3
    {SPR1_BAL2,32768,4,SA1_NULL,S1_RBALL2,0,0},	// S1_RBALL1
    {SPR1_BAL2,32769,4,SA1_NULL,S1_RBALL1,0,0},	// S1_RBALL2
    {SPR1_BAL2,32770,6,SA1_NULL,S1_RBALLX2,0,0},	// S1_RBALLX1
    {SPR1_BAL2,32771,6,SA1_NULL,S1_RBALLX3,0,0},	// S1_RBALLX2
    {SPR1_BAL2,32772,6,SA1_NULL,S1_NULL,0,0},	// S1_RBALLX3
    {SPR1_PLSS,32768,6,SA1_NULL,S1_PLASBALL2,0,0},	// S1_PLASBALL
    {SPR1_PLSS,32769,6,SA1_NULL,S1_PLASBALL,0,0},	// S1_PLASBALL2
    {SPR1_PLSE,32768,4,SA1_NULL,S1_PLASEXP2,0,0},	// S1_PLASEXP
    {SPR1_PLSE,32769,4,SA1_NULL,S1_PLASEXP3,0,0},	// S1_PLASEXP2
    {SPR1_PLSE,32770,4,SA1_NULL,S1_PLASEXP4,0,0},	// S1_PLASEXP3
    {SPR1_PLSE,32771,4,SA1_NULL,S1_PLASEXP5,0,0},	// S1_PLASEXP4
    {SPR1_PLSE,32772,4,SA1_NULL,S1_NULL,0,0},	// S1_PLASEXP5
    {SPR1_MISL,32768,1,SA1_NULL,S1_ROCKET,0,0},	// S1_ROCKET
    {SPR1_BFS1,32768,4,SA1_NULL,S1_BFGSHOT2,0,0},	// S1_BFGSHOT
    {SPR1_BFS1,32769,4,SA1_NULL,S1_BFGSHOT,0,0},	// S1_BFGSHOT2
    {SPR1_BFE1,32768,8,SA1_NULL,S1_BFGLAND2,0,0},	// S1_BFGLAND
    {SPR1_BFE1,32769,8,SA1_NULL,S1_BFGLAND3,0,0},	// S1_BFGLAND2
    {SPR1_BFE1,32770,8,SA1_BFGSpray,S1_BFGLAND4,0,0},	// S1_BFGLAND3
    {SPR1_BFE1,32771,8,SA1_NULL,S1_BFGLAND5,0,0},	// S1_BFGLAND4
    {SPR1_BFE1,32772,8,SA1_NULL,S1_BFGLAND6,0,0},	// S1_BFGLAND5
    {SPR1_BFE1,32773,8,SA1_NULL,S1_NULL,0,0},	// S1_BFGLAND6
    {SPR1_BFE2,32768,8,SA1_NULL,S1_BFGEXP2,0,0},	// S1_BFGEXP
    {SPR1_BFE2,32769,8,SA1_NULL,S1_BFGEXP3,0,0},	// S1_BFGEXP2
    {SPR1_BFE2,32770,8,SA1_NULL,S1_BFGEXP4,0,0},	// S1_BFGEXP3
    {SPR1_BFE2,32771,8,SA1_NULL,S1_NULL,0,0},	// S1_BFGEXP4
    {SPR1_MISL,32769,8,SA1_Explode,S1_EXPLODE2,0,0},	// S1_EXPLODE1
    {SPR1_MISL,32770,6,SA1_NULL,S1_EXPLODE3,0,0},	// S1_EXPLODE2
    {SPR1_MISL,32771,4,SA1_NULL,S1_NULL,0,0},	// S1_EXPLODE3
    {SPR1_TFOG,32768,6,SA1_NULL,S1_TFOG01,0,0},	// S1_TFOG
    {SPR1_TFOG,32769,6,SA1_NULL,S1_TFOG02,0,0},	// S1_TFOG01
    {SPR1_TFOG,32768,6,SA1_NULL,S1_TFOG2,0,0},	// S1_TFOG02
    {SPR1_TFOG,32769,6,SA1_NULL,S1_TFOG3,0,0},	// S1_TFOG2
    {SPR1_TFOG,32770,6,SA1_NULL,S1_TFOG4,0,0},	// S1_TFOG3
    {SPR1_TFOG,32771,6,SA1_NULL,S1_TFOG5,0,0},	// S1_TFOG4
    {SPR1_TFOG,32772,6,SA1_NULL,S1_TFOG6,0,0},	// S1_TFOG5
    {SPR1_TFOG,32773,6,SA1_NULL,S1_TFOG7,0,0},	// S1_TFOG6
    {SPR1_TFOG,32774,6,SA1_NULL,S1_TFOG8,0,0},	// S1_TFOG7
    {SPR1_TFOG,32775,6,SA1_NULL,S1_TFOG9,0,0},	// S1_TFOG8
    {SPR1_TFOG,32776,6,SA1_NULL,S1_TFOG10,0,0},	// S1_TFOG9
    {SPR1_TFOG,32777,6,SA1_NULL,S1_NULL,0,0},	// S1_TFOG10
    {SPR1_IFOG,32768,6,SA1_NULL,S1_IFOG01,0,0},	// S1_IFOG
    {SPR1_IFOG,32769,6,SA1_NULL,S1_IFOG02,0,0},	// S1_IFOG01
    {SPR1_IFOG,32768,6,SA1_NULL,S1_IFOG2,0,0},	// S1_IFOG02
    {SPR1_IFOG,32769,6,SA1_NULL,S1_IFOG3,0,0},	// S1_IFOG2
    {SPR1_IFOG,32770,6,SA1_NULL,S1_IFOG4,0,0},	// S1_IFOG3
    {SPR1_IFOG,32771,6,SA1_NULL,S1_IFOG5,0,0},	// S1_IFOG4
    {SPR1_IFOG,32772,6,SA1_NULL,S1_NULL,0,0},	// S1_IFOG5
    {SPR1_PLAY,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_PLAY
    {SPR1_PLAY,0,4,SA1_NULL,S1_PLAY_RUN2,0,0},	// S1_PLAY_RUN1
    {SPR1_PLAY,1,4,SA1_NULL,S1_PLAY_RUN3,0,0},	// S1_PLAY_RUN2
    {SPR1_PLAY,2,4,SA1_NULL,S1_PLAY_RUN4,0,0},	// S1_PLAY_RUN3
    {SPR1_PLAY,3,4,SA1_NULL,S1_PLAY_RUN1,0,0},	// S1_PLAY_RUN4
    {SPR1_PLAY,4,12,SA1_NULL,S1_PLAY,0,0},	// S1_PLAY_ATK1
    {SPR1_PLAY,32773,6,SA1_NULL,S1_PLAY_ATK1,0,0},	// S1_PLAY_ATK2
    {SPR1_PLAY,6,4,SA1_NULL,S1_PLAY_PAIN2,0,0},	// S1_PLAY_PAIN
    {SPR1_PLAY,6,4,SA1_Pain,S1_PLAY,0,0},	// S1_PLAY_PAIN2
    {SPR1_PLAY,7,10,SA1_NULL,S1_PLAY_DIE2,0,0},	// S1_PLAY_DIE1
    {SPR1_PLAY,8,10,SA1_PlayerScream,S1_PLAY_DIE3,0,0},	// S1_PLAY_DIE2
    {SPR1_PLAY,9,10,SA1_Fall,S1_PLAY_DIE4,0,0},	// S1_PLAY_DIE3
    {SPR1_PLAY,10,10,SA1_NULL,S1_PLAY_DIE5,0,0},	// S1_PLAY_DIE4
    {SPR1_PLAY,11,10,SA1_NULL,S1_PLAY_DIE6,0,0},	// S1_PLAY_DIE5
    {SPR1_PLAY,12,10,SA1_NULL,S1_PLAY_DIE7,0,0},	// S1_PLAY_DIE6
    {SPR1_PLAY,13,-1,SA1_NULL,S1_NULL,0,0},	// S1_PLAY_DIE7
    {SPR1_PLAY,14,5,SA1_NULL,S1_PLAY_XDIE2,0,0},	// S1_PLAY_XDIE1
    {SPR1_PLAY,15,5,SA1_XScream,S1_PLAY_XDIE3,0,0},	// S1_PLAY_XDIE2
    {SPR1_PLAY,16,5,SA1_Fall,S1_PLAY_XDIE4,0,0},	// S1_PLAY_XDIE3
    {SPR1_PLAY,17,5,SA1_NULL,S1_PLAY_XDIE5,0,0},	// S1_PLAY_XDIE4
    {SPR1_PLAY,18,5,SA1_NULL,S1_PLAY_XDIE6,0,0},	// S1_PLAY_XDIE5
    {SPR1_PLAY,19,5,SA1_NULL,S1_PLAY_XDIE7,0,0},	// S1_PLAY_XDIE6
    {SPR1_PLAY,20,5,SA1_NULL,S1_PLAY_XDIE8,0,0},	// S1_PLAY_XDIE7
    {SPR1_PLAY,21,5,SA1_NULL,S1_PLAY_XDIE9,0,0},	// S1_PLAY_XDIE8
    {SPR1_PLAY,22,-1,SA1_NULL,S1_NULL,0,0},	// S1_PLAY_XDIE9
    {SPR1_POSS,0,10,SA1_Look,S1_POSS_STND2,0,0},	// S1_POSS_STND
    {SPR1_POSS,1,10,SA1_Look,S1_POSS_STND,0,0},	// S1_POSS_STND2
    {SPR1_POSS,0,4,SA1_Chase,S1_POSS_RUN2,0,0},	// S1_POSS_RUN1
    {SPR1_POSS,0,4,SA1_Chase,S1_POSS_RUN3,0,0},	// S1_POSS_RUN2
    {SPR1_POSS,1,4,SA1_Chase,S1_POSS_RUN4,0,0},	// S1_POSS_RUN3
    {SPR1_POSS,1,4,SA1_Chase,S1_POSS_RUN5,0,0},	// S1_POSS_RUN4
    {SPR1_POSS,2,4,SA1_Chase,S1_POSS_RUN6,0,0},	// S1_POSS_RUN5
    {SPR1_POSS,2,4,SA1_Chase,S1_POSS_RUN7,0,0},	// S1_POSS_RUN6
    {SPR1_POSS,3,4,SA1_Chase,S1_POSS_RUN8,0,0},	// S1_POSS_RUN7
    {SPR1_POSS,3,4,SA1_Chase,S1_POSS_RUN1,0,0},	// S1_POSS_RUN8
    {SPR1_POSS,4,10,SA1_FaceTarget,S1_POSS_ATK2,0,0},	// S1_POSS_ATK1
    {SPR1_POSS,5,8,SA1_PosAttack,S1_POSS_ATK3,0,0},	// S1_POSS_ATK2
    {SPR1_POSS,4,8,SA1_NULL,S1_POSS_RUN1,0,0},	// S1_POSS_ATK3
    {SPR1_POSS,6,3,SA1_NULL,S1_POSS_PAIN2,0,0},	// S1_POSS_PAIN
    {SPR1_POSS,6,3,SA1_Pain,S1_POSS_RUN1,0,0},	// S1_POSS_PAIN2
    {SPR1_POSS,7,5,SA1_NULL,S1_POSS_DIE2,0,0},	// S1_POSS_DIE1
    {SPR1_POSS,8,5,SA1_Scream,S1_POSS_DIE3,0,0},	// S1_POSS_DIE2
    {SPR1_POSS,9,5,SA1_Fall,S1_POSS_DIE4,0,0},	// S1_POSS_DIE3
    {SPR1_POSS,10,5,SA1_NULL,S1_POSS_DIE5,0,0},	// S1_POSS_DIE4
    {SPR1_POSS,11,-1,SA1_NULL,S1_NULL,0,0},	// S1_POSS_DIE5
    {SPR1_POSS,12,5,SA1_NULL,S1_POSS_XDIE2,0,0},	// S1_POSS_XDIE1
    {SPR1_POSS,13,5,SA1_XScream,S1_POSS_XDIE3,0,0},	// S1_POSS_XDIE2
    {SPR1_POSS,14,5,SA1_Fall,S1_POSS_XDIE4,0,0},	// S1_POSS_XDIE3
    {SPR1_POSS,15,5,SA1_NULL,S1_POSS_XDIE5,0,0},	// S1_POSS_XDIE4
    {SPR1_POSS,16,5,SA1_NULL,S1_POSS_XDIE6,0,0},	// S1_POSS_XDIE5
    {SPR1_POSS,17,5,SA1_NULL,S1_POSS_XDIE7,0,0},	// S1_POSS_XDIE6
    {SPR1_POSS,18,5,SA1_NULL,S1_POSS_XDIE8,0,0},	// S1_POSS_XDIE7
    {SPR1_POSS,19,5,SA1_NULL,S1_POSS_XDIE9,0,0},	// S1_POSS_XDIE8
    {SPR1_POSS,20,-1,SA1_NULL,S1_NULL,0,0},	// S1_POSS_XDIE9
    {SPR1_POSS,10,5,SA1_NULL,S1_POSS_RAISE2,0,0},	// S1_POSS_RAISE1
    {SPR1_POSS,9,5,SA1_NULL,S1_POSS_RAISE3,0,0},	// S1_POSS_RAISE2
    {SPR1_POSS,8,5,SA1_NULL,S1_POSS_RAISE4,0,0},	// S1_POSS_RAISE3
    {SPR1_POSS,7,5,SA1_NULL,S1_POSS_RUN1,0,0},	// S1_POSS_RAISE4
    {SPR1_SPOS,0,10,SA1_Look,S1_SPOS_STND2,0,0},	// S1_SPOS_STND
    {SPR1_SPOS,1,10,SA1_Look,S1_SPOS_STND,0,0},	// S1_SPOS_STND2
    {SPR1_SPOS,0,3,SA1_Chase,S1_SPOS_RUN2,0,0},	// S1_SPOS_RUN1
    {SPR1_SPOS,0,3,SA1_Chase,S1_SPOS_RUN3,0,0},	// S1_SPOS_RUN2
    {SPR1_SPOS,1,3,SA1_Chase,S1_SPOS_RUN4,0,0},	// S1_SPOS_RUN3
    {SPR1_SPOS,1,3,SA1_Chase,S1_SPOS_RUN5,0,0},	// S1_SPOS_RUN4
    {SPR1_SPOS,2,3,SA1_Chase,S1_SPOS_RUN6,0,0},	// S1_SPOS_RUN5
    {SPR1_SPOS,2,3,SA1_Chase,S1_SPOS_RUN7,0,0},	// S1_SPOS_RUN6
    {SPR1_SPOS,3,3,SA1_Chase,S1_SPOS_RUN8,0,0},	// S1_SPOS_RUN7
    {SPR1_SPOS,3,3,SA1_Chase,S1_SPOS_RUN1,0,0},	// S1_SPOS_RUN8
    {SPR1_SPOS,4,10,SA1_FaceTarget,S1_SPOS_ATK2,0,0},	// S1_SPOS_ATK1
    {SPR1_SPOS,32773,10,SA1_SPosAttack,S1_SPOS_ATK3,0,0},	// S1_SPOS_ATK2
    {SPR1_SPOS,4,10,SA1_NULL,S1_SPOS_RUN1,0,0},	// S1_SPOS_ATK3
    {SPR1_SPOS,6,3,SA1_NULL,S1_SPOS_PAIN2,0,0},	// S1_SPOS_PAIN
    {SPR1_SPOS,6,3,SA1_Pain,S1_SPOS_RUN1,0,0},	// S1_SPOS_PAIN2
    {SPR1_SPOS,7,5,SA1_NULL,S1_SPOS_DIE2,0,0},	// S1_SPOS_DIE1
    {SPR1_SPOS,8,5,SA1_Scream,S1_SPOS_DIE3,0,0},	// S1_SPOS_DIE2
    {SPR1_SPOS,9,5,SA1_Fall,S1_SPOS_DIE4,0,0},	// S1_SPOS_DIE3
    {SPR1_SPOS,10,5,SA1_NULL,S1_SPOS_DIE5,0,0},	// S1_SPOS_DIE4
    {SPR1_SPOS,11,-1,SA1_NULL,S1_NULL,0,0},	// S1_SPOS_DIE5
    {SPR1_SPOS,12,5,SA1_NULL,S1_SPOS_XDIE2,0,0},	// S1_SPOS_XDIE1
    {SPR1_SPOS,13,5,SA1_XScream,S1_SPOS_XDIE3,0,0},	// S1_SPOS_XDIE2
    {SPR1_SPOS,14,5,SA1_Fall,S1_SPOS_XDIE4,0,0},	// S1_SPOS_XDIE3
    {SPR1_SPOS,15,5,SA1_NULL,S1_SPOS_XDIE5,0,0},	// S1_SPOS_XDIE4
    {SPR1_SPOS,16,5,SA1_NULL,S1_SPOS_XDIE6,0,0},	// S1_SPOS_XDIE5
    {SPR1_SPOS,17,5,SA1_NULL,S1_SPOS_XDIE7,0,0},	// S1_SPOS_XDIE6
    {SPR1_SPOS,18,5,SA1_NULL,S1_SPOS_XDIE8,0,0},	// S1_SPOS_XDIE7
    {SPR1_SPOS,19,5,SA1_NULL,S1_SPOS_XDIE9,0,0},	// S1_SPOS_XDIE8
    {SPR1_SPOS,20,-1,SA1_NULL,S1_NULL,0,0},	// S1_SPOS_XDIE9
    {SPR1_SPOS,11,5,SA1_NULL,S1_SPOS_RAISE2,0,0},	// S1_SPOS_RAISE1
    {SPR1_SPOS,10,5,SA1_NULL,S1_SPOS_RAISE3,0,0},	// S1_SPOS_RAISE2
    {SPR1_SPOS,9,5,SA1_NULL,S1_SPOS_RAISE4,0,0},	// S1_SPOS_RAISE3
    {SPR1_SPOS,8,5,SA1_NULL,S1_SPOS_RAISE5,0,0},	// S1_SPOS_RAISE4
    {SPR1_SPOS,7,5,SA1_NULL,S1_SPOS_RUN1,0,0},	// S1_SPOS_RAISE5
    {SPR1_VILE,0,10,SA1_Look,S1_VILE_STND2,0,0},	// S1_VILE_STND
    {SPR1_VILE,1,10,SA1_Look,S1_VILE_STND,0,0},	// S1_VILE_STND2
    {SPR1_VILE,0,2,SA1_VileChase,S1_VILE_RUN2,0,0},	// S1_VILE_RUN1
    {SPR1_VILE,0,2,SA1_VileChase,S1_VILE_RUN3,0,0},	// S1_VILE_RUN2
    {SPR1_VILE,1,2,SA1_VileChase,S1_VILE_RUN4,0,0},	// S1_VILE_RUN3
    {SPR1_VILE,1,2,SA1_VileChase,S1_VILE_RUN5,0,0},	// S1_VILE_RUN4
    {SPR1_VILE,2,2,SA1_VileChase,S1_VILE_RUN6,0,0},	// S1_VILE_RUN5
    {SPR1_VILE,2,2,SA1_VileChase,S1_VILE_RUN7,0,0},	// S1_VILE_RUN6
    {SPR1_VILE,3,2,SA1_VileChase,S1_VILE_RUN8,0,0},	// S1_VILE_RUN7
    {SPR1_VILE,3,2,SA1_VileChase,S1_VILE_RUN9,0,0},	// S1_VILE_RUN8
    {SPR1_VILE,4,2,SA1_VileChase,S1_VILE_RUN10,0,0},	// S1_VILE_RUN9
    {SPR1_VILE,4,2,SA1_VileChase,S1_VILE_RUN11,0,0},	// S1_VILE_RUN10
    {SPR1_VILE,5,2,SA1_VileChase,S1_VILE_RUN12,0,0},	// S1_VILE_RUN11
    {SPR1_VILE,5,2,SA1_VileChase,S1_VILE_RUN1,0,0},	// S1_VILE_RUN12
    {SPR1_VILE,32774,0,SA1_VileStart,S1_VILE_ATK2,0,0},	// S1_VILE_ATK1
    {SPR1_VILE,32774,10,SA1_FaceTarget,S1_VILE_ATK3,0,0},	// S1_VILE_ATK2
    {SPR1_VILE,32775,8,SA1_VileTarget,S1_VILE_ATK4,0,0},	// S1_VILE_ATK3
    {SPR1_VILE,32776,8,SA1_FaceTarget,S1_VILE_ATK5,0,0},	// S1_VILE_ATK4
    {SPR1_VILE,32777,8,SA1_FaceTarget,S1_VILE_ATK6,0,0},	// S1_VILE_ATK5
    {SPR1_VILE,32778,8,SA1_FaceTarget,S1_VILE_ATK7,0,0},	// S1_VILE_ATK6
    {SPR1_VILE,32779,8,SA1_FaceTarget,S1_VILE_ATK8,0,0},	// S1_VILE_ATK7
    {SPR1_VILE,32780,8,SA1_FaceTarget,S1_VILE_ATK9,0,0},	// S1_VILE_ATK8
    {SPR1_VILE,32781,8,SA1_FaceTarget,S1_VILE_ATK10,0,0},	// S1_VILE_ATK9
    {SPR1_VILE,32782,8,SA1_VileAttack,S1_VILE_ATK11,0,0},	// S1_VILE_ATK10
    {SPR1_VILE,32783,20,SA1_NULL,S1_VILE_RUN1,0,0},	// S1_VILE_ATK11
    {SPR1_VILE,32794,10,SA1_NULL,S1_VILE_HEAL2,0,0},	// S1_VILE_HEAL1
    {SPR1_VILE,32795,10,SA1_NULL,S1_VILE_HEAL3,0,0},	// S1_VILE_HEAL2
    {SPR1_VILE,32796,10,SA1_NULL,S1_VILE_RUN1,0,0},	// S1_VILE_HEAL3
    {SPR1_VILE,16,5,SA1_NULL,S1_VILE_PAIN2,0,0},	// S1_VILE_PAIN
    {SPR1_VILE,16,5,SA1_Pain,S1_VILE_RUN1,0,0},	// S1_VILE_PAIN2
    {SPR1_VILE,16,7,SA1_NULL,S1_VILE_DIE2,0,0},	// S1_VILE_DIE1
    {SPR1_VILE,17,7,SA1_Scream,S1_VILE_DIE3,0,0},	// S1_VILE_DIE2
    {SPR1_VILE,18,7,SA1_Fall,S1_VILE_DIE4,0,0},	// S1_VILE_DIE3
    {SPR1_VILE,19,7,SA1_NULL,S1_VILE_DIE5,0,0},	// S1_VILE_DIE4
    {SPR1_VILE,20,7,SA1_NULL,S1_VILE_DIE6,0,0},	// S1_VILE_DIE5
    {SPR1_VILE,21,7,SA1_NULL,S1_VILE_DIE7,0,0},	// S1_VILE_DIE6
    {SPR1_VILE,22,7,SA1_NULL,S1_VILE_DIE8,0,0},	// S1_VILE_DIE7
    {SPR1_VILE,23,5,SA1_NULL,S1_VILE_DIE9,0,0},	// S1_VILE_DIE8
    {SPR1_VILE,24,5,SA1_NULL,S1_VILE_DIE10,0,0},	// S1_VILE_DIE9
    {SPR1_VILE,25,-1,SA1_NULL,S1_NULL,0,0},	// S1_VILE_DIE10
    {SPR1_FIRE,32768,2,SA1_StartFire,S1_FIRE2,0,0},	// S1_FIRE1
    {SPR1_FIRE,32769,2,SA1_Fire,S1_FIRE3,0,0},	// S1_FIRE2
    {SPR1_FIRE,32768,2,SA1_Fire,S1_FIRE4,0,0},	// S1_FIRE3
    {SPR1_FIRE,32769,2,SA1_Fire,S1_FIRE5,0,0},	// S1_FIRE4
    {SPR1_FIRE,32770,2,SA1_FireCrackle,S1_FIRE6,0,0},	// S1_FIRE5
    {SPR1_FIRE,32769,2,SA1_Fire,S1_FIRE7,0,0},	// S1_FIRE6
    {SPR1_FIRE,32770,2,SA1_Fire,S1_FIRE8,0,0},	// S1_FIRE7
    {SPR1_FIRE,32769,2,SA1_Fire,S1_FIRE9,0,0},	// S1_FIRE8
    {SPR1_FIRE,32770,2,SA1_Fire,S1_FIRE10,0,0},	// S1_FIRE9
    {SPR1_FIRE,32771,2,SA1_Fire,S1_FIRE11,0,0},	// S1_FIRE10
    {SPR1_FIRE,32770,2,SA1_Fire,S1_FIRE12,0,0},	// S1_FIRE11
    {SPR1_FIRE,32771,2,SA1_Fire,S1_FIRE13,0,0},	// S1_FIRE12
    {SPR1_FIRE,32770,2,SA1_Fire,S1_FIRE14,0,0},	// S1_FIRE13
    {SPR1_FIRE,32771,2,SA1_Fire,S1_FIRE15,0,0},	// S1_FIRE14
    {SPR1_FIRE,32772,2,SA1_Fire,S1_FIRE16,0,0},	// S1_FIRE15
    {SPR1_FIRE,32771,2,SA1_Fire,S1_FIRE17,0,0},	// S1_FIRE16
    {SPR1_FIRE,32772,2,SA1_Fire,S1_FIRE18,0,0},	// S1_FIRE17
    {SPR1_FIRE,32771,2,SA1_Fire,S1_FIRE19,0,0},	// S1_FIRE18
    {SPR1_FIRE,32772,2,SA1_FireCrackle,S1_FIRE20,0,0},	// S1_FIRE19
    {SPR1_FIRE,32773,2,SA1_Fire,S1_FIRE21,0,0},	// S1_FIRE20
    {SPR1_FIRE,32772,2,SA1_Fire,S1_FIRE22,0,0},	// S1_FIRE21
    {SPR1_FIRE,32773,2,SA1_Fire,S1_FIRE23,0,0},	// S1_FIRE22
    {SPR1_FIRE,32772,2,SA1_Fire,S1_FIRE24,0,0},	// S1_FIRE23
    {SPR1_FIRE,32773,2,SA1_Fire,S1_FIRE25,0,0},	// S1_FIRE24
    {SPR1_FIRE,32774,2,SA1_Fire,S1_FIRE26,0,0},	// S1_FIRE25
    {SPR1_FIRE,32775,2,SA1_Fire,S1_FIRE27,0,0},	// S1_FIRE26
    {SPR1_FIRE,32774,2,SA1_Fire,S1_FIRE28,0,0},	// S1_FIRE27
    {SPR1_FIRE,32775,2,SA1_Fire,S1_FIRE29,0,0},	// S1_FIRE28
    {SPR1_FIRE,32774,2,SA1_Fire,S1_FIRE30,0,0},	// S1_FIRE29
    {SPR1_FIRE,32775,2,SA1_Fire,S1_NULL,0,0},	// S1_FIRE30
    {SPR1_PUFF,1,4,SA1_NULL,S1_SMOKE2,0,0},	// S1_SMOKE1
    {SPR1_PUFF,2,4,SA1_NULL,S1_SMOKE3,0,0},	// S1_SMOKE2
    {SPR1_PUFF,1,4,SA1_NULL,S1_SMOKE4,0,0},	// S1_SMOKE3
    {SPR1_PUFF,2,4,SA1_NULL,S1_SMOKE5,0,0},	// S1_SMOKE4
    {SPR1_PUFF,3,4,SA1_NULL,S1_NULL,0,0},	// S1_SMOKE5
    {SPR1_FATB,32768,2,SA1_Tracer,S1_TRACER2,0,0},	// S1_TRACER
    {SPR1_FATB,32769,2,SA1_Tracer,S1_TRACER,0,0},	// S1_TRACER2
    {SPR1_FBXP,32768,8,SA1_NULL,S1_TRACEEXP2,0,0},	// S1_TRACEEXP1
    {SPR1_FBXP,32769,6,SA1_NULL,S1_TRACEEXP3,0,0},	// S1_TRACEEXP2
    {SPR1_FBXP,32770,4,SA1_NULL,S1_NULL,0,0},	// S1_TRACEEXP3
    {SPR1_SKEL,0,10,SA1_Look,S1_SKEL_STND2,0,0},	// S1_SKEL_STND
    {SPR1_SKEL,1,10,SA1_Look,S1_SKEL_STND,0,0},	// S1_SKEL_STND2
    {SPR1_SKEL,0,2,SA1_Chase,S1_SKEL_RUN2,0,0},	// S1_SKEL_RUN1
    {SPR1_SKEL,0,2,SA1_Chase,S1_SKEL_RUN3,0,0},	// S1_SKEL_RUN2
    {SPR1_SKEL,1,2,SA1_Chase,S1_SKEL_RUN4,0,0},	// S1_SKEL_RUN3
    {SPR1_SKEL,1,2,SA1_Chase,S1_SKEL_RUN5,0,0},	// S1_SKEL_RUN4
    {SPR1_SKEL,2,2,SA1_Chase,S1_SKEL_RUN6,0,0},	// S1_SKEL_RUN5
    {SPR1_SKEL,2,2,SA1_Chase,S1_SKEL_RUN7,0,0},	// S1_SKEL_RUN6
    {SPR1_SKEL,3,2,SA1_Chase,S1_SKEL_RUN8,0,0},	// S1_SKEL_RUN7
    {SPR1_SKEL,3,2,SA1_Chase,S1_SKEL_RUN9,0,0},	// S1_SKEL_RUN8
    {SPR1_SKEL,4,2,SA1_Chase,S1_SKEL_RUN10,0,0},	// S1_SKEL_RUN9
    {SPR1_SKEL,4,2,SA1_Chase,S1_SKEL_RUN11,0,0},	// S1_SKEL_RUN10
    {SPR1_SKEL,5,2,SA1_Chase,S1_SKEL_RUN12,0,0},	// S1_SKEL_RUN11
    {SPR1_SKEL,5,2,SA1_Chase,S1_SKEL_RUN1,0,0},	// S1_SKEL_RUN12
    {SPR1_SKEL,6,0,SA1_FaceTarget,S1_SKEL_FIST2,0,0},	// S1_SKEL_FIST1
    {SPR1_SKEL,6,6,SA1_SkelWhoosh,S1_SKEL_FIST3,0,0},	// S1_SKEL_FIST2
    {SPR1_SKEL,7,6,SA1_FaceTarget,S1_SKEL_FIST4,0,0},	// S1_SKEL_FIST3
    {SPR1_SKEL,8,6,SA1_SkelFist,S1_SKEL_RUN1,0,0},	// S1_SKEL_FIST4
    {SPR1_SKEL,32777,0,SA1_FaceTarget,S1_SKEL_MISS2,0,0},	// S1_SKEL_MISS1
    {SPR1_SKEL,32777,10,SA1_FaceTarget,S1_SKEL_MISS3,0,0},	// S1_SKEL_MISS2
    {SPR1_SKEL,10,10,SA1_SkelMissile,S1_SKEL_MISS4,0,0},	// S1_SKEL_MISS3
    {SPR1_SKEL,10,10,SA1_FaceTarget,S1_SKEL_RUN1,0,0},	// S1_SKEL_MISS4
    {SPR1_SKEL,11,5,SA1_NULL,S1_SKEL_PAIN2,0,0},	// S1_SKEL_PAIN
    {SPR1_SKEL,11,5,SA1_Pain,S1_SKEL_RUN1,0,0},	// S1_SKEL_PAIN2
    {SPR1_SKEL,11,7,SA1_NULL,S1_SKEL_DIE2,0,0},	// S1_SKEL_DIE1
    {SPR1_SKEL,12,7,SA1_NULL,S1_SKEL_DIE3,0,0},	// S1_SKEL_DIE2
    {SPR1_SKEL,13,7,SA1_Scream,S1_SKEL_DIE4,0,0},	// S1_SKEL_DIE3
    {SPR1_SKEL,14,7,SA1_Fall,S1_SKEL_DIE5,0,0},	// S1_SKEL_DIE4
    {SPR1_SKEL,15,7,SA1_NULL,S1_SKEL_DIE6,0,0},	// S1_SKEL_DIE5
    {SPR1_SKEL,16,-1,SA1_NULL,S1_NULL,0,0},	// S1_SKEL_DIE6
    {SPR1_SKEL,16,5,SA1_NULL,S1_SKEL_RAISE2,0,0},	// S1_SKEL_RAISE1
    {SPR1_SKEL,15,5,SA1_NULL,S1_SKEL_RAISE3,0,0},	// S1_SKEL_RAISE2
    {SPR1_SKEL,14,5,SA1_NULL,S1_SKEL_RAISE4,0,0},	// S1_SKEL_RAISE3
    {SPR1_SKEL,13,5,SA1_NULL,S1_SKEL_RAISE5,0,0},	// S1_SKEL_RAISE4
    {SPR1_SKEL,12,5,SA1_NULL,S1_SKEL_RAISE6,0,0},	// S1_SKEL_RAISE5
    {SPR1_SKEL,11,5,SA1_NULL,S1_SKEL_RUN1,0,0},	// S1_SKEL_RAISE6
    {SPR1_MANF,32768,4,SA1_NULL,S1_FATSHOT2,0,0},	// S1_FATSHOT1
    {SPR1_MANF,32769,4,SA1_NULL,S1_FATSHOT1,0,0},	// S1_FATSHOT2
    {SPR1_MISL,32769,8,SA1_NULL,S1_FATSHOTX2,0,0},	// S1_FATSHOTX1
    {SPR1_MISL,32770,6,SA1_NULL,S1_FATSHOTX3,0,0},	// S1_FATSHOTX2
    {SPR1_MISL,32771,4,SA1_NULL,S1_NULL,0,0},	// S1_FATSHOTX3
    {SPR1_FATT,0,15,SA1_Look,S1_FATT_STND2,0,0},	// S1_FATT_STND
    {SPR1_FATT,1,15,SA1_Look,S1_FATT_STND,0,0},	// S1_FATT_STND2
    {SPR1_FATT,0,4,SA1_Chase,S1_FATT_RUN2,0,0},	// S1_FATT_RUN1
    {SPR1_FATT,0,4,SA1_Chase,S1_FATT_RUN3,0,0},	// S1_FATT_RUN2
    {SPR1_FATT,1,4,SA1_Chase,S1_FATT_RUN4,0,0},	// S1_FATT_RUN3
    {SPR1_FATT,1,4,SA1_Chase,S1_FATT_RUN5,0,0},	// S1_FATT_RUN4
    {SPR1_FATT,2,4,SA1_Chase,S1_FATT_RUN6,0,0},	// S1_FATT_RUN5
    {SPR1_FATT,2,4,SA1_Chase,S1_FATT_RUN7,0,0},	// S1_FATT_RUN6
    {SPR1_FATT,3,4,SA1_Chase,S1_FATT_RUN8,0,0},	// S1_FATT_RUN7
    {SPR1_FATT,3,4,SA1_Chase,S1_FATT_RUN9,0,0},	// S1_FATT_RUN8
    {SPR1_FATT,4,4,SA1_Chase,S1_FATT_RUN10,0,0},	// S1_FATT_RUN9
    {SPR1_FATT,4,4,SA1_Chase,S1_FATT_RUN11,0,0},	// S1_FATT_RUN10
    {SPR1_FATT,5,4,SA1_Chase,S1_FATT_RUN12,0,0},	// S1_FATT_RUN11
    {SPR1_FATT,5,4,SA1_Chase,S1_FATT_RUN1,0,0},	// S1_FATT_RUN12
    {SPR1_FATT,6,20,SA1_FatRaise,S1_FATT_ATK2,0,0},	// S1_FATT_ATK1
    {SPR1_FATT,32775,10,SA1_FatAttack1,S1_FATT_ATK3,0,0},	// S1_FATT_ATK2
    {SPR1_FATT,8,5,SA1_FaceTarget,S1_FATT_ATK4,0,0},	// S1_FATT_ATK3
    {SPR1_FATT,6,5,SA1_FaceTarget,S1_FATT_ATK5,0,0},	// S1_FATT_ATK4
    {SPR1_FATT,32775,10,SA1_FatAttack2,S1_FATT_ATK6,0,0},	// S1_FATT_ATK5
    {SPR1_FATT,8,5,SA1_FaceTarget,S1_FATT_ATK7,0,0},	// S1_FATT_ATK6
    {SPR1_FATT,6,5,SA1_FaceTarget,S1_FATT_ATK8,0,0},	// S1_FATT_ATK7
    {SPR1_FATT,32775,10,SA1_FatAttack3,S1_FATT_ATK9,0,0},	// S1_FATT_ATK8
    {SPR1_FATT,8,5,SA1_FaceTarget,S1_FATT_ATK10,0,0},	// S1_FATT_ATK9
    {SPR1_FATT,6,5,SA1_FaceTarget,S1_FATT_RUN1,0,0},	// S1_FATT_ATK10
    {SPR1_FATT,9,3,SA1_NULL,S1_FATT_PAIN2,0,0},	// S1_FATT_PAIN
    {SPR1_FATT,9,3,SA1_Pain,S1_FATT_RUN1,0,0},	// S1_FATT_PAIN2
    {SPR1_FATT,10,6,SA1_NULL,S1_FATT_DIE2,0,0},	// S1_FATT_DIE1
    {SPR1_FATT,11,6,SA1_Scream,S1_FATT_DIE3,0,0},	// S1_FATT_DIE2
    {SPR1_FATT,12,6,SA1_Fall,S1_FATT_DIE4,0,0},	// S1_FATT_DIE3
    {SPR1_FATT,13,6,SA1_NULL,S1_FATT_DIE5,0,0},	// S1_FATT_DIE4
    {SPR1_FATT,14,6,SA1_NULL,S1_FATT_DIE6,0,0},	// S1_FATT_DIE5
    {SPR1_FATT,15,6,SA1_NULL,S1_FATT_DIE7,0,0},	// S1_FATT_DIE6
    {SPR1_FATT,16,6,SA1_NULL,S1_FATT_DIE8,0,0},	// S1_FATT_DIE7
    {SPR1_FATT,17,6,SA1_NULL,S1_FATT_DIE9,0,0},	// S1_FATT_DIE8
    {SPR1_FATT,18,6,SA1_NULL,S1_FATT_DIE10,0,0},	// S1_FATT_DIE9
    {SPR1_FATT,19,-1,SA1_BossDeath,S1_NULL,0,0},	// S1_FATT_DIE10
    {SPR1_FATT,17,5,SA1_NULL,S1_FATT_RAISE2,0,0},	// S1_FATT_RAISE1
    {SPR1_FATT,16,5,SA1_NULL,S1_FATT_RAISE3,0,0},	// S1_FATT_RAISE2
    {SPR1_FATT,15,5,SA1_NULL,S1_FATT_RAISE4,0,0},	// S1_FATT_RAISE3
    {SPR1_FATT,14,5,SA1_NULL,S1_FATT_RAISE5,0,0},	// S1_FATT_RAISE4
    {SPR1_FATT,13,5,SA1_NULL,S1_FATT_RAISE6,0,0},	// S1_FATT_RAISE5
    {SPR1_FATT,12,5,SA1_NULL,S1_FATT_RAISE7,0,0},	// S1_FATT_RAISE6
    {SPR1_FATT,11,5,SA1_NULL,S1_FATT_RAISE8,0,0},	// S1_FATT_RAISE7
    {SPR1_FATT,10,5,SA1_NULL,S1_FATT_RUN1,0,0},	// S1_FATT_RAISE8
    {SPR1_CPOS,0,10,SA1_Look,S1_CPOS_STND2,0,0},	// S1_CPOS_STND
    {SPR1_CPOS,1,10,SA1_Look,S1_CPOS_STND,0,0},	// S1_CPOS_STND2
    {SPR1_CPOS,0,3,SA1_Chase,S1_CPOS_RUN2,0,0},	// S1_CPOS_RUN1
    {SPR1_CPOS,0,3,SA1_Chase,S1_CPOS_RUN3,0,0},	// S1_CPOS_RUN2
    {SPR1_CPOS,1,3,SA1_Chase,S1_CPOS_RUN4,0,0},	// S1_CPOS_RUN3
    {SPR1_CPOS,1,3,SA1_Chase,S1_CPOS_RUN5,0,0},	// S1_CPOS_RUN4
    {SPR1_CPOS,2,3,SA1_Chase,S1_CPOS_RUN6,0,0},	// S1_CPOS_RUN5
    {SPR1_CPOS,2,3,SA1_Chase,S1_CPOS_RUN7,0,0},	// S1_CPOS_RUN6
    {SPR1_CPOS,3,3,SA1_Chase,S1_CPOS_RUN8,0,0},	// S1_CPOS_RUN7
    {SPR1_CPOS,3,3,SA1_Chase,S1_CPOS_RUN1,0,0},	// S1_CPOS_RUN8
    {SPR1_CPOS,4,10,SA1_FaceTarget,S1_CPOS_ATK2,0,0},	// S1_CPOS_ATK1
    {SPR1_CPOS,32773,4,SA1_CPosAttack,S1_CPOS_ATK3,0,0},	// S1_CPOS_ATK2
    {SPR1_CPOS,32772,4,SA1_CPosAttack,S1_CPOS_ATK4,0,0},	// S1_CPOS_ATK3
    {SPR1_CPOS,5,1,SA1_CPosRefire,S1_CPOS_ATK2,0,0},	// S1_CPOS_ATK4
    {SPR1_CPOS,6,3,SA1_NULL,S1_CPOS_PAIN2,0,0},	// S1_CPOS_PAIN
    {SPR1_CPOS,6,3,SA1_Pain,S1_CPOS_RUN1,0,0},	// S1_CPOS_PAIN2
    {SPR1_CPOS,7,5,SA1_NULL,S1_CPOS_DIE2,0,0},	// S1_CPOS_DIE1
    {SPR1_CPOS,8,5,SA1_Scream,S1_CPOS_DIE3,0,0},	// S1_CPOS_DIE2
    {SPR1_CPOS,9,5,SA1_Fall,S1_CPOS_DIE4,0,0},	// S1_CPOS_DIE3
    {SPR1_CPOS,10,5,SA1_NULL,S1_CPOS_DIE5,0,0},	// S1_CPOS_DIE4
    {SPR1_CPOS,11,5,SA1_NULL,S1_CPOS_DIE6,0,0},	// S1_CPOS_DIE5
    {SPR1_CPOS,12,5,SA1_NULL,S1_CPOS_DIE7,0,0},	// S1_CPOS_DIE6
    {SPR1_CPOS,13,-1,SA1_NULL,S1_NULL,0,0},	// S1_CPOS_DIE7
    {SPR1_CPOS,14,5,SA1_NULL,S1_CPOS_XDIE2,0,0},	// S1_CPOS_XDIE1
    {SPR1_CPOS,15,5,SA1_XScream,S1_CPOS_XDIE3,0,0},	// S1_CPOS_XDIE2
    {SPR1_CPOS,16,5,SA1_Fall,S1_CPOS_XDIE4,0,0},	// S1_CPOS_XDIE3
    {SPR1_CPOS,17,5,SA1_NULL,S1_CPOS_XDIE5,0,0},	// S1_CPOS_XDIE4
    {SPR1_CPOS,18,5,SA1_NULL,S1_CPOS_XDIE6,0,0},	// S1_CPOS_XDIE5
    {SPR1_CPOS,19,-1,SA1_NULL,S1_NULL,0,0},	// S1_CPOS_XDIE6
    {SPR1_CPOS,13,5,SA1_NULL,S1_CPOS_RAISE2,0,0},	// S1_CPOS_RAISE1
    {SPR1_CPOS,12,5,SA1_NULL,S1_CPOS_RAISE3,0,0},	// S1_CPOS_RAISE2
    {SPR1_CPOS,11,5,SA1_NULL,S1_CPOS_RAISE4,0,0},	// S1_CPOS_RAISE3
    {SPR1_CPOS,10,5,SA1_NULL,S1_CPOS_RAISE5,0,0},	// S1_CPOS_RAISE4
    {SPR1_CPOS,9,5,SA1_NULL,S1_CPOS_RAISE6,0,0},	// S1_CPOS_RAISE5
    {SPR1_CPOS,8,5,SA1_NULL,S1_CPOS_RAISE7,0,0},	// S1_CPOS_RAISE6
    {SPR1_CPOS,7,5,SA1_NULL,S1_CPOS_RUN1,0,0},	// S1_CPOS_RAISE7
    {SPR1_TROO,0,10,SA1_Look,S1_TROO_STND2,0,0},	// S1_TROO_STND
    {SPR1_TROO,1,10,SA1_Look,S1_TROO_STND,0,0},	// S1_TROO_STND2
    {SPR1_TROO,0,3,SA1_Chase,S1_TROO_RUN2,0,0},	// S1_TROO_RUN1
    {SPR1_TROO,0,3,SA1_Chase,S1_TROO_RUN3,0,0},	// S1_TROO_RUN2
    {SPR1_TROO,1,3,SA1_Chase,S1_TROO_RUN4,0,0},	// S1_TROO_RUN3
    {SPR1_TROO,1,3,SA1_Chase,S1_TROO_RUN5,0,0},	// S1_TROO_RUN4
    {SPR1_TROO,2,3,SA1_Chase,S1_TROO_RUN6,0,0},	// S1_TROO_RUN5
    {SPR1_TROO,2,3,SA1_Chase,S1_TROO_RUN7,0,0},	// S1_TROO_RUN6
    {SPR1_TROO,3,3,SA1_Chase,S1_TROO_RUN8,0,0},	// S1_TROO_RUN7
    {SPR1_TROO,3,3,SA1_Chase,S1_TROO_RUN1,0,0},	// S1_TROO_RUN8
    {SPR1_TROO,4,8,SA1_FaceTarget,S1_TROO_ATK2,0,0},	// S1_TROO_ATK1
    {SPR1_TROO,5,8,SA1_FaceTarget,S1_TROO_ATK3,0,0},	// S1_TROO_ATK2
    {SPR1_TROO,6,6,SA1_TroopAttack,S1_TROO_RUN1,0,0},	// S1_TROO_ATK3
    {SPR1_TROO,7,2,SA1_NULL,S1_TROO_PAIN2,0,0},	// S1_TROO_PAIN
    {SPR1_TROO,7,2,SA1_Pain,S1_TROO_RUN1,0,0},	// S1_TROO_PAIN2
    {SPR1_TROO,8,8,SA1_NULL,S1_TROO_DIE2,0,0},	// S1_TROO_DIE1
    {SPR1_TROO,9,8,SA1_Scream,S1_TROO_DIE3,0,0},	// S1_TROO_DIE2
    {SPR1_TROO,10,6,SA1_NULL,S1_TROO_DIE4,0,0},	// S1_TROO_DIE3
    {SPR1_TROO,11,6,SA1_Fall,S1_TROO_DIE5,0,0},	// S1_TROO_DIE4
    {SPR1_TROO,12,-1,SA1_NULL,S1_NULL,0,0},	// S1_TROO_DIE5
    {SPR1_TROO,13,5,SA1_NULL,S1_TROO_XDIE2,0,0},	// S1_TROO_XDIE1
    {SPR1_TROO,14,5,SA1_XScream,S1_TROO_XDIE3,0,0},	// S1_TROO_XDIE2
    {SPR1_TROO,15,5,SA1_NULL,S1_TROO_XDIE4,0,0},	// S1_TROO_XDIE3
    {SPR1_TROO,16,5,SA1_Fall,S1_TROO_XDIE5,0,0},	// S1_TROO_XDIE4
    {SPR1_TROO,17,5,SA1_NULL,S1_TROO_XDIE6,0,0},	// S1_TROO_XDIE5
    {SPR1_TROO,18,5,SA1_NULL,S1_TROO_XDIE7,0,0},	// S1_TROO_XDIE6
    {SPR1_TROO,19,5,SA1_NULL,S1_TROO_XDIE8,0,0},	// S1_TROO_XDIE7
    {SPR1_TROO,20,-1,SA1_NULL,S1_NULL,0,0},	// S1_TROO_XDIE8
    {SPR1_TROO,12,8,SA1_NULL,S1_TROO_RAISE2,0,0},	// S1_TROO_RAISE1
    {SPR1_TROO,11,8,SA1_NULL,S1_TROO_RAISE3,0,0},	// S1_TROO_RAISE2
    {SPR1_TROO,10,6,SA1_NULL,S1_TROO_RAISE4,0,0},	// S1_TROO_RAISE3
    {SPR1_TROO,9,6,SA1_NULL,S1_TROO_RAISE5,0,0},	// S1_TROO_RAISE4
    {SPR1_TROO,8,6,SA1_NULL,S1_TROO_RUN1,0,0},	// S1_TROO_RAISE5
    {SPR1_SARG,0,10,SA1_Look,S1_SARG_STND2,0,0},	// S1_SARG_STND
    {SPR1_SARG,1,10,SA1_Look,S1_SARG_STND,0,0},	// S1_SARG_STND2
    {SPR1_SARG,0,2,SA1_Chase,S1_SARG_RUN2,0,0},	// S1_SARG_RUN1
    {SPR1_SARG,0,2,SA1_Chase,S1_SARG_RUN3,0,0},	// S1_SARG_RUN2
    {SPR1_SARG,1,2,SA1_Chase,S1_SARG_RUN4,0,0},	// S1_SARG_RUN3
    {SPR1_SARG,1,2,SA1_Chase,S1_SARG_RUN5,0,0},	// S1_SARG_RUN4
    {SPR1_SARG,2,2,SA1_Chase,S1_SARG_RUN6,0,0},	// S1_SARG_RUN5
    {SPR1_SARG,2,2,SA1_Chase,S1_SARG_RUN7,0,0},	// S1_SARG_RUN6
    {SPR1_SARG,3,2,SA1_Chase,S1_SARG_RUN8,0,0},	// S1_SARG_RUN7
    {SPR1_SARG,3,2,SA1_Chase,S1_SARG_RUN1,0,0},	// S1_SARG_RUN8
    {SPR1_SARG,4,8,SA1_FaceTarget,S1_SARG_ATK2,0,0},	// S1_SARG_ATK1
    {SPR1_SARG,5,8,SA1_FaceTarget,S1_SARG_ATK3,0,0},	// S1_SARG_ATK2
    {SPR1_SARG,6,8,SA1_SargAttack,S1_SARG_RUN1,0,0},	// S1_SARG_ATK3
    {SPR1_SARG,7,2,SA1_NULL,S1_SARG_PAIN2,0,0},	// S1_SARG_PAIN
    {SPR1_SARG,7,2,SA1_Pain,S1_SARG_RUN1,0,0},	// S1_SARG_PAIN2
    {SPR1_SARG,8,8,SA1_NULL,S1_SARG_DIE2,0,0},	// S1_SARG_DIE1
    {SPR1_SARG,9,8,SA1_Scream,S1_SARG_DIE3,0,0},	// S1_SARG_DIE2
    {SPR1_SARG,10,4,SA1_NULL,S1_SARG_DIE4,0,0},	// S1_SARG_DIE3
    {SPR1_SARG,11,4,SA1_Fall,S1_SARG_DIE5,0,0},	// S1_SARG_DIE4
    {SPR1_SARG,12,4,SA1_NULL,S1_SARG_DIE6,0,0},	// S1_SARG_DIE5
    {SPR1_SARG,13,-1,SA1_NULL,S1_NULL,0,0},	// S1_SARG_DIE6
    {SPR1_SARG,13,5,SA1_NULL,S1_SARG_RAISE2,0,0},	// S1_SARG_RAISE1
    {SPR1_SARG,12,5,SA1_NULL,S1_SARG_RAISE3,0,0},	// S1_SARG_RAISE2
    {SPR1_SARG,11,5,SA1_NULL,S1_SARG_RAISE4,0,0},	// S1_SARG_RAISE3
    {SPR1_SARG,10,5,SA1_NULL,S1_SARG_RAISE5,0,0},	// S1_SARG_RAISE4
    {SPR1_SARG,9,5,SA1_NULL,S1_SARG_RAISE6,0,0},	// S1_SARG_RAISE5
    {SPR1_SARG,8,5,SA1_NULL,S1_SARG_RUN1,0,0},	// S1_SARG_RAISE6
    {SPR1_HEAD,0,10,SA1_Look,S1_HEAD_STND,0,0},	// S1_HEAD_STND
    {SPR1_HEAD,0,3,SA1_Chase,S1_HEAD_RUN1,0,0},	// S1_HEAD_RUN1
    {SPR1_HEAD,1,5,SA1_FaceTarget,S1_HEAD_ATK2,0,0},	// S1_HEAD_ATK1
    {SPR1_HEAD,2,5,SA1_FaceTarget,S1_HEAD_ATK3,0,0},	// S1_HEAD_ATK2
    {SPR1_HEAD,32771,5,SA1_HeadAttack,S1_HEAD_RUN1,0,0},	// S1_HEAD_ATK3
    {SPR1_HEAD,4,3,SA1_NULL,S1_HEAD_PAIN2,0,0},	// S1_HEAD_PAIN
    {SPR1_HEAD,4,3,SA1_Pain,S1_HEAD_PAIN3,0,0},	// S1_HEAD_PAIN2
    {SPR1_HEAD,5,6,SA1_NULL,S1_HEAD_RUN1,0,0},	// S1_HEAD_PAIN3
    {SPR1_HEAD,6,8,SA1_NULL,S1_HEAD_DIE2,0,0},	// S1_HEAD_DIE1
    {SPR1_HEAD,7,8,SA1_Scream,S1_HEAD_DIE3,0,0},	// S1_HEAD_DIE2
    {SPR1_HEAD,8,8,SA1_NULL,S1_HEAD_DIE4,0,0},	// S1_HEAD_DIE3
    {SPR1_HEAD,9,8,SA1_NULL,S1_HEAD_DIE5,0,0},	// S1_HEAD_DIE4
    {SPR1_HEAD,10,8,SA1_Fall,S1_HEAD_DIE6,0,0},	// S1_HEAD_DIE5
    {SPR1_HEAD,11,-1,SA1_NULL,S1_NULL,0,0},	// S1_HEAD_DIE6
    {SPR1_HEAD,11,8,SA1_NULL,S1_HEAD_RAISE2,0,0},	// S1_HEAD_RAISE1
    {SPR1_HEAD,10,8,SA1_NULL,S1_HEAD_RAISE3,0,0},	// S1_HEAD_RAISE2
    {SPR1_HEAD,9,8,SA1_NULL,S1_HEAD_RAISE4,0,0},	// S1_HEAD_RAISE3
    {SPR1_HEAD,8,8,SA1_NULL,S1_HEAD_RAISE5,0,0},	// S1_HEAD_RAISE4
    {SPR1_HEAD,7,8,SA1_NULL,S1_HEAD_RAISE6,0,0},	// S1_HEAD_RAISE5
    {SPR1_HEAD,6,8,SA1_NULL,S1_HEAD_RUN1,0,0},	// S1_HEAD_RAISE6
    {SPR1_BAL7,32768,4,SA1_NULL,S1_BRBALL2,0,0},	// S1_BRBALL1
    {SPR1_BAL7,32769,4,SA1_NULL,S1_BRBALL1,0,0},	// S1_BRBALL2
    {SPR1_BAL7,32770,6,SA1_NULL,S1_BRBALLX2,0,0},	// S1_BRBALLX1
    {SPR1_BAL7,32771,6,SA1_NULL,S1_BRBALLX3,0,0},	// S1_BRBALLX2
    {SPR1_BAL7,32772,6,SA1_NULL,S1_NULL,0,0},	// S1_BRBALLX3
    {SPR1_BOSS,0,10,SA1_Look,S1_BOSS_STND2,0,0},	// S1_BOSS_STND
    {SPR1_BOSS,1,10,SA1_Look,S1_BOSS_STND,0,0},	// S1_BOSS_STND2
    {SPR1_BOSS,0,3,SA1_Chase,S1_BOSS_RUN2,0,0},	// S1_BOSS_RUN1
    {SPR1_BOSS,0,3,SA1_Chase,S1_BOSS_RUN3,0,0},	// S1_BOSS_RUN2
    {SPR1_BOSS,1,3,SA1_Chase,S1_BOSS_RUN4,0,0},	// S1_BOSS_RUN3
    {SPR1_BOSS,1,3,SA1_Chase,S1_BOSS_RUN5,0,0},	// S1_BOSS_RUN4
    {SPR1_BOSS,2,3,SA1_Chase,S1_BOSS_RUN6,0,0},	// S1_BOSS_RUN5
    {SPR1_BOSS,2,3,SA1_Chase,S1_BOSS_RUN7,0,0},	// S1_BOSS_RUN6
    {SPR1_BOSS,3,3,SA1_Chase,S1_BOSS_RUN8,0,0},	// S1_BOSS_RUN7
    {SPR1_BOSS,3,3,SA1_Chase,S1_BOSS_RUN1,0,0},	// S1_BOSS_RUN8
    {SPR1_BOSS,4,8,SA1_FaceTarget,S1_BOSS_ATK2,0,0},	// S1_BOSS_ATK1
    {SPR1_BOSS,5,8,SA1_FaceTarget,S1_BOSS_ATK3,0,0},	// S1_BOSS_ATK2
    {SPR1_BOSS,6,8,SA1_BruisAttack,S1_BOSS_RUN1,0,0},	// S1_BOSS_ATK3
    {SPR1_BOSS,7,2,SA1_NULL,S1_BOSS_PAIN2,0,0},	// S1_BOSS_PAIN
    {SPR1_BOSS,7,2,SA1_Pain,S1_BOSS_RUN1,0,0},	// S1_BOSS_PAIN2
    {SPR1_BOSS,8,8,SA1_NULL,S1_BOSS_DIE2,0,0},	// S1_BOSS_DIE1
    {SPR1_BOSS,9,8,SA1_Scream,S1_BOSS_DIE3,0,0},	// S1_BOSS_DIE2
    {SPR1_BOSS,10,8,SA1_NULL,S1_BOSS_DIE4,0,0},	// S1_BOSS_DIE3
    {SPR1_BOSS,11,8,SA1_Fall,S1_BOSS_DIE5,0,0},	// S1_BOSS_DIE4
    {SPR1_BOSS,12,8,SA1_NULL,S1_BOSS_DIE6,0,0},	// S1_BOSS_DIE5
    {SPR1_BOSS,13,8,SA1_NULL,S1_BOSS_DIE7,0,0},	// S1_BOSS_DIE6
    {SPR1_BOSS,14,-1,SA1_BossDeath,S1_NULL,0,0},	// S1_BOSS_DIE7
    {SPR1_BOSS,14,8,SA1_NULL,S1_BOSS_RAISE2,0,0},	// S1_BOSS_RAISE1
    {SPR1_BOSS,13,8,SA1_NULL,S1_BOSS_RAISE3,0,0},	// S1_BOSS_RAISE2
    {SPR1_BOSS,12,8,SA1_NULL,S1_BOSS_RAISE4,0,0},	// S1_BOSS_RAISE3
    {SPR1_BOSS,11,8,SA1_NULL,S1_BOSS_RAISE5,0,0},	// S1_BOSS_RAISE4
    {SPR1_BOSS,10,8,SA1_NULL,S1_BOSS_RAISE6,0,0},	// S1_BOSS_RAISE5
    {SPR1_BOSS,9,8,SA1_NULL,S1_BOSS_RAISE7,0,0},	// S1_BOSS_RAISE6
    {SPR1_BOSS,8,8,SA1_NULL,S1_BOSS_RUN1,0,0},	// S1_BOSS_RAISE7
    {SPR1_BOS2,0,10,SA1_Look,S1_BOS2_STND2,0,0},	// S1_BOS2_STND
    {SPR1_BOS2,1,10,SA1_Look,S1_BOS2_STND,0,0},	// S1_BOS2_STND2
    {SPR1_BOS2,0,3,SA1_Chase,S1_BOS2_RUN2,0,0},	// S1_BOS2_RUN1
    {SPR1_BOS2,0,3,SA1_Chase,S1_BOS2_RUN3,0,0},	// S1_BOS2_RUN2
    {SPR1_BOS2,1,3,SA1_Chase,S1_BOS2_RUN4,0,0},	// S1_BOS2_RUN3
    {SPR1_BOS2,1,3,SA1_Chase,S1_BOS2_RUN5,0,0},	// S1_BOS2_RUN4
    {SPR1_BOS2,2,3,SA1_Chase,S1_BOS2_RUN6,0,0},	// S1_BOS2_RUN5
    {SPR1_BOS2,2,3,SA1_Chase,S1_BOS2_RUN7,0,0},	// S1_BOS2_RUN6
    {SPR1_BOS2,3,3,SA1_Chase,S1_BOS2_RUN8,0,0},	// S1_BOS2_RUN7
    {SPR1_BOS2,3,3,SA1_Chase,S1_BOS2_RUN1,0,0},	// S1_BOS2_RUN8
    {SPR1_BOS2,4,8,SA1_FaceTarget,S1_BOS2_ATK2,0,0},	// S1_BOS2_ATK1
    {SPR1_BOS2,5,8,SA1_FaceTarget,S1_BOS2_ATK3,0,0},	// S1_BOS2_ATK2
    {SPR1_BOS2,6,8,SA1_BruisAttack,S1_BOS2_RUN1,0,0},	// S1_BOS2_ATK3
    {SPR1_BOS2,7,2,SA1_NULL,S1_BOS2_PAIN2,0,0},	// S1_BOS2_PAIN
    {SPR1_BOS2,7,2,SA1_Pain,S1_BOS2_RUN1,0,0},	// S1_BOS2_PAIN2
    {SPR1_BOS2,8,8,SA1_NULL,S1_BOS2_DIE2,0,0},	// S1_BOS2_DIE1
    {SPR1_BOS2,9,8,SA1_Scream,S1_BOS2_DIE3,0,0},	// S1_BOS2_DIE2
    {SPR1_BOS2,10,8,SA1_NULL,S1_BOS2_DIE4,0,0},	// S1_BOS2_DIE3
    {SPR1_BOS2,11,8,SA1_Fall,S1_BOS2_DIE5,0,0},	// S1_BOS2_DIE4
    {SPR1_BOS2,12,8,SA1_NULL,S1_BOS2_DIE6,0,0},	// S1_BOS2_DIE5
    {SPR1_BOS2,13,8,SA1_NULL,S1_BOS2_DIE7,0,0},	// S1_BOS2_DIE6
    {SPR1_BOS2,14,-1,SA1_NULL,S1_NULL,0,0},	// S1_BOS2_DIE7
    {SPR1_BOS2,14,8,SA1_NULL,S1_BOS2_RAISE2,0,0},	// S1_BOS2_RAISE1
    {SPR1_BOS2,13,8,SA1_NULL,S1_BOS2_RAISE3,0,0},	// S1_BOS2_RAISE2
    {SPR1_BOS2,12,8,SA1_NULL,S1_BOS2_RAISE4,0,0},	// S1_BOS2_RAISE3
    {SPR1_BOS2,11,8,SA1_NULL,S1_BOS2_RAISE5,0,0},	// S1_BOS2_RAISE4
    {SPR1_BOS2,10,8,SA1_NULL,S1_BOS2_RAISE6,0,0},	// S1_BOS2_RAISE5
    {SPR1_BOS2,9,8,SA1_NULL,S1_BOS2_RAISE7,0,0},	// S1_BOS2_RAISE6
    {SPR1_BOS2,8,8,SA1_NULL,S1_BOS2_RUN1,0,0},	// S1_BOS2_RAISE7
    {SPR1_SKUL,32768,10,SA1_Look,S1_SKULL_STND2,0,0},	// S1_SKULL_STND
    {SPR1_SKUL,32769,10,SA1_Look,S1_SKULL_STND,0,0},	// S1_SKULL_STND2
    {SPR1_SKUL,32768,6,SA1_Chase,S1_SKULL_RUN2,0,0},	// S1_SKULL_RUN1
    {SPR1_SKUL,32769,6,SA1_Chase,S1_SKULL_RUN1,0,0},	// S1_SKULL_RUN2
    {SPR1_SKUL,32770,10,SA1_FaceTarget,S1_SKULL_ATK2,0,0},	// S1_SKULL_ATK1
    {SPR1_SKUL,32771,4,SA1_SkullAttack,S1_SKULL_ATK3,0,0},	// S1_SKULL_ATK2
    {SPR1_SKUL,32770,4,SA1_NULL,S1_SKULL_ATK4,0,0},	// S1_SKULL_ATK3
    {SPR1_SKUL,32771,4,SA1_NULL,S1_SKULL_ATK3,0,0},	// S1_SKULL_ATK4
    {SPR1_SKUL,32772,3,SA1_NULL,S1_SKULL_PAIN2,0,0},	// S1_SKULL_PAIN
    {SPR1_SKUL,32772,3,SA1_Pain,S1_SKULL_RUN1,0,0},	// S1_SKULL_PAIN2
    {SPR1_SKUL,32773,6,SA1_NULL,S1_SKULL_DIE2,0,0},	// S1_SKULL_DIE1
    {SPR1_SKUL,32774,6,SA1_Scream,S1_SKULL_DIE3,0,0},	// S1_SKULL_DIE2
    {SPR1_SKUL,32775,6,SA1_NULL,S1_SKULL_DIE4,0,0},	// S1_SKULL_DIE3
    {SPR1_SKUL,32776,6,SA1_Fall,S1_SKULL_DIE5,0,0},	// S1_SKULL_DIE4
    {SPR1_SKUL,9,6,SA1_NULL,S1_SKULL_DIE6,0,0},	// S1_SKULL_DIE5
    {SPR1_SKUL,10,6,SA1_NULL,S1_NULL,0,0},	// S1_SKULL_DIE6
    {SPR1_SPID,0,10,SA1_Look,S1_SPID_STND2,0,0},	// S1_SPID_STND
    {SPR1_SPID,1,10,SA1_Look,S1_SPID_STND,0,0},	// S1_SPID_STND2
    {SPR1_SPID,0,3,SA1_Metal,S1_SPID_RUN2,0,0},	// S1_SPID_RUN1
    {SPR1_SPID,0,3,SA1_Chase,S1_SPID_RUN3,0,0},	// S1_SPID_RUN2
    {SPR1_SPID,1,3,SA1_Chase,S1_SPID_RUN4,0,0},	// S1_SPID_RUN3
    {SPR1_SPID,1,3,SA1_Chase,S1_SPID_RUN5,0,0},	// S1_SPID_RUN4
    {SPR1_SPID,2,3,SA1_Metal,S1_SPID_RUN6,0,0},	// S1_SPID_RUN5
    {SPR1_SPID,2,3,SA1_Chase,S1_SPID_RUN7,0,0},	// S1_SPID_RUN6
    {SPR1_SPID,3,3,SA1_Chase,S1_SPID_RUN8,0,0},	// S1_SPID_RUN7
    {SPR1_SPID,3,3,SA1_Chase,S1_SPID_RUN9,0,0},	// S1_SPID_RUN8
    {SPR1_SPID,4,3,SA1_Metal,S1_SPID_RUN10,0,0},	// S1_SPID_RUN9
    {SPR1_SPID,4,3,SA1_Chase,S1_SPID_RUN11,0,0},	// S1_SPID_RUN10
    {SPR1_SPID,5,3,SA1_Chase,S1_SPID_RUN12,0,0},	// S1_SPID_RUN11
    {SPR1_SPID,5,3,SA1_Chase,S1_SPID_RUN1,0,0},	// S1_SPID_RUN12
    {SPR1_SPID,32768,20,SA1_FaceTarget,S1_SPID_ATK2,0,0},	// S1_SPID_ATK1
    {SPR1_SPID,32774,4,SA1_SPosAttack,S1_SPID_ATK3,0,0},	// S1_SPID_ATK2
    {SPR1_SPID,32775,4,SA1_SPosAttack,S1_SPID_ATK4,0,0},	// S1_SPID_ATK3
    {SPR1_SPID,32775,1,SA1_SpidRefire,S1_SPID_ATK2,0,0},	// S1_SPID_ATK4
    {SPR1_SPID,8,3,SA1_NULL,S1_SPID_PAIN2,0,0},	// S1_SPID_PAIN
    {SPR1_SPID,8,3,SA1_Pain,S1_SPID_RUN1,0,0},	// S1_SPID_PAIN2
    {SPR1_SPID,9,20,SA1_Scream,S1_SPID_DIE2,0,0},	// S1_SPID_DIE1
    {SPR1_SPID,10,10,SA1_Fall,S1_SPID_DIE3,0,0},	// S1_SPID_DIE2
    {SPR1_SPID,11,10,SA1_NULL,S1_SPID_DIE4,0,0},	// S1_SPID_DIE3
    {SPR1_SPID,12,10,SA1_NULL,S1_SPID_DIE5,0,0},	// S1_SPID_DIE4
    {SPR1_SPID,13,10,SA1_NULL,S1_SPID_DIE6,0,0},	// S1_SPID_DIE5
    {SPR1_SPID,14,10,SA1_NULL,S1_SPID_DIE7,0,0},	// S1_SPID_DIE6
    {SPR1_SPID,15,10,SA1_NULL,S1_SPID_DIE8,0,0},	// S1_SPID_DIE7
    {SPR1_SPID,16,10,SA1_NULL,S1_SPID_DIE9,0,0},	// S1_SPID_DIE8
    {SPR1_SPID,17,10,SA1_NULL,S1_SPID_DIE10,0,0},	// S1_SPID_DIE9
    {SPR1_SPID,18,30,SA1_NULL,S1_SPID_DIE11,0,0},	// S1_SPID_DIE10
    {SPR1_SPID,18,-1,SA1_BossDeath,S1_NULL,0,0},	// S1_SPID_DIE11
    {SPR1_BSPI,0,10,SA1_Look,S1_BSPI_STND2,0,0},	// S1_BSPI_STND
    {SPR1_BSPI,1,10,SA1_Look,S1_BSPI_STND,0,0},	// S1_BSPI_STND2
    {SPR1_BSPI,0,20,SA1_NULL,S1_BSPI_RUN1,0,0},	// S1_BSPI_SIGHT
    {SPR1_BSPI,0,3,SA1_BabyMetal,S1_BSPI_RUN2,0,0},	// S1_BSPI_RUN1
    {SPR1_BSPI,0,3,SA1_Chase,S1_BSPI_RUN3,0,0},	// S1_BSPI_RUN2
    {SPR1_BSPI,1,3,SA1_Chase,S1_BSPI_RUN4,0,0},	// S1_BSPI_RUN3
    {SPR1_BSPI,1,3,SA1_Chase,S1_BSPI_RUN5,0,0},	// S1_BSPI_RUN4
    {SPR1_BSPI,2,3,SA1_Chase,S1_BSPI_RUN6,0,0},	// S1_BSPI_RUN5
    {SPR1_BSPI,2,3,SA1_Chase,S1_BSPI_RUN7,0,0},	// S1_BSPI_RUN6
    {SPR1_BSPI,3,3,SA1_BabyMetal,S1_BSPI_RUN8,0,0},	// S1_BSPI_RUN7
    {SPR1_BSPI,3,3,SA1_Chase,S1_BSPI_RUN9,0,0},	// S1_BSPI_RUN8
    {SPR1_BSPI,4,3,SA1_Chase,S1_BSPI_RUN10,0,0},	// S1_BSPI_RUN9
    {SPR1_BSPI,4,3,SA1_Chase,S1_BSPI_RUN11,0,0},	// S1_BSPI_RUN10
    {SPR1_BSPI,5,3,SA1_Chase,S1_BSPI_RUN12,0,0},	// S1_BSPI_RUN11
    {SPR1_BSPI,5,3,SA1_Chase,S1_BSPI_RUN1,0,0},	// S1_BSPI_RUN12
    {SPR1_BSPI,32768,20,SA1_FaceTarget,S1_BSPI_ATK2,0,0},	// S1_BSPI_ATK1
    {SPR1_BSPI,32774,4,SA1_BspiAttack,S1_BSPI_ATK3,0,0},	// S1_BSPI_ATK2
    {SPR1_BSPI,32775,4,SA1_NULL,S1_BSPI_ATK4,0,0},	// S1_BSPI_ATK3
    {SPR1_BSPI,32775,1,SA1_SpidRefire,S1_BSPI_ATK2,0,0},	// S1_BSPI_ATK4
    {SPR1_BSPI,8,3,SA1_NULL,S1_BSPI_PAIN2,0,0},	// S1_BSPI_PAIN
    {SPR1_BSPI,8,3,SA1_Pain,S1_BSPI_RUN1,0,0},	// S1_BSPI_PAIN2
    {SPR1_BSPI,9,20,SA1_Scream,S1_BSPI_DIE2,0,0},	// S1_BSPI_DIE1
    {SPR1_BSPI,10,7,SA1_Fall,S1_BSPI_DIE3,0,0},	// S1_BSPI_DIE2
    {SPR1_BSPI,11,7,SA1_NULL,S1_BSPI_DIE4,0,0},	// S1_BSPI_DIE3
    {SPR1_BSPI,12,7,SA1_NULL,S1_BSPI_DIE5,0,0},	// S1_BSPI_DIE4
    {SPR1_BSPI,13,7,SA1_NULL,S1_BSPI_DIE6,0,0},	// S1_BSPI_DIE5
    {SPR1_BSPI,14,7,SA1_NULL,S1_BSPI_DIE7,0,0},	// S1_BSPI_DIE6
    {SPR1_BSPI,15,-1,SA1_BossDeath,S1_NULL,0,0},	// S1_BSPI_DIE7
    {SPR1_BSPI,15,5,SA1_NULL,S1_BSPI_RAISE2,0,0},	// S1_BSPI_RAISE1
    {SPR1_BSPI,14,5,SA1_NULL,S1_BSPI_RAISE3,0,0},	// S1_BSPI_RAISE2
    {SPR1_BSPI,13,5,SA1_NULL,S1_BSPI_RAISE4,0,0},	// S1_BSPI_RAISE3
    {SPR1_BSPI,12,5,SA1_NULL,S1_BSPI_RAISE5,0,0},	// S1_BSPI_RAISE4
    {SPR1_BSPI,11,5,SA1_NULL,S1_BSPI_RAISE6,0,0},	// S1_BSPI_RAISE5
    {SPR1_BSPI,10,5,SA1_NULL,S1_BSPI_RAISE7,0,0},	// S1_BSPI_RAISE6
    {SPR1_BSPI,9,5,SA1_NULL,S1_BSPI_RUN1,0,0},	// S1_BSPI_RAISE7
    {SPR1_APLS,32768,5,SA1_NULL,S1_ARACH_PLAZ2,0,0},	// S1_ARACH_PLAZ
    {SPR1_APLS,32769,5,SA1_NULL,S1_ARACH_PLAZ,0,0},	// S1_ARACH_PLAZ2
    {SPR1_APBX,32768,5,SA1_NULL,S1_ARACH_PLEX2,0,0},	// S1_ARACH_PLEX
    {SPR1_APBX,32769,5,SA1_NULL,S1_ARACH_PLEX3,0,0},	// S1_ARACH_PLEX2
    {SPR1_APBX,32770,5,SA1_NULL,S1_ARACH_PLEX4,0,0},	// S1_ARACH_PLEX3
    {SPR1_APBX,32771,5,SA1_NULL,S1_ARACH_PLEX5,0,0},	// S1_ARACH_PLEX4
    {SPR1_APBX,32772,5,SA1_NULL,S1_NULL,0,0},	// S1_ARACH_PLEX5
    {SPR1_CYBR,0,10,SA1_Look,S1_CYBER_STND2,0,0},	// S1_CYBER_STND
    {SPR1_CYBR,1,10,SA1_Look,S1_CYBER_STND,0,0},	// S1_CYBER_STND2
    {SPR1_CYBR,0,3,SA1_Hoof,S1_CYBER_RUN2,0,0},	// S1_CYBER_RUN1
    {SPR1_CYBR,0,3,SA1_Chase,S1_CYBER_RUN3,0,0},	// S1_CYBER_RUN2
    {SPR1_CYBR,1,3,SA1_Chase,S1_CYBER_RUN4,0,0},	// S1_CYBER_RUN3
    {SPR1_CYBR,1,3,SA1_Chase,S1_CYBER_RUN5,0,0},	// S1_CYBER_RUN4
    {SPR1_CYBR,2,3,SA1_Chase,S1_CYBER_RUN6,0,0},	// S1_CYBER_RUN5
    {SPR1_CYBR,2,3,SA1_Chase,S1_CYBER_RUN7,0,0},	// S1_CYBER_RUN6
    {SPR1_CYBR,3,3,SA1_Metal,S1_CYBER_RUN8,0,0},	// S1_CYBER_RUN7
    {SPR1_CYBR,3,3,SA1_Chase,S1_CYBER_RUN1,0,0},	// S1_CYBER_RUN8
    {SPR1_CYBR,4,6,SA1_FaceTarget,S1_CYBER_ATK2,0,0},	// S1_CYBER_ATK1
    {SPR1_CYBR,5,12,SA1_CyberAttack,S1_CYBER_ATK3,0,0},	// S1_CYBER_ATK2
    {SPR1_CYBR,4,12,SA1_FaceTarget,S1_CYBER_ATK4,0,0},	// S1_CYBER_ATK3
    {SPR1_CYBR,5,12,SA1_CyberAttack,S1_CYBER_ATK5,0,0},	// S1_CYBER_ATK4
    {SPR1_CYBR,4,12,SA1_FaceTarget,S1_CYBER_ATK6,0,0},	// S1_CYBER_ATK5
    {SPR1_CYBR,5,12,SA1_CyberAttack,S1_CYBER_RUN1,0,0},	// S1_CYBER_ATK6
    {SPR1_CYBR,6,10,SA1_Pain,S1_CYBER_RUN1,0,0},	// S1_CYBER_PAIN
    {SPR1_CYBR,7,10,SA1_NULL,S1_CYBER_DIE2,0,0},	// S1_CYBER_DIE1
    {SPR1_CYBR,8,10,SA1_Scream,S1_CYBER_DIE3,0,0},	// S1_CYBER_DIE2
    {SPR1_CYBR,9,10,SA1_NULL,S1_CYBER_DIE4,0,0},	// S1_CYBER_DIE3
    {SPR1_CYBR,10,10,SA1_NULL,S1_CYBER_DIE5,0,0},	// S1_CYBER_DIE4
    {SPR1_CYBR,11,10,SA1_NULL,S1_CYBER_DIE6,0,0},	// S1_CYBER_DIE5
    {SPR1_CYBR,12,10,SA1_Fall,S1_CYBER_DIE7,0,0},	// S1_CYBER_DIE6
    {SPR1_CYBR,13,10,SA1_NULL,S1_CYBER_DIE8,0,0},	// S1_CYBER_DIE7
    {SPR1_CYBR,14,10,SA1_NULL,S1_CYBER_DIE9,0,0},	// S1_CYBER_DIE8
    {SPR1_CYBR,15,30,SA1_NULL,S1_CYBER_DIE10,0,0},	// S1_CYBER_DIE9
    {SPR1_CYBR,15,-1,SA1_BossDeath,S1_NULL,0,0},	// S1_CYBER_DIE10
    {SPR1_PAIN,0,10,SA1_Look,S1_PAIN_STND,0,0},	// S1_PAIN_STND
    {SPR1_PAIN,0,3,SA1_Chase,S1_PAIN_RUN2,0,0},	// S1_PAIN_RUN1
    {SPR1_PAIN,0,3,SA1_Chase,S1_PAIN_RUN3,0,0},	// S1_PAIN_RUN2
    {SPR1_PAIN,1,3,SA1_Chase,S1_PAIN_RUN4,0,0},	// S1_PAIN_RUN3
    {SPR1_PAIN,1,3,SA1_Chase,S1_PAIN_RUN5,0,0},	// S1_PAIN_RUN4
    {SPR1_PAIN,2,3,SA1_Chase,S1_PAIN_RUN6,0,0},	// S1_PAIN_RUN5
    {SPR1_PAIN,2,3,SA1_Chase,S1_PAIN_RUN1,0,0},	// S1_PAIN_RUN6
    {SPR1_PAIN,3,5,SA1_FaceTarget,S1_PAIN_ATK2,0,0},	// S1_PAIN_ATK1
    {SPR1_PAIN,4,5,SA1_FaceTarget,S1_PAIN_ATK3,0,0},	// S1_PAIN_ATK2
    {SPR1_PAIN,32773,5,SA1_FaceTarget,S1_PAIN_ATK4,0,0},	// S1_PAIN_ATK3
    {SPR1_PAIN,32773,0,SA1_PainAttack,S1_PAIN_RUN1,0,0},	// S1_PAIN_ATK4
    {SPR1_PAIN,6,6,SA1_NULL,S1_PAIN_PAIN2,0,0},	// S1_PAIN_PAIN
    {SPR1_PAIN,6,6,SA1_Pain,S1_PAIN_RUN1,0,0},	// S1_PAIN_PAIN2
    {SPR1_PAIN,32775,8,SA1_NULL,S1_PAIN_DIE2,0,0},	// S1_PAIN_DIE1
    {SPR1_PAIN,32776,8,SA1_Scream,S1_PAIN_DIE3,0,0},	// S1_PAIN_DIE2
    {SPR1_PAIN,32777,8,SA1_NULL,S1_PAIN_DIE4,0,0},	// S1_PAIN_DIE3
    {SPR1_PAIN,32778,8,SA1_NULL,S1_PAIN_DIE5,0,0},	// S1_PAIN_DIE4
    {SPR1_PAIN,32779,8,SA1_PainDie,S1_PAIN_DIE6,0,0},	// S1_PAIN_DIE5
    {SPR1_PAIN,32780,8,SA1_NULL,S1_NULL,0,0},	// S1_PAIN_DIE6
    {SPR1_PAIN,12,8,SA1_NULL,S1_PAIN_RAISE2,0,0},	// S1_PAIN_RAISE1
    {SPR1_PAIN,11,8,SA1_NULL,S1_PAIN_RAISE3,0,0},	// S1_PAIN_RAISE2
    {SPR1_PAIN,10,8,SA1_NULL,S1_PAIN_RAISE4,0,0},	// S1_PAIN_RAISE3
    {SPR1_PAIN,9,8,SA1_NULL,S1_PAIN_RAISE5,0,0},	// S1_PAIN_RAISE4
    {SPR1_PAIN,8,8,SA1_NULL,S1_PAIN_RAISE6,0,0},	// S1_PAIN_RAISE5
    {SPR1_PAIN,7,8,SA1_NULL,S1_PAIN_RUN1,0,0},	// S1_PAIN_RAISE6
    {SPR1_SSWV,0,10,SA1_Look,S1_SSWV_STND2,0,0},	// S1_SSWV_STND
    {SPR1_SSWV,1,10,SA1_Look,S1_SSWV_STND,0,0},	// S1_SSWV_STND2
    {SPR1_SSWV,0,3,SA1_Chase,S1_SSWV_RUN2,0,0},	// S1_SSWV_RUN1
    {SPR1_SSWV,0,3,SA1_Chase,S1_SSWV_RUN3,0,0},	// S1_SSWV_RUN2
    {SPR1_SSWV,1,3,SA1_Chase,S1_SSWV_RUN4,0,0},	// S1_SSWV_RUN3
    {SPR1_SSWV,1,3,SA1_Chase,S1_SSWV_RUN5,0,0},	// S1_SSWV_RUN4
    {SPR1_SSWV,2,3,SA1_Chase,S1_SSWV_RUN6,0,0},	// S1_SSWV_RUN5
    {SPR1_SSWV,2,3,SA1_Chase,S1_SSWV_RUN7,0,0},	// S1_SSWV_RUN6
    {SPR1_SSWV,3,3,SA1_Chase,S1_SSWV_RUN8,0,0},	// S1_SSWV_RUN7
    {SPR1_SSWV,3,3,SA1_Chase,S1_SSWV_RUN1,0,0},	// S1_SSWV_RUN8
    {SPR1_SSWV,4,10,SA1_FaceTarget,S1_SSWV_ATK2,0,0},	// S1_SSWV_ATK1
    {SPR1_SSWV,5,10,SA1_FaceTarget,S1_SSWV_ATK3,0,0},	// S1_SSWV_ATK2
    {SPR1_SSWV,32774,4,SA1_CPosAttack,S1_SSWV_ATK4,0,0},	// S1_SSWV_ATK3
    {SPR1_SSWV,5,6,SA1_FaceTarget,S1_SSWV_ATK5,0,0},	// S1_SSWV_ATK4
    {SPR1_SSWV,32774,4,SA1_CPosAttack,S1_SSWV_ATK6,0,0},	// S1_SSWV_ATK5
    {SPR1_SSWV,5,1,SA1_CPosRefire,S1_SSWV_ATK2,0,0},	// S1_SSWV_ATK6
    {SPR1_SSWV,7,3,SA1_NULL,S1_SSWV_PAIN2,0,0},	// S1_SSWV_PAIN
    {SPR1_SSWV,7,3,SA1_Pain,S1_SSWV_RUN1,0,0},	// S1_SSWV_PAIN2
    {SPR1_SSWV,8,5,SA1_NULL,S1_SSWV_DIE2,0,0},	// S1_SSWV_DIE1
    {SPR1_SSWV,9,5,SA1_Scream,S1_SSWV_DIE3,0,0},	// S1_SSWV_DIE2
    {SPR1_SSWV,10,5,SA1_Fall,S1_SSWV_DIE4,0,0},	// S1_SSWV_DIE3
    {SPR1_SSWV,11,5,SA1_NULL,S1_SSWV_DIE5,0,0},	// S1_SSWV_DIE4
    {SPR1_SSWV,12,-1,SA1_NULL,S1_NULL,0,0},	// S1_SSWV_DIE5
    {SPR1_SSWV,13,5,SA1_NULL,S1_SSWV_XDIE2,0,0},	// S1_SSWV_XDIE1
    {SPR1_SSWV,14,5,SA1_XScream,S1_SSWV_XDIE3,0,0},	// S1_SSWV_XDIE2
    {SPR1_SSWV,15,5,SA1_Fall,S1_SSWV_XDIE4,0,0},	// S1_SSWV_XDIE3
    {SPR1_SSWV,16,5,SA1_NULL,S1_SSWV_XDIE5,0,0},	// S1_SSWV_XDIE4
    {SPR1_SSWV,17,5,SA1_NULL,S1_SSWV_XDIE6,0,0},	// S1_SSWV_XDIE5
    {SPR1_SSWV,18,5,SA1_NULL,S1_SSWV_XDIE7,0,0},	// S1_SSWV_XDIE6
    {SPR1_SSWV,19,5,SA1_NULL,S1_SSWV_XDIE8,0,0},	// S1_SSWV_XDIE7
    {SPR1_SSWV,20,5,SA1_NULL,S1_SSWV_XDIE9,0,0},	// S1_SSWV_XDIE8
    {SPR1_SSWV,21,-1,SA1_NULL,S1_NULL,0,0},	// S1_SSWV_XDIE9
    {SPR1_SSWV,12,5,SA1_NULL,S1_SSWV_RAISE2,0,0},	// S1_SSWV_RAISE1
    {SPR1_SSWV,11,5,SA1_NULL,S1_SSWV_RAISE3,0,0},	// S1_SSWV_RAISE2
    {SPR1_SSWV,10,5,SA1_NULL,S1_SSWV_RAISE4,0,0},	// S1_SSWV_RAISE3
    {SPR1_SSWV,9,5,SA1_NULL,S1_SSWV_RAISE5,0,0},	// S1_SSWV_RAISE4
    {SPR1_SSWV,8,5,SA1_NULL,S1_SSWV_RUN1,0,0},	// S1_SSWV_RAISE5
    {SPR1_KEEN,0,-1,SA1_NULL,S1_KEENSTND,0,0},	// S1_KEENSTND
    {SPR1_KEEN,0,6,SA1_NULL,S1_COMMKEEN2,0,0},	// S1_COMMKEEN
    {SPR1_KEEN,1,6,SA1_NULL,S1_COMMKEEN3,0,0},	// S1_COMMKEEN2
    {SPR1_KEEN,2,6,SA1_Scream,S1_COMMKEEN4,0,0},	// S1_COMMKEEN3
    {SPR1_KEEN,3,6,SA1_NULL,S1_COMMKEEN5,0,0},	// S1_COMMKEEN4
    {SPR1_KEEN,4,6,SA1_NULL,S1_COMMKEEN6,0,0},	// S1_COMMKEEN5
    {SPR1_KEEN,5,6,SA1_NULL,S1_COMMKEEN7,0,0},	// S1_COMMKEEN6
    {SPR1_KEEN,6,6,SA1_NULL,S1_COMMKEEN8,0,0},	// S1_COMMKEEN7
    {SPR1_KEEN,7,6,SA1_NULL,S1_COMMKEEN9,0,0},	// S1_COMMKEEN8
    {SPR1_KEEN,8,6,SA1_NULL,S1_COMMKEEN10,0,0},	// S1_COMMKEEN9
    {SPR1_KEEN,9,6,SA1_NULL,S1_COMMKEEN11,0,0},	// S1_COMMKEEN10
    {SPR1_KEEN,10,6,SA1_KeenDie,S1_COMMKEEN12,0,0},// S1_COMMKEEN11
    {SPR1_KEEN,11,-1,SA1_NULL,S1_NULL,0,0},		// S1_COMMKEEN12
    {SPR1_KEEN,12,4,SA1_NULL,S1_KEENPAIN2,0,0},	// S1_KEENPAIN
    {SPR1_KEEN,12,8,SA1_Pain,S1_KEENSTND,0,0},	// S1_KEENPAIN2
    {SPR1_BBRN,0,-1,SA1_NULL,S1_NULL,0,0},		// S1_BRAIN
    {SPR1_BBRN,1,36,SA1_BrainPain,S1_BRAIN,0,0},	// S1_BRAIN_PAIN
    {SPR1_BBRN,0,100,SA1_BrainScream,S1_BRAIN_DIE2,0,0},	// S1_BRAIN_DIE1
    {SPR1_BBRN,0,10,SA1_NULL,S1_BRAIN_DIE3,0,0},	// S1_BRAIN_DIE2
    {SPR1_BBRN,0,10,SA1_NULL,S1_BRAIN_DIE4,0,0},	// S1_BRAIN_DIE3
    {SPR1_BBRN,0,-1,SA1_BrainDie,S1_NULL,0,0},	// S1_BRAIN_DIE4
    {SPR1_SSWV,0,10,SA1_Look,S1_BRAINEYE,0,0},	// S1_BRAINEYE
    {SPR1_SSWV,0,181,SA1_BrainAwake,S1_BRAINEYE1,0,0},	// S1_BRAINEYESEE
    {SPR1_SSWV,0,150,SA1_BrainSpit,S1_BRAINEYE1,0,0},	// S1_BRAINEYE1
    {SPR1_BOSF,32768,3,SA1_SpawnSound,S1_SPAWN2,0,0},	// S1_SPAWN1
    {SPR1_BOSF,32769,3,SA1_SpawnFly,S1_SPAWN3,0,0},	// S1_SPAWN2
    {SPR1_BOSF,32770,3,SA1_SpawnFly,S1_SPAWN4,0,0},	// S1_SPAWN3
    {SPR1_BOSF,32771,3,SA1_SpawnFly,S1_SPAWN1,0,0},	// S1_SPAWN4
    {SPR1_FIRE,32768,4,SA1_Fire,S1_SPAWNFIRE2,0,0},	// S1_SPAWNFIRE1
    {SPR1_FIRE,32769,4,SA1_Fire,S1_SPAWNFIRE3,0,0},	// S1_SPAWNFIRE2
    {SPR1_FIRE,32770,4,SA1_Fire,S1_SPAWNFIRE4,0,0},	// S1_SPAWNFIRE3
    {SPR1_FIRE,32771,4,SA1_Fire,S1_SPAWNFIRE5,0,0},	// S1_SPAWNFIRE4
    {SPR1_FIRE,32772,4,SA1_Fire,S1_SPAWNFIRE6,0,0},	// S1_SPAWNFIRE5
    {SPR1_FIRE,32773,4,SA1_Fire,S1_SPAWNFIRE7,0,0},	// S1_SPAWNFIRE6
    {SPR1_FIRE,32774,4,SA1_Fire,S1_SPAWNFIRE8,0,0},	// S1_SPAWNFIRE7
    {SPR1_FIRE,32775,4,SA1_Fire,S1_NULL,0,0},		// S1_SPAWNFIRE8
    {SPR1_MISL,32769,10,SA1_NULL,S1_BRAINEXPLODE2,0,0},	// S1_BRAINEXPLODE1
    {SPR1_MISL,32770,10,SA1_NULL,S1_BRAINEXPLODE3,0,0},	// S1_BRAINEXPLODE2
    {SPR1_MISL,32771,10,SA1_BrainExplode,S1_NULL,0,0},	// S1_BRAINEXPLODE3
    {SPR1_ARM1,0,6,SA1_NULL,S1_ARM1A,0,0},	// S1_ARM1
    {SPR1_ARM1,32769,7,SA1_NULL,S1_ARM1,0,0},	// S1_ARM1A
    {SPR1_ARM2,0,6,SA1_NULL,S1_ARM2A,0,0},	// S1_ARM2
    {SPR1_ARM2,32769,6,SA1_NULL,S1_ARM2,0,0},	// S1_ARM2A
    {SPR1_BAR1,0,6,SA1_NULL,S1_BAR2,0,0},	// S1_BAR1
    {SPR1_BAR1,1,6,SA1_NULL,S1_BAR1,0,0},	// S1_BAR2
    {SPR1_BEXP,32768,5,SA1_NULL,S1_BEXP2,0,0},	// S1_BEXP
    {SPR1_BEXP,32769,5,SA1_Scream,S1_BEXP3,0,0},	// S1_BEXP2
    {SPR1_BEXP,32770,5,SA1_NULL,S1_BEXP4,0,0},	// S1_BEXP3
    {SPR1_BEXP,32771,10,SA1_Explode,S1_BEXP5,0,0},	// S1_BEXP4
    {SPR1_BEXP,32772,10,SA1_NULL,S1_NULL,0,0},	// S1_BEXP5
    {SPR1_FCAN,32768,4,SA1_NULL,S1_BBAR2,0,0},	// S1_BBAR1
    {SPR1_FCAN,32769,4,SA1_NULL,S1_BBAR3,0,0},	// S1_BBAR2
    {SPR1_FCAN,32770,4,SA1_NULL,S1_BBAR1,0,0},	// S1_BBAR3
    {SPR1_BON1,0,6,SA1_NULL,S1_BON1A,0,0},	// S1_BON1
    {SPR1_BON1,1,6,SA1_NULL,S1_BON1B,0,0},	// S1_BON1A
    {SPR1_BON1,2,6,SA1_NULL,S1_BON1C,0,0},	// S1_BON1B
    {SPR1_BON1,3,6,SA1_NULL,S1_BON1D,0,0},	// S1_BON1C
    {SPR1_BON1,2,6,SA1_NULL,S1_BON1E,0,0},	// S1_BON1D
    {SPR1_BON1,1,6,SA1_NULL,S1_BON1,0,0},	// S1_BON1E
    {SPR1_BON2,0,6,SA1_NULL,S1_BON2A,0,0},	// S1_BON2
    {SPR1_BON2,1,6,SA1_NULL,S1_BON2B,0,0},	// S1_BON2A
    {SPR1_BON2,2,6,SA1_NULL,S1_BON2C,0,0},	// S1_BON2B
    {SPR1_BON2,3,6,SA1_NULL,S1_BON2D,0,0},	// S1_BON2C
    {SPR1_BON2,2,6,SA1_NULL,S1_BON2E,0,0},	// S1_BON2D
    {SPR1_BON2,1,6,SA1_NULL,S1_BON2,0,0},	// S1_BON2E
    {SPR1_BKEY,0,10,SA1_NULL,S1_BKEY2,0,0},	// S1_BKEY
    {SPR1_BKEY,32769,10,SA1_NULL,S1_BKEY,0,0},	// S1_BKEY2
    {SPR1_RKEY,0,10,SA1_NULL,S1_RKEY2,0,0},	// S1_RKEY
    {SPR1_RKEY,32769,10,SA1_NULL,S1_RKEY,0,0},	// S1_RKEY2
    {SPR1_YKEY,0,10,SA1_NULL,S1_YKEY2,0,0},	// S1_YKEY
    {SPR1_YKEY,32769,10,SA1_NULL,S1_YKEY,0,0},	// S1_YKEY2
    {SPR1_BSKU,0,10,SA1_NULL,S1_BSKULL2,0,0},	// S1_BSKULL
    {SPR1_BSKU,32769,10,SA1_NULL,S1_BSKULL,0,0},	// S1_BSKULL2
    {SPR1_RSKU,0,10,SA1_NULL,S1_RSKULL2,0,0},	// S1_RSKULL
    {SPR1_RSKU,32769,10,SA1_NULL,S1_RSKULL,0,0},	// S1_RSKULL2
    {SPR1_YSKU,0,10,SA1_NULL,S1_YSKULL2,0,0},	// S1_YSKULL
    {SPR1_YSKU,32769,10,SA1_NULL,S1_YSKULL,0,0},	// S1_YSKULL2
    {SPR1_STIM,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_STIM
    {SPR1_MEDI,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_MEDI
    {SPR1_SOUL,32768,6,SA1_NULL,S1_SOUL2,0,0},	// S1_SOUL
    {SPR1_SOUL,32769,6,SA1_NULL,S1_SOUL3,0,0},	// S1_SOUL2
    {SPR1_SOUL,32770,6,SA1_NULL,S1_SOUL4,0,0},	// S1_SOUL3
    {SPR1_SOUL,32771,6,SA1_NULL,S1_SOUL5,0,0},	// S1_SOUL4
    {SPR1_SOUL,32770,6,SA1_NULL,S1_SOUL6,0,0},	// S1_SOUL5
    {SPR1_SOUL,32769,6,SA1_NULL,S1_SOUL,0,0},	// S1_SOUL6
    {SPR1_PINV,32768,6,SA1_NULL,S1_PINV2,0,0},	// S1_PINV
    {SPR1_PINV,32769,6,SA1_NULL,S1_PINV3,0,0},	// S1_PINV2
    {SPR1_PINV,32770,6,SA1_NULL,S1_PINV4,0,0},	// S1_PINV3
    {SPR1_PINV,32771,6,SA1_NULL,S1_PINV,0,0},	// S1_PINV4
    {SPR1_PSTR,32768,-1,SA1_NULL,S1_NULL,0,0},	// S1_PSTR
    {SPR1_PINS,32768,6,SA1_NULL,S1_PINS2,0,0},	// S1_PINS
    {SPR1_PINS,32769,6,SA1_NULL,S1_PINS3,0,0},	// S1_PINS2
    {SPR1_PINS,32770,6,SA1_NULL,S1_PINS4,0,0},	// S1_PINS3
    {SPR1_PINS,32771,6,SA1_NULL,S1_PINS,0,0},	// S1_PINS4
    {SPR1_MEGA,32768,6,SA1_NULL,S1_MEGA2,0,0},	// S1_MEGA
    {SPR1_MEGA,32769,6,SA1_NULL,S1_MEGA3,0,0},	// S1_MEGA2
    {SPR1_MEGA,32770,6,SA1_NULL,S1_MEGA4,0,0},	// S1_MEGA3
    {SPR1_MEGA,32771,6,SA1_NULL,S1_MEGA,0,0},	// S1_MEGA4
    {SPR1_SUIT,32768,-1,SA1_NULL,S1_NULL,0,0},	// S1_SUIT
    {SPR1_PMAP,32768,6,SA1_NULL,S1_PMAP2,0,0},	// S1_PMAP
    {SPR1_PMAP,32769,6,SA1_NULL,S1_PMAP3,0,0},	// S1_PMAP2
    {SPR1_PMAP,32770,6,SA1_NULL,S1_PMAP4,0,0},	// S1_PMAP3
    {SPR1_PMAP,32771,6,SA1_NULL,S1_PMAP5,0,0},	// S1_PMAP4
    {SPR1_PMAP,32770,6,SA1_NULL,S1_PMAP6,0,0},	// S1_PMAP5
    {SPR1_PMAP,32769,6,SA1_NULL,S1_PMAP,0,0},	// S1_PMAP6
    {SPR1_PVIS,32768,6,SA1_NULL,S1_PVIS2,0,0},	// S1_PVIS
    {SPR1_PVIS,1,6,SA1_NULL,S1_PVIS,0,0},	// S1_PVIS2
    {SPR1_CLIP,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_CLIP
    {SPR1_AMMO,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_AMMO
    {SPR1_ROCK,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_ROCK
    {SPR1_BROK,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_BROK
    {SPR1_CELL,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_CELL
    {SPR1_CELP,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_CELP
    {SPR1_SHEL,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_SHEL
    {SPR1_SBOX,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_SBOX
    {SPR1_BPAK,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_BPAK
    {SPR1_BFUG,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_BFUG
    {SPR1_MGUN,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_MGUN
    {SPR1_CSAW,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_CSAW
    {SPR1_LAUN,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_LAUN
    {SPR1_PLAS,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_PLAS
    {SPR1_SHOT,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_SHOT
    {SPR1_SGN2,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_SHOT2
    {SPR1_COLU,32768,-1,SA1_NULL,S1_NULL,0,0},	// S1_COLU
    {SPR1_SMT2,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_STALAG
    {SPR1_GOR1,0,10,SA1_NULL,S1_BLOODYTWITCH2,0,0},	// S1_BLOODYTWITCH
    {SPR1_GOR1,1,15,SA1_NULL,S1_BLOODYTWITCH3,0,0},	// S1_BLOODYTWITCH2
    {SPR1_GOR1,2,8,SA1_NULL,S1_BLOODYTWITCH4,0,0},	// S1_BLOODYTWITCH3
    {SPR1_GOR1,1,6,SA1_NULL,S1_BLOODYTWITCH,0,0},	// S1_BLOODYTWITCH4
    {SPR1_PLAY,13,-1,SA1_NULL,S1_NULL,0,0},	// S1_DEADTORSO
    {SPR1_PLAY,18,-1,SA1_NULL,S1_NULL,0,0},	// S1_DEADBOTTOM
    {SPR1_POL2,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_HEADSONSTICK
    {SPR1_POL5,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_GIBS
    {SPR1_POL4,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_HEADONASTICK
    {SPR1_POL3,32768,6,SA1_NULL,S1_HEADCANDLES2,0,0},	// S1_HEADCANDLES
    {SPR1_POL3,32769,6,SA1_NULL,S1_HEADCANDLES,0,0},	// S1_HEADCANDLES2
    {SPR1_POL1,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_DEADSTICK
    {SPR1_POL6,0,6,SA1_NULL,S1_LIVESTICK2,0,0},	// S1_LIVESTICK
    {SPR1_POL6,1,8,SA1_NULL,S1_LIVESTICK,0,0},	// S1_LIVESTICK2
    {SPR1_GOR2,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_MEAT2
    {SPR1_GOR3,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_MEAT3
    {SPR1_GOR4,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_MEAT4
    {SPR1_GOR5,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_MEAT5
    {SPR1_SMIT,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_STALAGTITE
    {SPR1_COL1,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_TALLGRNCOL
    {SPR1_COL2,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_SHRTGRNCOL
    {SPR1_COL3,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_TALLREDCOL
    {SPR1_COL4,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_SHRTREDCOL
    {SPR1_CAND,32768,-1,SA1_NULL,S1_NULL,0,0},	// S1_CANDLESTIK
    {SPR1_CBRA,32768,-1,SA1_NULL,S1_NULL,0,0},	// S1_CANDELABRA
    {SPR1_COL6,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_SKULLCOL
    {SPR1_TRE1,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_TORCHTREE
    {SPR1_TRE2,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_BIGTREE
    {SPR1_ELEC,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_TECHPILLAR
    {SPR1_CEYE,32768,6,SA1_NULL,S1_EVILEYE2,0,0},	// S1_EVILEYE
    {SPR1_CEYE,32769,6,SA1_NULL,S1_EVILEYE3,0,0},	// S1_EVILEYE2
    {SPR1_CEYE,32770,6,SA1_NULL,S1_EVILEYE4,0,0},	// S1_EVILEYE3
    {SPR1_CEYE,32769,6,SA1_NULL,S1_EVILEYE,0,0},	// S1_EVILEYE4
    {SPR1_FSKU,32768,6,SA1_NULL,S1_FLOATSKULL2,0,0},	// S1_FLOATSKULL
    {SPR1_FSKU,32769,6,SA1_NULL,S1_FLOATSKULL3,0,0},	// S1_FLOATSKULL2
    {SPR1_FSKU,32770,6,SA1_NULL,S1_FLOATSKULL,0,0},	// S1_FLOATSKULL3
    {SPR1_COL5,0,14,SA1_NULL,S1_HEARTCOL2,0,0},	// S1_HEARTCOL
    {SPR1_COL5,1,14,SA1_NULL,S1_HEARTCOL,0,0},	// S1_HEARTCOL2
    {SPR1_TBLU,32768,4,SA1_NULL,S1_BLUETORCH2,0,0},	// S1_BLUETORCH
    {SPR1_TBLU,32769,4,SA1_NULL,S1_BLUETORCH3,0,0},	// S1_BLUETORCH2
    {SPR1_TBLU,32770,4,SA1_NULL,S1_BLUETORCH4,0,0},	// S1_BLUETORCH3
    {SPR1_TBLU,32771,4,SA1_NULL,S1_BLUETORCH,0,0},	// S1_BLUETORCH4
    {SPR1_TGRN,32768,4,SA1_NULL,S1_GREENTORCH2,0,0},	// S1_GREENTORCH
    {SPR1_TGRN,32769,4,SA1_NULL,S1_GREENTORCH3,0,0},	// S1_GREENTORCH2
    {SPR1_TGRN,32770,4,SA1_NULL,S1_GREENTORCH4,0,0},	// S1_GREENTORCH3
    {SPR1_TGRN,32771,4,SA1_NULL,S1_GREENTORCH,0,0},	// S1_GREENTORCH4
    {SPR1_TRED,32768,4,SA1_NULL,S1_REDTORCH2,0,0},	// S1_REDTORCH
    {SPR1_TRED,32769,4,SA1_NULL,S1_REDTORCH3,0,0},	// S1_REDTORCH2
    {SPR1_TRED,32770,4,SA1_NULL,S1_REDTORCH4,0,0},	// S1_REDTORCH3
    {SPR1_TRED,32771,4,SA1_NULL,S1_REDTORCH,0,0},	// S1_REDTORCH4
    {SPR1_SMBT,32768,4,SA1_NULL,S1_BTORCHSHRT2,0,0},	// S1_BTORCHSHRT
    {SPR1_SMBT,32769,4,SA1_NULL,S1_BTORCHSHRT3,0,0},	// S1_BTORCHSHRT2
    {SPR1_SMBT,32770,4,SA1_NULL,S1_BTORCHSHRT4,0,0},	// S1_BTORCHSHRT3
    {SPR1_SMBT,32771,4,SA1_NULL,S1_BTORCHSHRT,0,0},	// S1_BTORCHSHRT4
    {SPR1_SMGT,32768,4,SA1_NULL,S1_GTORCHSHRT2,0,0},	// S1_GTORCHSHRT
    {SPR1_SMGT,32769,4,SA1_NULL,S1_GTORCHSHRT3,0,0},	// S1_GTORCHSHRT2
    {SPR1_SMGT,32770,4,SA1_NULL,S1_GTORCHSHRT4,0,0},	// S1_GTORCHSHRT3
    {SPR1_SMGT,32771,4,SA1_NULL,S1_GTORCHSHRT,0,0},	// S1_GTORCHSHRT4
    {SPR1_SMRT,32768,4,SA1_NULL,S1_RTORCHSHRT2,0,0},	// S1_RTORCHSHRT
    {SPR1_SMRT,32769,4,SA1_NULL,S1_RTORCHSHRT3,0,0},	// S1_RTORCHSHRT2
    {SPR1_SMRT,32770,4,SA1_NULL,S1_RTORCHSHRT4,0,0},	// S1_RTORCHSHRT3
    {SPR1_SMRT,32771,4,SA1_NULL,S1_RTORCHSHRT,0,0},	// S1_RTORCHSHRT4
    {SPR1_HDB1,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_HANGNOGUTS
    {SPR1_HDB2,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_HANGBNOBRAIN
    {SPR1_HDB3,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_HANGTLOOKDN
    {SPR1_HDB4,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_HANGTSKULL
    {SPR1_HDB5,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_HANGTLOOKUP
    {SPR1_HDB6,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_HANGTNOBRAIN
    {SPR1_POB1,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_COLONGIBS
    {SPR1_POB2,0,-1,SA1_NULL,S1_NULL,0,0},	// S1_SMALLPOOL
    {SPR1_BRS1,0,-1,SA1_NULL,S1_NULL,0,0},		// S1_BRAINSTEM
    {SPR1_TLMP,32768,4,SA1_NULL,S1_TECHLAMP2,0,0},	// S1_TECHLAMP
    {SPR1_TLMP,32769,4,SA1_NULL,S1_TECHLAMP3,0,0},	// S1_TECHLAMP2
    {SPR1_TLMP,32770,4,SA1_NULL,S1_TECHLAMP4,0,0},	// S1_TECHLAMP3
    {SPR1_TLMP,32771,4,SA1_NULL,S1_TECHLAMP,0,0},	// S1_TECHLAMP4
    {SPR1_TLP2,32768,4,SA1_NULL,S1_TECH2LAMP2,0,0},	// S1_TECH2LAMP
    {SPR1_TLP2,32769,4,SA1_NULL,S1_TECH2LAMP3,0,0},	// S1_TECH2LAMP2
    {SPR1_TLP2,32770,4,SA1_NULL,S1_TECH2LAMP4,0,0},	// S1_TECH2LAMP3
    {SPR1_TLP2,32771,4,SA1_NULL,S1_TECH2LAMP,0,0}	// S1_TECH2LAMP4
};


