//**************************************************************************
//**
//**	##   ##    ##    ##   ##   ####     ####   ###     ###
//**	##   ##  ##  ##  ##   ##  ##  ##   ##  ##  ####   ####
//**	 ## ##  ##    ##  ## ##  ##    ## ##    ## ## ## ## ##
//**	 ## ##  ########  ## ##  ##    ## ##    ## ##  ###  ##
//**	  ###   ##    ##   ###    ##  ##   ##  ##  ##       ##
//**	   #    ##    ##    #      ####     ####   ##       ##
//**
//**	Copyright (C) 1999-2000 Jnis Legzdi
//**
//**	This program is free software; you can redistribute it and/or
//**  modify it under the terms of the GNU General Public License
//**  as published by the Free Software Foundation; either version 2
//**  of the License, or (at your option) any later version.
//**
//**	This program is distributed in the hope that it will be useful,
//**  but WITHOUT ANY WARRANTY; without even the implied warranty of
//**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//**  GNU General Public License for more details.
//**	
//**************************************************************************
#include "../../makeinfo.h"
#include "info.h"

int		nummobjtypes = NUMHEXENMOBJTYPES;

#define MAXINT      ((int)0x7fffffff)

mobjinfo_t mobjinfo[NUMHEXENMOBJTYPES] = {

{		// MT_MAPSPOT
9001,		// doomednum
S3_MAPSPOT,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOSECTOR|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_MAPSPOTGRAVITY
9013,		// doomednum
S3_MAPSPOT,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
MF2_DONTDRAW		// flags2
 },

{		// MT_FIREBALL1
-1,		// doomednum
S3_FIREBALL1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_FIREBALL1_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_FIREBALL,		// deathsound
2*FRACUNIT,		// speed
8*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
4,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FIREDAMAGE		// flags2
 },

{		// MT_ARROW
-1,		// doomednum
S3_ARROW_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ARROW_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
6*FRACUNIT,		// speed
8*FRACUNIT,		// radius
4*FRACUNIT,		// height
100,		// mass
4,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_DART
-1,		// doomednum
S3_DART_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DART_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
6*FRACUNIT,		// speed
8*FRACUNIT,		// radius
4*FRACUNIT,		// height
100,		// mass
2,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_POISONDART
-1,		// doomednum
S3_POISONDART_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_POISONDART_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
6*FRACUNIT,		// speed
8*FRACUNIT,		// radius
4*FRACUNIT,		// height
100,		// mass
2,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_RIPPERBALL
-1,		// doomednum
S3_RIPPERBALL_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_RIPPERBALL_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
6*FRACUNIT,		// speed
8*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
2,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_RIP		// flags2
 },

{		// MT_PROJECTILE_BLADE
-1,		// doomednum
S3_PRJ_BLADE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_PRJ_BLADE_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
6*FRACUNIT,		// speed
6*FRACUNIT,		// radius
6*FRACUNIT,		// height
100,		// mass
3,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_ICESHARD
-1,		// doomednum
S3_ICESHARD1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SHARDFXE1_1,		// deathstate
S3_NULL,		// xdeathstate
SFX_MAGE_SHARDS_EXPLODE,		// deathsound
25*FRACUNIT,		// speed
13*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
1,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_ICEDAMAGE		// flags2
 },

{		// MT_FLAME_SMALL_TEMP
10500,		// doomednum
S3_FLAME_TSMALL1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_FLAME_LARGE_TEMP
10502,		// doomednum
S3_FLAME_TLARGE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_FLAME_SMALL
10501,		// doomednum
S3_FLAME_SMALL1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
MF2_NOTELEPORT|MF2_DONTDRAW		// flags2
 },

{		// MT_FLAME_LARGE
10503,		// doomednum
S3_FLAME_LARGE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
MF2_NOTELEPORT|MF2_DONTDRAW		// flags2
 },

{		// MT_HEALINGBOTTLE
81,		// doomednum
S3_ITEM_PTN1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_HEALTHFLASK
82,		// doomednum
S3_ARTI_PTN2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_ARTIFLY
83,		// doomednum
S3_ARTI_SOAR1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_ARTIINVULNERABILITY
84,		// doomednum
S3_ARTI_INVU1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_SUMMONMAULATOR
86,		// doomednum
S3_ARTI_SUMMON,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_SUMMON_FX
-1,		// doomednum
S3_SUMMON_FX1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SUMMON_FX2_1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
20*FRACUNIT,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_MISSILE|MF_DROPOFF|MF_NOBLOCKMAP,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_THRUSTFLOOR_UP
10091,		// doomednum
S3_THRUSTINIT2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
128*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
MF2_NOTELEPORT|MF2_FLOORCLIP		// flags2
 },

{		// MT_THRUSTFLOOR_DOWN
10090,		// doomednum
S3_THRUSTINIT1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
128*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
MF2_NOTELEPORT|MF2_FLOORCLIP|MF2_DONTDRAW		// flags2
 },

{		// MT_TELEPORTOTHER
10040,		// doomednum
S3_ARTI_TELOTHER1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_TELOTHER_FX1
-1,		// doomednum
S3_TELO_FX1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_TELO_FX9,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
20*FRACUNIT,		// speed
16*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
10001,		// damage
SFX_NONE,		// activesound
MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY|MF_NOBLOCKMAP,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_TELOTHER_FX2
-1,		// doomednum
S3_TELO_FX2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_TELO_FX9,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
16*FRACUNIT,		// speed
16*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
10001,		// damage
SFX_NONE,		// activesound
MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY|MF_NOBLOCKMAP,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_TELOTHER_FX3
-1,		// doomednum
S3_TELO_FX3_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_TELO_FX9,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
16*FRACUNIT,		// speed
16*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
10001,		// damage
SFX_NONE,		// activesound
MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY|MF_NOBLOCKMAP,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_TELOTHER_FX4
-1,		// doomednum
S3_TELO_FX4_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_TELO_FX9,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
16*FRACUNIT,		// speed
16*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
10001,		// damage
SFX_NONE,		// activesound
MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY|MF_NOBLOCKMAP,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_TELOTHER_FX5
-1,		// doomednum
S3_TELO_FX5_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_TELO_FX9,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
16*FRACUNIT,		// speed
16*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
10001,		// damage
SFX_NONE,		// activesound
MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY|MF_NOBLOCKMAP,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_DIRT1
-1,		// doomednum
S3_DIRT1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DIRT1_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_DIRT2
-1,		// doomednum
S3_DIRT2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DIRT2_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_DIRT3
-1,		// doomednum
S3_DIRT3_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DIRT3_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_DIRT4
-1,		// doomednum
S3_DIRT4_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DIRT4_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT|MF2_LOGRAV		// flags2
 },

{		// MT_DIRT5
-1,		// doomednum
S3_DIRT5_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DIRT5_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT|MF2_LOGRAV		// flags2
 },

{		// MT_DIRT6
-1,		// doomednum
S3_DIRT6_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DIRT6_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT|MF2_LOGRAV		// flags2
 },

{		// MT_DIRTCLUMP
-1,		// doomednum
S3_DIRTCLUMP1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_ROCK1
-1,		// doomednum
S3_ROCK1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ROCK1_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_ROCK2
-1,		// doomednum
S3_ROCK2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ROCK2_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_ROCK3
-1,		// doomednum
S3_ROCK3_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ROCK3_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_FOGSPAWNER
10000,		// doomednum
S3_SPAWNFOG1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOSECTOR,		// flags
MF2_DONTDRAW|MF2_FLOATBOB		// flags2
 },

{		// MT_FOGPATCHS
10001,		// doomednum
S3_FOGPATCHS1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_FOGPATCHS0,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
FRACUNIT,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_FLOAT|MF_NOGRAVITY|MF_SHADOW|MF_NOCLIP,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_FOGPATCHM
10002,		// doomednum
S3_FOGPATCHM1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_FOGPATCHM0,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
FRACUNIT,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_FLOAT|MF_NOGRAVITY|MF_SHADOW|MF_NOCLIP,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_FOGPATCHL
10003,		// doomednum
S3_FOGPATCHL1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_FOGPATCHL0,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
FRACUNIT,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_FLOAT|MF_NOGRAVITY|MF_SHADOW|MF_NOCLIP,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_QUAKE_FOCUS
-1,		// doomednum
S3_QUAKE_ACTIVE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOSECTOR,		// flags
MF2_DONTDRAW		// flags2
 },

{		// MT_SGSHARD1
-1,		// doomednum
S3_SGSHARD1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SGSHARD1_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
16*FRACUNIT,		// height
5,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FLOORBOUNCE		// flags2
 },

{		// MT_SGSHARD2
-1,		// doomednum
S3_SGSHARD2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SGSHARD2_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
16*FRACUNIT,		// height
5,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FLOORBOUNCE		// flags2
 },

{		// MT_SGSHARD3
-1,		// doomednum
S3_SGSHARD3_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SGSHARD3_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
16*FRACUNIT,		// height
5,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FLOORBOUNCE		// flags2
 },

{		// MT_SGSHARD4
-1,		// doomednum
S3_SGSHARD4_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SGSHARD4_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
16*FRACUNIT,		// height
5,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FLOORBOUNCE		// flags2
 },

{		// MT_SGSHARD5
-1,		// doomednum
S3_SGSHARD5_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SGSHARD5_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
16*FRACUNIT,		// height
5,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FLOORBOUNCE		// flags2
 },

{		// MT_SGSHARD6
-1,		// doomednum
S3_SGSHARD6_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SGSHARD6_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
16*FRACUNIT,		// height
5,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FLOORBOUNCE		// flags2
 },

{		// MT_SGSHARD7
-1,		// doomednum
S3_SGSHARD7_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SGSHARD7_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
16*FRACUNIT,		// height
5,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FLOORBOUNCE		// flags2
 },

{		// MT_SGSHARD8
-1,		// doomednum
S3_SGSHARD8_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SGSHARD8_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
16*FRACUNIT,		// height
5,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FLOORBOUNCE		// flags2
 },

{		// MT_SGSHARD9
-1,		// doomednum
S3_SGSHARD9_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SGSHARD9_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
16*FRACUNIT,		// height
5,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FLOORBOUNCE		// flags2
 },

{		// MT_SGSHARD0
-1,		// doomednum
S3_SGSHARD0_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SGSHARD0_D,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
16*FRACUNIT,		// height
5,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FLOORBOUNCE		// flags2
 },

{		// MT_ARTIEGG
30,		// doomednum
S3_ARTI_EGGC1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_EGGFX
-1,		// doomednum
S3_EGGFX1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
0,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_EGGFXI1_1,		// deathstate
S3_NULL,		// xdeathstate
0,		// deathsound
18*FRACUNIT,		// speed
8*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
1,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_ARTISUPERHEAL
32,		// doomednum
S3_ARTI_SPHL1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_ZWINGEDSTATUENOSKULL
9011,		// doomednum
S3_ZWINGEDSTATUENOSKULL,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
10*FRACUNIT,		// radius
62*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_ZGEMPEDESTAL
9012,		// doomednum
S3_ZGEMPEDESTAL1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
10*FRACUNIT,		// radius
40*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_ARTIPUZZSKULL
9002,		// doomednum
S3_ARTIPUZZSKULL,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARTIPUZZGEMBIG
9003,		// doomednum
S3_ARTIPUZZGEMBIG,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARTIPUZZGEMRED
9004,		// doomednum
S3_ARTIPUZZGEMRED,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARTIPUZZGEMGREEN1
9005,		// doomednum
S3_ARTIPUZZGEMGREEN1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARTIPUZZGEMGREEN2
9009,		// doomednum
S3_ARTIPUZZGEMGREEN2,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARTIPUZZGEMBLUE1
9006,		// doomednum
S3_ARTIPUZZGEMBLUE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARTIPUZZGEMBLUE2
9010,		// doomednum
S3_ARTIPUZZGEMBLUE2,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARTIPUZZBOOK1
9007,		// doomednum
S3_ARTIPUZZBOOK1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARTIPUZZBOOK2
9008,		// doomednum
S3_ARTIPUZZBOOK2,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARTIPUZZSKULL2
9014,		// doomednum
S3_ARTIPUZZSKULL2,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARTIPUZZFWEAPON
9015,		// doomednum
S3_ARTIPUZZFWEAPON,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARTIPUZZCWEAPON
9016,		// doomednum
S3_ARTIPUZZCWEAPON,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARTIPUZZMWEAPON
9017,		// doomednum
S3_ARTIPUZZMWEAPON,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARTIPUZZGEAR
9018,		// doomednum
S3_ARTIPUZZGEAR_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARTIPUZZGEAR2
9019,		// doomednum
S3_ARTIPUZZGEAR2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARTIPUZZGEAR3
9020,		// doomednum
S3_ARTIPUZZGEAR3_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARTIPUZZGEAR4
9021,		// doomednum
S3_ARTIPUZZGEAR4_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARTITORCH
33,		// doomednum
S3_ARTI_TRCH1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_FIREBOMB
-1,		// doomednum
S3_FIREBOMB1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_FLECHETTE_EXPLODE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOGRAVITY|MF_ALTSHADOW,		// flags
MF2_FIREDAMAGE		// flags2
 },

{		// MT_ARTITELEPORT
36,		// doomednum
S3_ARTI_ATLP1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_ARTIPOISONBAG
8000,		// doomednum
S3_ARTI_PSBG1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_POISONBAG
-1,		// doomednum
S3_POISONBAG1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOGRAVITY|MF_NOBLOCKMAP,		// flags
0		// flags2
 },

{		// MT_POISONCLOUD
-1,		// doomednum
S3_POISONCLOUD1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_POISONSHROOM_DEATH,		// deathsound
0,		// speed
1*FRACUNIT,		// radius
1*FRACUNIT,		// height
MAXINT,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOGRAVITY|MF_NOBLOCKMAP|MF_SHADOW|MF_NOCLIP|MF_DROPOFF,		// flags
MF2_NODMGTHRUST		// flags2
 },

{		// MT_THROWINGBOMB
-1,		// doomednum
S3_THROWINGBOMB1,		// spawnstate
48,		// spawnhealth
S3_NULL,		// seestate
SFX_FLECHETTE_BOUNCE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_THROWINGBOMB_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_FLECHETTE_EXPLODE,		// deathsound
12*FRACUNIT,		// speed
8*FRACUNIT,		// radius
10*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_FLOORBOUNCE|MF2_FIREDAMAGE		// flags2
 },

{		// MT_SPEEDBOOTS
8002,		// doomednum
S3_ARTI_BOOTS1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_BOOSTMANA
8003,		// doomednum
S3_ARTI_MANA,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_BOOSTARMOR
8041,		// doomednum
S3_ARTI_ARMOR1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_BLASTRADIUS
10110,		// doomednum
S3_ARTI_BLAST1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_HEALRADIUS
10120,		// doomednum
S3_ARTI_HEALRAD1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_SPLASH
-1,		// doomednum
S3_SPLASH1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SPLASHX,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
2*FRACUNIT,		// radius
4*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF,		// flags
MF2_NOTELEPORT|MF2_LOGRAV|MF2_CANNOTPUSH		// flags2
 },

{		// MT_SPLASHBASE
-1,		// doomednum
S3_SPLASHBASE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
0		// flags2
 },

{		// MT_LAVASPLASH
-1,		// doomednum
S3_LAVASPLASH1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
0		// flags2
 },

{		// MT_LAVASMOKE
-1,		// doomednum
S3_LAVASMOKE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SHADOW,		// flags
0		// flags2
 },

{		// MT_SLUDGECHUNK
-1,		// doomednum
S3_SLUDGECHUNK1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SLUDGECHUNKX,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
2*FRACUNIT,		// radius
4*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF,		// flags
MF2_NOTELEPORT|MF2_LOGRAV|MF2_CANNOTPUSH		// flags2
 },

{		// MT_SLUDGESPLASH
-1,		// doomednum
S3_SLUDGESPLASH1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
0		// flags2
 },

{		// MT_MISC0
5,		// doomednum
S3_ZWINGEDSTATUE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
10*FRACUNIT,		// radius
62*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC1
6,		// doomednum
S3_ZROCK1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_MISC2
7,		// doomednum
S3_ZROCK2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_MISC3
9,		// doomednum
S3_ZROCK3_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_MISC4
15,		// doomednum
S3_ZROCK4_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC5
17,		// doomednum
S3_ZCHANDELIER1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
60*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPAWNCEILING|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_MISC6
8063,		// doomednum
S3_ZCHANDELIER_U,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
60*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPAWNCEILING|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_MISC7
24,		// doomednum
S3_ZTREEDEAD1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
10*FRACUNIT,		// radius
96*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC8
25,		// doomednum
S3_ZTREE,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
15*FRACUNIT,		// radius
128*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_TREEDESTRUCTIBLE
8062,		// doomednum
S3_ZTREEDESTRUCTIBLE1,		// spawnstate
70,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ZTREEDES_D1,		// deathstate
S3_NULL,		// xdeathstate
SFX_TREE_BREAK,		// deathsound
0,		// speed
15*FRACUNIT,		// radius
180*FRACUNIT,		// height
MAXINT,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_NOBLOOD,		// flags
0		// flags2
 },

{		// MT_MISC9
26,		// doomednum
S3_ZTREESWAMP182_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
10*FRACUNIT,		// radius
150*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC10
27,		// doomednum
S3_ZTREESWAMP172_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
10*FRACUNIT,		// radius
120*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC11
28,		// doomednum
S3_ZSTUMPBURNED1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
12*FRACUNIT,		// radius
20*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC12
29,		// doomednum
S3_ZSTUMPBARE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
12*FRACUNIT,		// radius
20*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC13
37,		// doomednum
S3_ZSTUMPSWAMP1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_MISC14
38,		// doomednum
S3_ZSTUMPSWAMP2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_MISC15
39,		// doomednum
S3_ZSHROOMLARGE1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_MISC16
40,		// doomednum
S3_ZSHROOMLARGE2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_MISC17
41,		// doomednum
S3_ZSHROOMLARGE3_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_MISC18
42,		// doomednum
S3_ZSHROOMSMALL1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_MISC19
44,		// doomednum
S3_ZSHROOMSMALL2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_MISC20
45,		// doomednum
S3_ZSHROOMSMALL3_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_MISC21
46,		// doomednum
S3_ZSHROOMSMALL4_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_MISC22
47,		// doomednum
S3_ZSHROOMSMALL5_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_MISC23
48,		// doomednum
S3_ZSTALAGMITEPILLAR1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
138*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC24
49,		// doomednum
S3_ZSTALAGMITELARGE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
48*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC25
50,		// doomednum
S3_ZSTALAGMITEMEDIUM1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
6*FRACUNIT,		// radius
40*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC26
51,		// doomednum
S3_ZSTALAGMITESMALL1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
36*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC27
52,		// doomednum
S3_ZSTALACTITELARGE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
66*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SPAWNCEILING|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_MISC28
56,		// doomednum
S3_ZSTALACTITEMEDIUM1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
6*FRACUNIT,		// radius
50*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SPAWNCEILING|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_MISC29
57,		// doomednum
S3_ZSTALACTITESMALL1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
40*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SPAWNCEILING|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_MISC30
58,		// doomednum
S3_ZMOSSCEILING1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
20*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPAWNCEILING|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_MISC31
59,		// doomednum
S3_ZMOSSCEILING2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
24*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPAWNCEILING|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_MISC32
60,		// doomednum
S3_ZSWAMPVINE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
52*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC33
61,		// doomednum
S3_ZCORPSEKABOB1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
10*FRACUNIT,		// radius
92*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC34
62,		// doomednum
S3_ZCORPSESLEEPING1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_MISC35
63,		// doomednum
S3_ZTOMBSTONERIP1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
10*FRACUNIT,		// radius
46*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC36
64,		// doomednum
S3_ZTOMBSTONESHANE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
10*FRACUNIT,		// radius
46*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC37
65,		// doomednum
S3_ZTOMBSTONEBIGCROSS1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
10*FRACUNIT,		// radius
46*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC38
66,		// doomednum
S3_ZTOMBSTONEBRIANR1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
10*FRACUNIT,		// radius
52*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC39
67,		// doomednum
S3_ZTOMBSTONECROSSCIRCLE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
10*FRACUNIT,		// radius
52*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC40
68,		// doomednum
S3_ZTOMBSTONESMALLCROSS1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
46*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC41
69,		// doomednum
S3_ZTOMBSTONEBRIANP1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
46*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC42
71,		// doomednum
S3_CORPSEHANGING_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
6*FRACUNIT,		// radius
75*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SPAWNCEILING|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_MISC43
72,		// doomednum
S3_ZSTATUEGARGOYLEGREENTALL_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
14*FRACUNIT,		// radius
108*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC44
73,		// doomednum
S3_ZSTATUEGARGOYLEBLUETALL_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
14*FRACUNIT,		// radius
108*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC45
74,		// doomednum
S3_ZSTATUEGARGOYLEGREENSHORT_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
14*FRACUNIT,		// radius
62*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC46
76,		// doomednum
S3_ZSTATUEGARGOYLEBLUESHORT_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
14*FRACUNIT,		// radius
62*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC47
8044,		// doomednum
S3_ZSTATUEGARGOYLESTRIPETALL_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
14*FRACUNIT,		// radius
108*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC48
8045,		// doomednum
S3_ZSTATUEGARGOYLEDARKREDTALL_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
14*FRACUNIT,		// radius
108*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC49
8046,		// doomednum
S3_ZSTATUEGARGOYLEREDTALL_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
14*FRACUNIT,		// radius
108*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC50
8047,		// doomednum
S3_ZSTATUEGARGOYLETANTALL_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
14*FRACUNIT,		// radius
108*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC51
8048,		// doomednum
S3_ZSTATUEGARGOYLERUSTTALL_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
14*FRACUNIT,		// radius
108*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC52
8049,		// doomednum
S3_ZSTATUEGARGOYLEDARKREDSHORT_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
14*FRACUNIT,		// radius
62*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC53
8050,		// doomednum
S3_ZSTATUEGARGOYLEREDSHORT_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
14*FRACUNIT,		// radius
62*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC54
8051,		// doomednum
S3_ZSTATUEGARGOYLETANSHORT_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
14*FRACUNIT,		// radius
62*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC55
8052,		// doomednum
S3_ZSTATUEGARGOYLERUSTSHORT_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
14*FRACUNIT,		// radius
62*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC56
77,		// doomednum
S3_ZBANNERTATTERED_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
120*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC57
78,		// doomednum
S3_ZTREELARGE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ZTREELARGE1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
15*FRACUNIT,		// radius
180*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC58
79,		// doomednum
S3_ZTREELARGE2,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ZTREELARGE2,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
15*FRACUNIT,		// radius
180*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC59
80,		// doomednum
S3_ZTREEGNARLED1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
22*FRACUNIT,		// radius
100*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC60
87,		// doomednum
S3_ZTREEGNARLED2,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
22*FRACUNIT,		// radius
100*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC61
88,		// doomednum
S3_ZLOG,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
25*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC62
89,		// doomednum
S3_ZSTALACTITEICELARGE,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
66*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SPAWNCEILING|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_MISC63
90,		// doomednum
S3_ZSTALACTITEICEMEDIUM,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
50*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SPAWNCEILING|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_MISC64
91,		// doomednum
S3_ZSTALACTITEICESMALL,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
4*FRACUNIT,		// radius
32*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SPAWNCEILING|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_MISC65
92,		// doomednum
S3_ZSTALACTITEICETINY,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
4*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SPAWNCEILING|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_MISC66
93,		// doomednum
S3_ZSTALAGMITEICELARGE,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
66*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC67
94,		// doomednum
S3_ZSTALAGMITEICEMEDIUM,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
50*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC68
95,		// doomednum
S3_ZSTALAGMITEICESMALL,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
4*FRACUNIT,		// radius
32*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC69
96,		// doomednum
S3_ZSTALAGMITEICETINY,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
4*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC70
97,		// doomednum
S3_ZROCKBROWN1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
17*FRACUNIT,		// radius
72*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC71
98,		// doomednum
S3_ZROCKBROWN2,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
15*FRACUNIT,		// radius
50*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC72
99,		// doomednum
S3_ZROCKBLACK,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
40*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_MISC73
100,		// doomednum
S3_ZRUBBLE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_MISC74
101,		// doomednum
S3_ZRUBBLE2,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_MISC75
102,		// doomednum
S3_ZRUBBLE3,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_MISC76
103,		// doomednum
S3_ZVASEPILLAR,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
12*FRACUNIT,		// radius
54*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_POTTERY1
104,		// doomednum
S3_ZPOTTERY1,		// spawnstate
15,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ZPOTTERY_EXPLODE,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
10*FRACUNIT,		// radius
32*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_NOBLOOD|MF_DROPOFF,		// flags
MF2_SLIDE|MF2_PUSHABLE|MF2_TELESTOMP|MF2_PASSMOBJ		// flags2
 },

{		// MT_POTTERY2
105,		// doomednum
S3_ZPOTTERY2,		// spawnstate
15,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ZPOTTERY_EXPLODE,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
10*FRACUNIT,		// radius
25*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_NOBLOOD|MF_DROPOFF,		// flags
MF2_SLIDE|MF2_PUSHABLE|MF2_TELESTOMP|MF2_PASSMOBJ		// flags2
 },

{		// MT_POTTERY3
106,		// doomednum
S3_ZPOTTERY3,		// spawnstate
15,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ZPOTTERY_EXPLODE,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
15*FRACUNIT,		// radius
25*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_NOBLOOD|MF_DROPOFF,		// flags
MF2_SLIDE|MF2_PUSHABLE|MF2_TELESTOMP|MF2_PASSMOBJ		// flags2
 },

{		// MT_POTTERYBIT1
-1,		// doomednum
S3_POTTERYBIT_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_POTTERYBIT_EX0,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_MISC77
108,		// doomednum
S3_ZCORPSELYNCHED1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
11*FRACUNIT,		// radius
95*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SPAWNCEILING|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ZLYNCHED_NOHEART
109,		// doomednum
S3_ZCORPSELYNCHED2,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
10*FRACUNIT,		// radius
100*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SPAWNCEILING|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_MISC78
110,		// doomednum
S3_ZCORPSESITTING,		// spawnstate
30,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ZCORPSESITTING_X,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
15*FRACUNIT,		// radius
35*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_NOBLOOD,		// flags
0		// flags2
 },

{		// MT_CORPSEBIT
-1,		// doomednum
S3_CORPSEBIT_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
MF2_TELESTOMP		// flags2
 },

{		// MT_CORPSEBLOODDRIP
-1,		// doomednum
S3_CORPSEBLOODDRIP,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_CORPSEBLOODDRIP_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_DRIP,		// deathsound
0,		// speed
FRACUNIT,		// radius
4*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_MISSILE,		// flags
MF2_LOGRAV		// flags2
 },

{		// MT_BLOODPOOL
111,		// doomednum
S3_BLOODPOOL,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
0		// flags2
 },

{		// MT_MISC79
119,		// doomednum
S3_ZCANDLE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_MISC80
113,		// doomednum
S3_ZLEAFSPAWNER,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOSECTOR,		// flags
MF2_DONTDRAW		// flags2
 },

{		// MT_LEAF1
-1,		// doomednum
S3_LEAF1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_LEAF_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
2*FRACUNIT,		// radius
4*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE,		// flags
MF2_NOTELEPORT|MF2_LOGRAV		// flags2
 },

{		// MT_LEAF2
-1,		// doomednum
S3_LEAF2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_LEAF_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
2*FRACUNIT,		// radius
4*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE,		// flags
MF2_NOTELEPORT|MF2_LOGRAV		// flags2
 },

{		// MT_ZTWINEDTORCH
116,		// doomednum
S3_ZTWINEDTORCH_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
10*FRACUNIT,		// radius
64*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_ZTWINEDTORCH_UNLIT
117,		// doomednum
S3_ZTWINEDTORCH_UNLIT,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
10*FRACUNIT,		// radius
64*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_BRIDGE
118,		// doomednum
S3_BRIDGE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
32*FRACUNIT,		// radius
2*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_NOGRAVITY,		// flags
MF2_DONTDRAW		// flags2
 },

{		// MT_BRIDGEBALL
-1,		// doomednum
S3_BBALL1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_ZWALLTORCH
54,		// doomednum
S3_ZWALLTORCH1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ZWALLTORCH_UNLIT
55,		// doomednum
S3_ZWALLTORCH_U,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ZBARREL
8100,		// doomednum
S3_ZBARREL1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
15*FRACUNIT,		// radius
32*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_ZSHRUB1
8101,		// doomednum
S3_ZSHRUB1,		// spawnstate
20,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_ZSHRUB1_X1,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ZSHRUB1_DIE,		// deathstate
S3_NULL,		// xdeathstate
SFX_TREE_EXPLODE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
24*FRACUNIT,		// height
MAXINT,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_NOBLOOD,		// flags
0		// flags2
 },

{		// MT_ZSHRUB2
8102,		// doomednum
S3_ZSHRUB2,		// spawnstate
10,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_ZSHRUB2_X1,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ZSHRUB2_DIE,		// deathstate
S3_NULL,		// xdeathstate
SFX_TREE_EXPLODE,		// deathsound
0,		// speed
16*FRACUNIT,		// radius
40*FRACUNIT,		// height
MAXINT,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_NOBLOOD,		// flags
0		// flags2
 },

{		// MT_ZBUCKET
8103,		// doomednum
S3_ZBUCKET1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
72*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SPAWNCEILING|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ZPOISONSHROOM
8104,		// doomednum
S3_ZPOISONSHROOM1,		// spawnstate
30,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_ZPOISONSHROOM_P1,		// painstate
255,		// painchance
SFX_POISONSHROOM_PAIN,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ZPOISONSHROOM_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_POISONSHROOM_DEATH,		// deathsound
0,		// speed
6*FRACUNIT,		// radius
20*FRACUNIT,		// height
MAXINT,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SHOOTABLE|MF_SOLID|MF_NOBLOOD,		// flags
0		// flags2
 },

{		// MT_ZFIREBULL
8042,		// doomednum
S3_ZFIREBULL1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
80*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_ZFIREBULL_UNLIT
8043,		// doomednum
S3_ZFIREBULL_U,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
80*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_FIRETHING
8060,		// doomednum
S3_ZFIRETHING1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
10*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_BRASSTORCH
8061,		// doomednum
S3_ZBRASSTORCH1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
6*FRACUNIT,		// radius
35*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_ZSUITOFARMOR
8064,		// doomednum
S3_ZSUITOFARMOR,		// spawnstate
60,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ZSUITOFARMOR_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_SUITOFARMOR_BREAK,		// deathsound
0,		// speed
16*FRACUNIT,		// radius
72*FRACUNIT,		// height
MAXINT,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_NOBLOOD,		// flags
0		// flags2
 },

{		// MT_ZARMORCHUNK
-1,		// doomednum
S3_ZARMORCHUNK1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
4*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
0,		// flags
0		// flags2
 },

{		// MT_ZBELL
8065,		// doomednum
S3_ZBELL,		// spawnstate
5,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ZBELL_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_BELLRING,		// deathsound
0,		// speed
56*FRACUNIT,		// radius
120*FRACUNIT,		// height
MAXINT,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_NOBLOOD|MF_NOGRAVITY|MF_SPAWNCEILING,		// flags
0		// flags2
 },

{		// MT_ZBLUE_CANDLE
8066,		// doomednum
S3_ZBLUE_CANDLE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
0		// flags2
 },

{		// MT_ZIRON_MAIDEN
8067,		// doomednum
S3_ZIRON_MAIDEN,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
12*FRACUNIT,		// radius
60*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_ZXMAS_TREE
8068,		// doomednum
S3_ZXMAS_TREE,		// spawnstate
20,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_ZXMAS_TREE_X1,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ZXMAS_TREE_DIE,		// deathstate
S3_NULL,		// xdeathstate
SFX_TREE_EXPLODE,		// deathsound
0,		// speed
11*FRACUNIT,		// radius
130*FRACUNIT,		// height
MAXINT,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_NOBLOOD,		// flags
0		// flags2
 },

{		// MT_ZCAULDRON
8069,		// doomednum
S3_ZCAULDRON1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
12*FRACUNIT,		// radius
26*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_ZCAULDRON_UNLIT
8070,		// doomednum
S3_ZCAULDRON_U,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
12*FRACUNIT,		// radius
26*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID,		// flags
0		// flags2
 },

{		// MT_ZCHAINBIT32
8071,		// doomednum
S3_ZCHAINBIT32,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
4*FRACUNIT,		// radius
32*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SPAWNCEILING,		// flags
0		// flags2
 },

{		// MT_ZCHAINBIT64
8072,		// doomednum
S3_ZCHAINBIT64,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
4*FRACUNIT,		// radius
64*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SPAWNCEILING,		// flags
0		// flags2
 },

{		// MT_ZCHAINEND_HEART
8073,		// doomednum
S3_ZCHAINEND_HEART,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
4*FRACUNIT,		// radius
32*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SPAWNCEILING,		// flags
0		// flags2
 },

{		// MT_ZCHAINEND_HOOK1
8074,		// doomednum
S3_ZCHAINEND_HOOK1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
4*FRACUNIT,		// radius
32*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SPAWNCEILING,		// flags
0		// flags2
 },

{		// MT_ZCHAINEND_HOOK2
8075,		// doomednum
S3_ZCHAINEND_HOOK2,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
4*FRACUNIT,		// radius
32*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SPAWNCEILING,		// flags
0		// flags2
 },

{		// MT_ZCHAINEND_SPIKE
8076,		// doomednum
S3_ZCHAINEND_SPIKE,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
4*FRACUNIT,		// radius
32*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SPAWNCEILING,		// flags
0		// flags2
 },

{		// MT_ZCHAINEND_SKULL
8077,		// doomednum
S3_ZCHAINEND_SKULL,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
4*FRACUNIT,		// radius
32*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SPAWNCEILING,		// flags
0		// flags2
 },

{		// MT_TABLE_SHIT1
8500,		// doomednum
S3_TABLE_SHIT1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
0		// flags2
 },

{		// MT_TABLE_SHIT2
8501,		// doomednum
S3_TABLE_SHIT2,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
0		// flags2
 },

{		// MT_TABLE_SHIT3
8502,		// doomednum
S3_TABLE_SHIT3,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
0		// flags2
 },

{		// MT_TABLE_SHIT4
8503,		// doomednum
S3_TABLE_SHIT4,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
0		// flags2
 },

{		// MT_TABLE_SHIT5
8504,		// doomednum
S3_TABLE_SHIT5,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
0		// flags2
 },

{		// MT_TABLE_SHIT6
8505,		// doomednum
S3_TABLE_SHIT6,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
0		// flags2
 },

{		// MT_TABLE_SHIT7
8506,		// doomednum
S3_TABLE_SHIT7,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
0		// flags2
 },

{		// MT_TABLE_SHIT8
8507,		// doomednum
S3_TABLE_SHIT8,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
0		// flags2
 },

{		// MT_TABLE_SHIT9
8508,		// doomednum
S3_TABLE_SHIT9,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
0		// flags2
 },

{		// MT_TABLE_SHIT10
8509,		// doomednum
S3_TABLE_SHIT10,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
0		// flags2
 },

{		// MT_TFOG
-1,		// doomednum
S3_TFOG1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_MISC81
140,		// doomednum
S3_TELESMOKE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_TELEPORTMAN
14,		// doomednum
S3_NULL,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOSECTOR,		// flags
0		// flags2
 },

{		// MT_PUNCHPUFF
-1,		// doomednum
S3_PUNCHPUFF1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_FIGHTER_PUNCH_HITTHING,		// seesound
8,		// reactiontime
SFX_FIGHTER_PUNCH_HITWALL,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SHADOW,		// flags
0		// flags2
 },

{		// MT_FW_AXE
8010,		// doomednum
S3_AXE,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
0		// flags2
 },

{		// MT_AXEPUFF
-1,		// doomednum
S3_HAMMERPUFF1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_FIGHTER_AXE_HITTHING,		// seesound
8,		// reactiontime
SFX_FIGHTER_HAMMER_HITWALL,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SHADOW,		// flags
0		// flags2
 },

{		// MT_AXEPUFF_GLOW
-1,		// doomednum
S3_AXEPUFF_GLOW1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_FIGHTER_AXE_HITTHING,		// seesound
8,		// reactiontime
SFX_FIGHTER_HAMMER_HITWALL,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_AXEBLOOD
-1,		// doomednum
S3_AXEBLOOD1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_AXEBLOOD6,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
2*FRACUNIT,		// radius
4*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_DROPOFF,		// flags
MF2_NOTELEPORT|MF2_CANNOTPUSH		// flags2
 },

{		// MT_FW_HAMMER
123,		// doomednum
S3_HAMM,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
0		// flags2
 },

{		// MT_HAMMER_MISSILE
-1,		// doomednum
S3_HAMMER_MISSILE_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_HAMMER_MISSILE_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_FIGHTER_HAMMER_EXPLODE,		// deathsound
25*FRACUNIT,		// speed
14*FRACUNIT,		// radius
20*FRACUNIT,		// height
100,		// mass
10,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_IMPACT|MF2_PCROSS|MF2_FIREDAMAGE		// flags2
 },

{		// MT_HAMMERPUFF
-1,		// doomednum
S3_HAMMERPUFF1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_FIGHTER_HAMMER_HITTHING,		// seesound
8,		// reactiontime
SFX_FIGHTER_HAMMER_HITWALL,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SHADOW,		// flags
0		// flags2
 },

{		// MT_FSWORD_MISSILE
-1,		// doomednum
S3_FSWORD_MISSILE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_FSWORD_MISSILE_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_FIGHTER_SWORD_EXPLODE,		// deathsound
30*FRACUNIT,		// speed
16*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
8,		// damage
SFX_NONE,		// activesound
MF_MISSILE|MF_NOBLOCKMAP|MF_NOGRAVITY|MF_DROPOFF,		// flags
MF2_NOTELEPORT|MF2_IMPACT|MF2_PCROSS		// flags2
 },

{		// MT_FSWORD_FLAME
-1,		// doomednum
S3_FSWORD_FLAME1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SHADOW,		// flags
0		// flags2
 },

{		// MT_CW_SERPSTAFF
10,		// doomednum
S3_CSTAFF,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
0		// flags2
 },

{		// MT_CSTAFF_MISSILE
-1,		// doomednum
S3_CSTAFF_MISSILE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_CSTAFF_MISSILE_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_CLERIC_CSTAFF_EXPLODE,		// deathsound
22*FRACUNIT,		// speed
12*FRACUNIT,		// radius
10*FRACUNIT,		// height
100,		// mass
5,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_IMPACT|MF2_PCROSS		// flags2
 },

{		// MT_CSTAFFPUFF
-1,		// doomednum
S3_CSTAFFPUFF1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_CLERIC_CSTAFF_HITTHING,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SHADOW,		// flags
0		// flags2
 },

{		// MT_CW_FLAME
8009,		// doomednum
S3_CFLAME1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_CFLAMEFLOOR
-1,		// doomednum
S3_CFLAMEFLOOR1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_FLAMEPUFF
-1,		// doomednum
S3_FLAMEPUFF1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_CLERIC_FLAME_EXPLODE,		// seesound
8,		// reactiontime
SFX_CLERIC_FLAME_EXPLODE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
FRACUNIT,		// radius
FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_FLAMEPUFF2
-1,		// doomednum
S3_FLAMEPUFF2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_CLERIC_FLAME_EXPLODE,		// seesound
8,		// reactiontime
SFX_CLERIC_FLAME_EXPLODE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
FRACUNIT,		// radius
FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_CIRCLEFLAME
-1,		// doomednum
S3_CIRCLE_FLAME1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_CIRCLE_FLAME_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_CLERIC_FLAME_CIRCLE,		// deathsound
0,		// speed
6*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
2,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FIREDAMAGE		// flags2
 },

{		// MT_CFLAME_MISSILE
-1,		// doomednum
S3_CFLAME_MISSILE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_CFLAME_MISSILE_X,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
200*FRACUNIT,		// speed
14*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
8,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_IMPACT|MF2_PCROSS|MF2_DONTDRAW|MF2_FIREDAMAGE		// flags2
 },

{		// MT_HOLY_FX
-1,		// doomednum
S3_HOLY_FX1,		// spawnstate
105,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_HOLY_FX_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_SPIRIT_DIE,		// deathsound
12*FRACUNIT,		// speed
10*FRACUNIT,		// radius
6*FRACUNIT,		// height
100,		// mass
3,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_NOGRAVITY|MF_ALTSHADOW|MF_MISSILE,		// flags
MF2_NOTELEPORT|MF2_SEEKERMISSILE|MF2_RIP|MF2_IMPACT|MF2_PCROSS		// flags2
 },

{		// MT_HOLY_TAIL
-1,		// doomednum
S3_HOLY_TAIL1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
FRACUNIT,		// radius
FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_NOGRAVITY|MF_NOCLIP|MF_ALTSHADOW,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_HOLY_PUFF
-1,		// doomednum
S3_HOLY_PUFF1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SHADOW,		// flags
0		// flags2
 },

{		// MT_HOLY_MISSILE
-1,		// doomednum
S3_HOLY_MISSILE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_HOLY_MISSILE_X,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
30*FRACUNIT,		// speed
15*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
4,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_NOGRAVITY|MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_HOLY_MISSILE_PUFF
-1,		// doomednum
S3_HOLY_MISSILE_P1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
4*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_NOGRAVITY|MF_ALTSHADOW,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_MWANDPUFF
-1,		// doomednum
S3_MWANDPUFF1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_CANNOTPUSH|MF2_NODMGTHRUST		// flags2
 },

{		// MT_MWANDSMOKE
-1,		// doomednum
S3_MWANDSMOKE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SHADOW,		// flags
MF2_NOTELEPORT|MF2_CANNOTPUSH|MF2_NODMGTHRUST		// flags2
 },

{		// MT_MWAND_MISSILE
-1,		// doomednum
S3_MWAND_MISSILE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_MWANDPUFF1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
184*FRACUNIT,		// speed
12*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
2,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_RIP|MF2_IMPACT|MF2_PCROSS|MF2_NODMGTHRUST|MF2_CANNOTPUSH		// flags2
 },

{		// MT_MW_LIGHTNING
8040,		// doomednum
S3_MW_LIGHTNING1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_LIGHTNING_CEILING
-1,		// doomednum
S3_LIGHTNING_CEILING1,		// spawnstate
144,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_LIGHTNING_C_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
25*FRACUNIT,		// speed
16*FRACUNIT,		// radius
40*FRACUNIT,		// height
100,		// mass
8,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_MISSILE|MF_DROPOFF,		// flags
MF2_NOTELEPORT|MF2_IMPACT|MF2_PCROSS		// flags2
 },

{		// MT_LIGHTNING_FLOOR
-1,		// doomednum
S3_LIGHTNING_FLOOR1,		// spawnstate
144,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_LIGHTNING_F_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
25*FRACUNIT,		// speed
16*FRACUNIT,		// radius
40*FRACUNIT,		// height
100,		// mass
8,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_MISSILE|MF_DROPOFF,		// flags
MF2_NOTELEPORT|MF2_IMPACT|MF2_PCROSS		// flags2
 },

{		// MT_LIGHTNING_ZAP
-1,		// doomednum
S3_LIGHTNING_ZAP1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_LIGHTNING_ZAP_X8,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
15*FRACUNIT,		// radius
35*FRACUNIT,		// height
100,		// mass
2,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_MISSILE|MF_DROPOFF,		// flags
0		// flags2
 },

{		// MT_MSTAFF_FX
-1,		// doomednum
S3_MSTAFF_FX1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_MSTAFF_FX_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_MAGE_STAFF_EXPLODE,		// deathsound
20*FRACUNIT,		// speed
16*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
6,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FIREDAMAGE|MF2_RIP|MF2_IMPACT|MF2_PCROSS		// flags2
 },

{		// MT_MSTAFF_FX2
-1,		// doomednum
S3_MSTAFF_FX2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_MSTAFF_FX2_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_MAGE_STAFF_EXPLODE,		// deathsound
17*FRACUNIT,		// speed
20*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
4,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FIREDAMAGE|MF2_IMPACT|MF2_PCROSS|MF2_SEEKERMISSILE		// flags2
 },

{		// MT_FW_SWORD1
12,		// doomednum
S3_FSWORD1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_FW_SWORD2
13,		// doomednum
S3_FSWORD2,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_FW_SWORD3
16,		// doomednum
S3_FSWORD3,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_CW_HOLY1
18,		// doomednum
S3_CHOLY1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_CW_HOLY2
19,		// doomednum
S3_CHOLY2,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_CW_HOLY3
20,		// doomednum
S3_CHOLY3,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_MW_STAFF1
21,		// doomednum
S3_MSTAFF1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_MW_STAFF2
22,		// doomednum
S3_MSTAFF2,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_MW_STAFF3
23,		// doomednum
S3_MSTAFF3,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_SNOUTPUFF
-1,		// doomednum
S3_PUNCHPUFF1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SHADOW,		// flags
0		// flags2
 },

{		// MT_MW_CONE
53,		// doomednum
S3_COS1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
0		// flags2
 },

{		// MT_SHARDFX1
-1,		// doomednum
S3_SHARDFX1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SHARDFXE1_1,		// deathstate
S3_NULL,		// xdeathstate
SFX_MAGE_SHARDS_EXPLODE,		// deathsound
25*FRACUNIT,		// speed
13*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
1,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_IMPACT|MF2_PCROSS|MF2_ICEDAMAGE		// flags2
 },

{		// MT_BLOOD
-1,		// doomednum
S3_BLOOD1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
5,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
0		// flags2
 },

{		// MT_BLOODSPLATTER
-1,		// doomednum
S3_BLOODSPLATTER1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_BLOODSPLATTERX,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
2*FRACUNIT,		// radius
4*FRACUNIT,		// height
5,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF,		// flags
MF2_NOTELEPORT|MF2_CANNOTPUSH		// flags2
 },

{		// MT_GIBS
-1,		// doomednum
S3_GIBS1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_CORPSE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_PLAYER_FIGHTER
-1,		// doomednum
S3_FPLAY,		// spawnstate
100,		// spawnhealth
S3_FPLAY_RUN1,		// seestate
SFX_NONE,		// seesound
0,		// reactiontime
SFX_NONE,		// attacksound
S3_FPLAY_PAIN,		// painstate
255,		// painchance
SFX_PLAYER_FIGHTER_PAIN,		// painsound
S3_NULL,		// meleestate
S3_FPLAY_ATK1,		// missilestate
S3_NULL,		// crashstate
S3_FPLAY_DIE1,		// deathstate
S3_FPLAY_XDIE1,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
16*FRACUNIT,		// radius
64*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_DROPOFF|MF_PICKUP|MF_NOTDMATCH,		// flags
MF2_WINDTHRUST|MF2_FLOORCLIP|MF2_SLIDE|MF2_PASSMOBJ|MF2_TELESTOMP|MF2_PUSHWALL		// flags2
 },

{		// MT_BLOODYSKULL
-1,		// doomednum
S3_BLOODYSKULL1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
4*FRACUNIT,		// radius
4*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF,		// flags
MF2_LOGRAV|MF2_CANNOTPUSH		// flags2
 },

{		// MT_PLAYER_SPEED
-1,		// doomednum
S3_PLAYER_SPEED1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_ALTSHADOW,		// flags
0		// flags2
 },

{		// MT_ICECHUNK
-1,		// doomednum
S3_ICECHUNK1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
3*FRACUNIT,		// radius
4*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF,		// flags
MF2_LOGRAV|MF2_CANNOTPUSH|MF2_FLOORCLIP		// flags2
 },

{		// MT_PLAYER_CLERIC
-1,		// doomednum
S3_CPLAY,		// spawnstate
100,		// spawnhealth
S3_CPLAY_RUN1,		// seestate
SFX_NONE,		// seesound
0,		// reactiontime
SFX_NONE,		// attacksound
S3_CPLAY_PAIN,		// painstate
255,		// painchance
SFX_PLAYER_CLERIC_PAIN,		// painsound
S3_NULL,		// meleestate
S3_CPLAY_ATK1,		// missilestate
S3_NULL,		// crashstate
S3_CPLAY_DIE1,		// deathstate
S3_CPLAY_XDIE1,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
16*FRACUNIT,		// radius
64*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_DROPOFF|MF_PICKUP|MF_NOTDMATCH,		// flags
MF2_WINDTHRUST|MF2_FLOORCLIP|MF2_SLIDE|MF2_PASSMOBJ|MF2_TELESTOMP|MF2_PUSHWALL		// flags2
 },

{		// MT_PLAYER_MAGE
-1,		// doomednum
S3_MPLAY,		// spawnstate
100,		// spawnhealth
S3_MPLAY_RUN1,		// seestate
SFX_NONE,		// seesound
0,		// reactiontime
SFX_NONE,		// attacksound
S3_MPLAY_PAIN,		// painstate
255,		// painchance
SFX_PLAYER_MAGE_PAIN,		// painsound
S3_NULL,		// meleestate
S3_MPLAY_ATK1,		// missilestate
S3_NULL,		// crashstate
S3_MPLAY_DIE1,		// deathstate
S3_MPLAY_XDIE1,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
16*FRACUNIT,		// radius
64*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_DROPOFF|MF_PICKUP|MF_NOTDMATCH,		// flags
MF2_WINDTHRUST|MF2_FLOORCLIP|MF2_SLIDE|MF2_PASSMOBJ|MF2_TELESTOMP|MF2_PUSHWALL		// flags2
 },

{		// MT_PIGPLAYER
-1,		// doomednum
S3_PIGPLAY,		// spawnstate
100,		// spawnhealth
S3_PIGPLAY_RUN1,		// seestate
SFX_NONE,		// seesound
0,		// reactiontime
SFX_NONE,		// attacksound
S3_PIGPLAY_PAIN,		// painstate
255,		// painchance
SFX_PIG_PAIN,		// painsound
S3_NULL,		// meleestate
S3_PIGPLAY_ATK1,		// missilestate
S3_NULL,		// crashstate
S3_PIG_DIE1,		// deathstate
S3_NULL,		// xdeathstate
SFX_PIG_DEATH,		// deathsound
0,		// speed
16*FRACUNIT,		// radius
24*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_DROPOFF|MF_NOTDMATCH,		// flags
MF2_WINDTHRUST|MF2_SLIDE|MF2_PASSMOBJ|MF2_FLOORCLIP|MF2_TELESTOMP|MF2_PUSHWALL		// flags2
 },

{		// MT_PIG
-1,		// doomednum
S3_PIG_LOOK1,		// spawnstate
25,		// spawnhealth
S3_PIG_WALK1,		// seestate
SFX_PIG_ACTIVE1,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_PIG_PAIN,		// painstate
128,		// painchance
SFX_PIG_PAIN,		// painsound
S3_PIG_ATK1,		// meleestate
0,		// missilestate
S3_NULL,		// crashstate
S3_PIG_DIE1,		// deathstate
S3_NULL,		// xdeathstate
SFX_PIG_DEATH,		// deathsound
10,		// speed
12*FRACUNIT,		// radius
22*FRACUNIT,		// height
60,		// mass
0,		// damage
SFX_PIG_ACTIVE1,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL,		// flags
MF2_WINDTHRUST|MF2_FLOORCLIP|MF2_PASSMOBJ|MF2_PUSHWALL|MF2_TELESTOMP		// flags2
 },

{		// MT_CENTAUR
107,		// doomednum
S3_CENTAUR_LOOK1,		// spawnstate
200,		// spawnhealth
S3_CENTAUR_WALK1,		// seestate
SFX_CENTAUR_SIGHT,		// seesound
8,		// reactiontime
SFX_CENTAUR_ATTACK,		// attacksound
S3_CENTAUR_PAIN1,		// painstate
135,		// painchance
SFX_CENTAUR_PAIN,		// painsound
S3_CENTAUR_ATK1,		// meleestate
0,		// missilestate
S3_NULL,		// crashstate
S3_CENTAUR_DEATH1,		// deathstate
S3_CENTAUR_DEATH_X1,		// xdeathstate
SFX_CENTAUR_DEATH,		// deathsound
13,		// speed
20*FRACUNIT,		// radius
64*FRACUNIT,		// height
120,		// mass
0,		// damage
SFX_CENTAUR_ACTIVE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL,		// flags
MF2_FLOORCLIP|MF2_PASSMOBJ|MF2_PUSHWALL|MF2_MCROSS|MF2_TELESTOMP		// flags2
 },

{		// MT_CENTAURLEADER
115,		// doomednum
S3_CENTAUR_LOOK1,		// spawnstate
250,		// spawnhealth
S3_CENTAUR_WALK1,		// seestate
SFX_CENTAUR_SIGHT,		// seesound
8,		// reactiontime
SFX_CENTAUR_ATTACK,		// attacksound
S3_CENTAUR_PAIN1,		// painstate
96,		// painchance
SFX_CENTAUR_PAIN,		// painsound
S3_CENTAUR_ATK1,		// meleestate
S3_CENTAUR_MISSILE1,		// missilestate
S3_NULL,		// crashstate
S3_CENTAUR_DEATH1,		// deathstate
S3_CENTAUR_DEATH_X1,		// xdeathstate
SFX_CENTAUR_DEATH,		// deathsound
10,		// speed
20*FRACUNIT,		// radius
64*FRACUNIT,		// height
120,		// mass
0,		// damage
SFX_CENTAUR_ACTIVE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL,		// flags
MF2_FLOORCLIP|MF2_PASSMOBJ|MF2_PUSHWALL|MF2_MCROSS|MF2_TELESTOMP		// flags2
 },

{		// MT_CENTAUR_FX
-1,		// doomednum
S3_CENTAUR_FX1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_CENTAUR_FX_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_CENTAUR_MISSILE_EXPLODE,		// deathsound
20*FRACUNIT,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
4,		// damage
SFX_NONE,		// activesound
MF_MISSILE|MF_NOBLOCKMAP|MF_NOGRAVITY|MF_DROPOFF,		// flags
MF2_NOTELEPORT|MF2_IMPACT|MF2_PCROSS		// flags2
 },

{		// MT_CENTAUR_SHIELD
-1,		// doomednum
S3_CENTAUR_SHIELD1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_CENTAUR_SHIELD_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_DROPOFF|MF_CORPSE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_CENTAUR_SWORD
-1,		// doomednum
S3_CENTAUR_SWORD1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_CENTAUR_SWORD_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_DROPOFF|MF_CORPSE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_DEMON
31,		// doomednum
S3_DEMN_LOOK1,		// spawnstate
250,		// spawnhealth
S3_DEMN_CHASE1,		// seestate
SFX_DEMON_SIGHT,		// seesound
8,		// reactiontime
SFX_DEMON_ATTACK,		// attacksound
S3_DEMN_PAIN1,		// painstate
50,		// painchance
SFX_DEMON_PAIN,		// painsound
S3_DEMN_ATK1_1,		// meleestate
S3_DEMN_ATK2_1,		// missilestate
S3_NULL,		// crashstate
S3_DEMN_DEATH1,		// deathstate
S3_DEMN_XDEATH1,		// xdeathstate
SFX_DEMON_DEATH,		// deathsound
13,		// speed
32*FRACUNIT,		// radius
64*FRACUNIT,		// height
220,		// mass
0,		// damage
SFX_DEMON_ACTIVE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL,		// flags
MF2_FLOORCLIP|MF2_PASSMOBJ|MF2_MCROSS|MF2_TELESTOMP		// flags2
 },

{		// MT_DEMONCHUNK1
-1,		// doomednum
S3_DEMONCHUNK1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DEMONCHUNK1_4,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_CORPSE,		// flags
MF2_NOTELEPORT|MF2_FLOORCLIP		// flags2
 },

{		// MT_DEMONCHUNK2
-1,		// doomednum
S3_DEMONCHUNK2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DEMONCHUNK2_4,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_CORPSE,		// flags
MF2_NOTELEPORT|MF2_FLOORCLIP		// flags2
 },

{		// MT_DEMONCHUNK3
-1,		// doomednum
S3_DEMONCHUNK3_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DEMONCHUNK3_4,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_CORPSE,		// flags
MF2_NOTELEPORT|MF2_FLOORCLIP		// flags2
 },

{		// MT_DEMONCHUNK4
-1,		// doomednum
S3_DEMONCHUNK4_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DEMONCHUNK4_4,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_CORPSE,		// flags
MF2_NOTELEPORT|MF2_FLOORCLIP		// flags2
 },

{		// MT_DEMONCHUNK5
-1,		// doomednum
S3_DEMONCHUNK5_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DEMONCHUNK5_4,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_CORPSE,		// flags
MF2_NOTELEPORT|MF2_FLOORCLIP		// flags2
 },

{		// MT_DEMONFX1
-1,		// doomednum
S3_DEMONFX_MOVE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DEMONFX_BOOM1,		// deathstate
S3_NULL,		// xdeathstate
SFX_DEMON_MISSILE_EXPLODE,		// deathsound
15*FRACUNIT,		// speed
10*FRACUNIT,		// radius
6*FRACUNIT,		// height
100,		// mass
5,		// damage
SFX_NONE,		// activesound
MF_MISSILE|MF_NOBLOCKMAP|MF_NOGRAVITY|MF_DROPOFF,		// flags
MF2_NOTELEPORT|MF2_IMPACT|MF2_PCROSS|MF2_FIREDAMAGE		// flags2
 },

{		// MT_DEMON2
8080,		// doomednum
S3_DEMN2_LOOK1,		// spawnstate
250,		// spawnhealth
S3_DEMN2_CHASE1,		// seestate
SFX_DEMON_SIGHT,		// seesound
8,		// reactiontime
SFX_DEMON_ATTACK,		// attacksound
S3_DEMN2_PAIN1,		// painstate
50,		// painchance
SFX_DEMON_PAIN,		// painsound
S3_DEMN2_ATK1_1,		// meleestate
S3_DEMN2_ATK2_1,		// missilestate
S3_NULL,		// crashstate
S3_DEMN2_DEATH1,		// deathstate
S3_DEMN2_XDEATH1,		// xdeathstate
SFX_DEMON_DEATH,		// deathsound
13,		// speed
32*FRACUNIT,		// radius
64*FRACUNIT,		// height
220,		// mass
0,		// damage
SFX_DEMON_ACTIVE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL,		// flags
MF2_FLOORCLIP|MF2_PASSMOBJ|MF2_MCROSS|MF2_TELESTOMP		// flags2
 },

{		// MT_DEMON2CHUNK1
-1,		// doomednum
S3_DEMON2CHUNK1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DEMON2CHUNK1_4,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_CORPSE,		// flags
MF2_NOTELEPORT|MF2_FLOORCLIP		// flags2
 },

{		// MT_DEMON2CHUNK2
-1,		// doomednum
S3_DEMON2CHUNK2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DEMON2CHUNK2_4,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_CORPSE,		// flags
MF2_NOTELEPORT|MF2_FLOORCLIP		// flags2
 },

{		// MT_DEMON2CHUNK3
-1,		// doomednum
S3_DEMON2CHUNK3_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DEMON2CHUNK3_4,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_CORPSE,		// flags
MF2_NOTELEPORT|MF2_FLOORCLIP		// flags2
 },

{		// MT_DEMON2CHUNK4
-1,		// doomednum
S3_DEMON2CHUNK4_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DEMON2CHUNK4_4,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_CORPSE,		// flags
MF2_NOTELEPORT|MF2_FLOORCLIP		// flags2
 },

{		// MT_DEMON2CHUNK5
-1,		// doomednum
S3_DEMON2CHUNK5_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DEMON2CHUNK5_4,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_CORPSE,		// flags
MF2_NOTELEPORT|MF2_FLOORCLIP		// flags2
 },

{		// MT_DEMON2FX1
-1,		// doomednum
S3_DEMON2FX_MOVE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DEMON2FX_BOOM1,		// deathstate
S3_NULL,		// xdeathstate
SFX_DEMON_MISSILE_EXPLODE,		// deathsound
15*FRACUNIT,		// speed
10*FRACUNIT,		// radius
6*FRACUNIT,		// height
100,		// mass
5,		// damage
SFX_NONE,		// activesound
MF_MISSILE|MF_NOBLOCKMAP|MF_NOGRAVITY|MF_DROPOFF,		// flags
MF2_NOTELEPORT|MF2_IMPACT|MF2_PCROSS|MF2_FIREDAMAGE		// flags2
 },

{		// MT_WRAITHB
10011,		// doomednum
S3_WRAITH_LOOK1,		// spawnstate
150,		// spawnhealth
S3_WRAITH_RAISE1,		// seestate
SFX_WRAITH_SIGHT,		// seesound
8,		// reactiontime
SFX_WRAITH_ATTACK,		// attacksound
S3_WRAITH_PAIN1,		// painstate
25,		// painchance
SFX_WRAITH_PAIN,		// painsound
S3_WRAITH_ATK1_1,		// meleestate
S3_WRAITH_ATK2_1,		// missilestate
S3_NULL,		// crashstate
S3_WRAITH_DEATH1_1,		// deathstate
S3_WRAITH_DEATH2_1,		// xdeathstate
SFX_WRAITH_DEATH,		// deathsound
11,		// speed
20*FRACUNIT,		// radius
68*FRACUNIT,		// height
75,		// mass
10,		// damage
SFX_WRAITH_ACTIVE,		// activesound
MF_DROPOFF|MF_NOGRAVITY|MF_FLOAT|MF_COUNTKILL,		// flags
MF2_FLOORCLIP|MF2_PASSMOBJ|MF2_PUSHWALL|MF2_TELESTOMP|MF2_DONTDRAW		// flags2
 },

{		// MT_WRAITH
34,		// doomednum
S3_WRAITH_INIT1,		// spawnstate
150,		// spawnhealth
S3_WRAITH_CHASE1,		// seestate
SFX_WRAITH_SIGHT,		// seesound
8,		// reactiontime
SFX_WRAITH_ATTACK,		// attacksound
S3_WRAITH_PAIN1,		// painstate
25,		// painchance
SFX_WRAITH_PAIN,		// painsound
S3_WRAITH_ATK1_1,		// meleestate
S3_WRAITH_ATK2_1,		// missilestate
S3_NULL,		// crashstate
S3_WRAITH_DEATH1_1,		// deathstate
S3_WRAITH_DEATH2_1,		// xdeathstate
SFX_WRAITH_DEATH,		// deathsound
11,		// speed
20*FRACUNIT,		// radius
55*FRACUNIT,		// height
75,		// mass
10,		// damage
SFX_WRAITH_ACTIVE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL|MF_DROPOFF|MF_NOGRAVITY|MF_FLOAT,		// flags
MF2_FLOORCLIP|MF2_PASSMOBJ|MF2_PUSHWALL|MF2_TELESTOMP		// flags2
 },

{		// MT_WRAITHFX1
-1,		// doomednum
S3_WRTHFX_MOVE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_WRTHFX_BOOM1,		// deathstate
S3_NULL,		// xdeathstate
SFX_WRAITH_MISSILE_EXPLODE,		// deathsound
14*FRACUNIT,		// speed
10*FRACUNIT,		// radius
6*FRACUNIT,		// height
5,		// mass
5,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT|MF2_IMPACT|MF2_PCROSS|MF2_FLOORCLIP|MF2_FIREDAMAGE		// flags2
 },

{		// MT_WRAITHFX2
-1,		// doomednum
S3_WRTHFX_SIZZLE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
2*FRACUNIT,		// radius
5*FRACUNIT,		// height
5,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF,		// flags
MF2_NOTELEPORT|MF2_FLOORCLIP		// flags2
 },

{		// MT_WRAITHFX3
-1,		// doomednum
S3_WRTHFX_DROP1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_WRTHFX_DEAD1,		// deathstate
S3_NULL,		// xdeathstate
SFX_DRIP,		// deathsound
0,		// speed
2*FRACUNIT,		// radius
5*FRACUNIT,		// height
5,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT|MF2_FLOORCLIP		// flags2
 },

{		// MT_WRAITHFX4
-1,		// doomednum
S3_WRTHFX_ADROP1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_WRTHFX_ADEAD1,		// deathstate
S3_NULL,		// xdeathstate
SFX_DRIP,		// deathsound
0,		// speed
2*FRACUNIT,		// radius
5*FRACUNIT,		// height
5,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_WRAITHFX5
-1,		// doomednum
S3_WRTHFX_BDROP1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_WRTHFX_BDEAD1,		// deathstate
S3_NULL,		// xdeathstate
SFX_DRIP,		// deathsound
0,		// speed
2*FRACUNIT,		// radius
5*FRACUNIT,		// height
5,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_MINOTAUR
9,		// doomednum
S3_MNTR_SPAWN1,		// spawnstate
2500,		// spawnhealth
S3_MNTR_WALK1,		// seestate
SFX_MAULATOR_SIGHT,		// seesound
8,		// reactiontime
SFX_MAULATOR_HAMMER_SWING,		// attacksound
S3_MNTR_PAIN1,		// painstate
25,		// painchance
SFX_MAULATOR_PAIN,		// painsound
S3_MNTR_ATK1_1,		// meleestate
S3_MNTR_ATK2_1,		// missilestate
S3_NULL,		// crashstate
S3_MNTR_DIE1,		// deathstate
S3_NULL,		// xdeathstate
SFX_MAULATOR_DEATH,		// deathsound
16,		// speed
28*FRACUNIT,		// radius
100*FRACUNIT,		// height
800,		// mass
7,		// damage
SFX_MAULATOR_ACTIVE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL|MF_SHADOW,		// flags
MF2_FLOORCLIP|MF2_PASSMOBJ|MF2_PUSHWALL|MF2_TELESTOMP		// flags2
 },

{		// MT_MNTRFX1
-1,		// doomednum
S3_MNTRFX1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_MNTRFXI1_1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
20*FRACUNIT,		// speed
10*FRACUNIT,		// radius
6*FRACUNIT,		// height
100,		// mass
3,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FIREDAMAGE		// flags2
 },

{		// MT_MNTRFX2
-1,		// doomednum
S3_MNTRFX2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_MNTRFXI2_1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
14*FRACUNIT,		// speed
5*FRACUNIT,		// radius
12*FRACUNIT,		// height
100,		// mass
4,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FIREDAMAGE		// flags2
 },

{		// MT_MNTRFX3
-1,		// doomednum
S3_MNTRFX3_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
0,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_MNTRFXI2_1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
4,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FIREDAMAGE		// flags2
 },

{		// MT_MNTRSMOKE
-1,		// doomednum
S3_MINOSMOKE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SHADOW,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_MNTRSMOKEEXIT
-1,		// doomednum
S3_MINOSMOKEX1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SHADOW,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_SERPENT
121,		// doomednum
S3_SERPENT_LOOK1,		// spawnstate
90,		// spawnhealth
S3_SERPENT_SWIM1,		// seestate
SFX_SERPENT_SIGHT,		// seesound
8,		// reactiontime
SFX_SERPENT_ATTACK,		// attacksound
S3_SERPENT_PAIN1,		// painstate
96,		// painchance
SFX_SERPENT_PAIN,		// painsound
S3_SERPENT_SURFACE1,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SERPENT_DIE1,		// deathstate
S3_SERPENT_XDIE1,		// xdeathstate
SFX_SERPENT_DEATH,		// deathsound
12,		// speed
32*FRACUNIT,		// radius
70*FRACUNIT,		// height
MAXINT,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_COUNTKILL|MF_NOBLOOD,		// flags
MF2_PASSMOBJ|MF2_DONTDRAW|MF2_CANTLEAVEFLOORPIC|MF2_NONSHOOTABLE|MF2_MCROSS		// flags2
 },

{		// MT_SERPENTLEADER
120,		// doomednum
S3_SERPENT_LOOK1,		// spawnstate
90,		// spawnhealth
S3_SERPENT_SWIM1,		// seestate
SFX_SERPENT_SIGHT,		// seesound
8,		// reactiontime
SFX_SERPENT_ATTACK,		// attacksound
S3_SERPENT_PAIN1,		// painstate
96,		// painchance
SFX_SERPENT_PAIN,		// painsound
S3_SERPENT_SURFACE1,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SERPENT_DIE1,		// deathstate
S3_SERPENT_XDIE1,		// xdeathstate
SFX_SERPENT_DEATH,		// deathsound
12,		// speed
32*FRACUNIT,		// radius
70*FRACUNIT,		// height
200,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_COUNTKILL|MF_NOBLOOD,		// flags
MF2_PASSMOBJ|MF2_DONTDRAW|MF2_CANTLEAVEFLOORPIC|MF2_NONSHOOTABLE|MF2_MCROSS		// flags2
 },

{		// MT_SERPENTFX
-1,		// doomednum
S3_SERPENT_FX1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
0,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SERPENT_FX_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_SERPENTFX_HIT,		// deathsound
15*FRACUNIT,		// speed
8*FRACUNIT,		// radius
10*FRACUNIT,		// height
100,		// mass
4,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_SERPENT_HEAD
-1,		// doomednum
S3_SERPENT_HEAD1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
10*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
MF2_LOGRAV		// flags2
 },

{		// MT_SERPENT_GIB1
-1,		// doomednum
S3_SERPENT_GIB1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
3*FRACUNIT,		// radius
3*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_SERPENT_GIB2
-1,		// doomednum
S3_SERPENT_GIB2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
3*FRACUNIT,		// radius
3*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_SERPENT_GIB3
-1,		// doomednum
S3_SERPENT_GIB3_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
3*FRACUNIT,		// radius
3*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_BISHOP
114,		// doomednum
S3_BISHOP_LOOK1,		// spawnstate
130,		// spawnhealth
S3_BISHOP_WALK1,		// seestate
SFX_BISHOP_SIGHT,		// seesound
8,		// reactiontime
SFX_BISHOP_ATTACK,		// attacksound
S3_BISHOP_PAIN1,		// painstate
110,		// painchance
SFX_BISHOP_PAIN,		// painsound
0,		// meleestate
S3_BISHOP_ATK1,		// missilestate
S3_NULL,		// crashstate
S3_BISHOP_DEATH1,		// deathstate
S3_NULL,		// xdeathstate
SFX_BISHOP_DEATH,		// deathsound
10,		// speed
22*FRACUNIT,		// radius
65*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_BISHOP_ACTIVE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL|MF_FLOAT|MF_NOGRAVITY|MF_NOBLOOD,		// flags
MF2_PASSMOBJ|MF2_PUSHWALL|MF2_TELESTOMP		// flags2
 },

{		// MT_BISHOP_PUFF
-1,		// doomednum
S3_BISHOP_PUFF1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SHADOW|MF_NOBLOCKMAP|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_BISHOPBLUR
-1,		// doomednum
S3_BISHOPBLUR1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SHADOW,		// flags
0		// flags2
 },

{		// MT_BISHOPPAINBLUR
-1,		// doomednum
S3_BISHOPPAINBLUR1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SHADOW,		// flags
0		// flags2
 },

{		// MT_BISH_FX
-1,		// doomednum
S3_BISHFX1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_BISHFXI1_1,		// deathstate
S3_NULL,		// xdeathstate
SFX_BISHOP_MISSILE_EXPLODE,		// deathsound
10*FRACUNIT,		// speed
10*FRACUNIT,		// radius
6*FRACUNIT,		// height
100,		// mass
1,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_SEEKERMISSILE		// flags2
 },

{		// MT_DRAGON
254,		// doomednum
S3_DRAGON_LOOK1,		// spawnstate
640,		// spawnhealth
S3_DRAGON_INIT,		// seestate
SFX_DRAGON_SIGHT,		// seesound
8,		// reactiontime
SFX_DRAGON_ATTACK,		// attacksound
S3_DRAGON_PAIN1,		// painstate
128,		// painchance
SFX_DRAGON_PAIN,		// painsound
S3_NULL,		// meleestate
S3_DRAGON_ATK1,		// missilestate
S3_NULL,		// crashstate
S3_DRAGON_DEATH1,		// deathstate
S3_NULL,		// xdeathstate
SFX_DRAGON_DEATH,		// deathsound
10*FRACUNIT,		// speed
20*FRACUNIT,		// radius
65*FRACUNIT,		// height
MAXINT,		// mass
0,		// damage
SFX_DRAGON_ACTIVE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL|MF_FLOAT|MF_NOGRAVITY|MF_NOBLOOD,		// flags
MF2_PASSMOBJ|MF2_BOSS		// flags2
 },

{		// MT_DRAGON_FX
-1,		// doomednum
S3_DRAGON_FX1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_DRAGON_FX1_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_DRAGON_FIREBALL_EXPLODE,		// deathsound
24*FRACUNIT,		// speed
12*FRACUNIT,		// radius
10*FRACUNIT,		// height
100,		// mass
6,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_FIREDAMAGE		// flags2
 },

{		// MT_DRAGON_FX2
-1,		// doomednum
S3_DRAGON_FX2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_DRAGON_FIREBALL_EXPLODE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP,		// flags
MF2_NOTELEPORT|MF2_FIREDAMAGE|MF2_DONTDRAW		// flags2
 },

{		// MT_ARMOR_1
8005,		// doomednum
S3_ARMOR_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARMOR_2
8006,		// doomednum
S3_ARMOR_2,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARMOR_3
8007,		// doomednum
S3_ARMOR_3,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_ARMOR_4
8008,		// doomednum
S3_ARMOR_4,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL|MF_NOGRAVITY,		// flags
0		// flags2
 },

{		// MT_MANA1
122,		// doomednum
S3_MANA1_1,		// spawnstate
10,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_MANA2
124,		// doomednum
S3_MANA2_1,		// spawnstate
10,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_MANA3
8004,		// doomednum
S3_MANA3_1,		// spawnstate
20,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
8*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
MF2_FLOATBOB		// flags2
 },

{		// MT_KEY1
8030,		// doomednum
S3_KEY1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
20*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
0		// flags2
 },

{		// MT_KEY2
8031,		// doomednum
S3_KEY2,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
20*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
0		// flags2
 },

{		// MT_KEY3
8032,		// doomednum
S3_KEY3,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
20*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
0		// flags2
 },

{		// MT_KEY4
8033,		// doomednum
S3_KEY4,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
20*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
0		// flags2
 },

{		// MT_KEY5
8034,		// doomednum
S3_KEY5,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
20*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
0		// flags2
 },

{		// MT_KEY6
8035,		// doomednum
S3_KEY6,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
20*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
0		// flags2
 },

{		// MT_KEY7
8036,		// doomednum
S3_KEY7,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
20*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
0		// flags2
 },

{		// MT_KEY8
8037,		// doomednum
S3_KEY8,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
20*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
0		// flags2
 },

{		// MT_KEY9
8038,		// doomednum
S3_KEY9,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
20*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
0		// flags2
 },

{		// MT_KEYA
8039,		// doomednum
S3_KEYA,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
20*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
0		// flags2
 },

{		// MT_KEYB
8200,		// doomednum
S3_KEYB,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
8*FRACUNIT,		// radius
20*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SPECIAL,		// flags
0		// flags2
 },

{		// MT_SOUNDWIND
1410,		// doomednum
S3_SND_WIND1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOSECTOR,		// flags
0		// flags2
 },

{		// MT_SOUNDWATERFALL
41,		// doomednum
S3_SND_WATERFALL,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOSECTOR,		// flags
0		// flags2
 },

{		// MT_ETTIN
10030,		// doomednum
S3_ETTIN_LOOK1,		// spawnstate
175,		// spawnhealth
S3_ETTIN_CHASE1,		// seestate
SFX_ETTIN_SIGHT,		// seesound
8,		// reactiontime
SFX_ETTIN_ATTACK,		// attacksound
S3_ETTIN_PAIN1,		// painstate
60,		// painchance
SFX_ETTIN_PAIN,		// painsound
S3_ETTIN_ATK1_1,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ETTIN_DEATH1_1,		// deathstate
S3_ETTIN_DEATH2_1,		// xdeathstate
SFX_ETTIN_DEATH,		// deathsound
13,		// speed
25*FRACUNIT,		// radius
68*FRACUNIT,		// height
175,		// mass
3,		// damage
SFX_ETTIN_ACTIVE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL,		// flags
MF2_FLOORCLIP|MF2_PUSHWALL|MF2_MCROSS|MF2_TELESTOMP		// flags2
 },

{		// MT_ETTIN_MACE
-1,		// doomednum
S3_ETTIN_MACE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ETTIN_MACE5,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_DROPOFF|MF_CORPSE,		// flags
MF2_NOTELEPORT|MF2_FLOORCLIP		// flags2
 },

{		// MT_FIREDEMON
10060,		// doomednum
S3_FIRED_SPAWN1,		// spawnstate
80,		// spawnhealth
S3_FIRED_LOOK4,		// seestate
SFX_FIRED_SPAWN,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_FIRED_PAIN1,		// painstate
1,		// painchance
SFX_FIRED_PAIN,		// painsound
S3_NULL,		// meleestate
S3_FIRED_ATTACK1,		// missilestate
S3_FIRED_XDEATH1,		// crashstate
S3_FIRED_DEATH1,		// deathstate
S3_FIRED_XDEATH1,		// xdeathstate
SFX_FIRED_DEATH,		// deathsound
13,		// speed
20*FRACUNIT,		// radius
68*FRACUNIT,		// height
75,		// mass
1,		// damage
SFX_FIRED_ACTIVE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL|MF_DROPOFF|MF_NOGRAVITY|MF_FLOAT,		// flags
MF2_FLOORCLIP|MF2_PASSMOBJ|MF2_PUSHWALL|MF2_INVULNERABLE|MF2_MCROSS|MF2_TELESTOMP		// flags2
 },

{		// MT_FIREDEMON_SPLOTCH1
-1,		// doomednum
S3_FIRED_CORPSE1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
3*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_DROPOFF|MF_CORPSE,		// flags
MF2_NOTELEPORT|MF2_FLOORCLIP		// flags2
 },

{		// MT_FIREDEMON_SPLOTCH2
-1,		// doomednum
S3_FIRED_CORPSE4,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
3*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_DROPOFF|MF_CORPSE,		// flags
MF2_NOTELEPORT|MF2_FLOORCLIP		// flags2
 },

{		// MT_FIREDEMON_FX1
-1,		// doomednum
S3_FIRED_RDROP1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_FIRED_RDEAD1_1,		// deathstate
S3_FIRED_RDEAD1_2,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
3*FRACUNIT,		// radius
5*FRACUNIT,		// height
16,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_FIREDEMON_FX2
-1,		// doomednum
S3_FIRED_RDROP2,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_FIRED_RDEAD2_1,		// deathstate
S3_FIRED_RDEAD2_2,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
3*FRACUNIT,		// radius
5*FRACUNIT,		// height
16,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_FIREDEMON_FX3
-1,		// doomednum
S3_FIRED_RDROP3,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_FIRED_RDEAD3_1,		// deathstate
S3_FIRED_RDEAD3_2,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
3*FRACUNIT,		// radius
5*FRACUNIT,		// height
16,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_FIREDEMON_FX4
-1,		// doomednum
S3_FIRED_RDROP4,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_FIRED_RDEAD4_1,		// deathstate
S3_FIRED_RDEAD4_2,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
3*FRACUNIT,		// radius
5*FRACUNIT,		// height
16,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_FIREDEMON_FX5
-1,		// doomednum
S3_FIRED_RDROP5,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_FIRED_RDEAD5_1,		// deathstate
S3_FIRED_RDEAD5_2,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
3*FRACUNIT,		// radius
5*FRACUNIT,		// height
16,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_FIREDEMON_FX6
-1,		// doomednum
S3_FIRED_FX6_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_FIRED_FX6_2,		// deathstate
S3_NULL,		// xdeathstate
SFX_FIRED_MISSILE_HIT,		// deathsound
10*FRACUNIT,		// speed
10*FRACUNIT,		// radius
6*FRACUNIT,		// height
15,		// mass
1,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT|MF2_IMPACT|MF2_PCROSS|MF2_FLOORCLIP|MF2_FIREDAMAGE		// flags2
 },

{		// MT_ICEGUY
8020,		// doomednum
S3_ICEGUY_LOOK,		// spawnstate
120,		// spawnhealth
S3_ICEGUY_WALK1,		// seestate
SFX_ICEGUY_SIGHT,		// seesound
8,		// reactiontime
SFX_ICEGUY_ATTACK,		// attacksound
S3_ICEGUY_PAIN1,		// painstate
144,		// painchance
SFX_NONE,		// painsound
0,		// meleestate
S3_ICEGUY_ATK1,		// missilestate
S3_NULL,		// crashstate
S3_ICEGUY_DEATH,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
14,		// speed
22*FRACUNIT,		// radius
75*FRACUNIT,		// height
150,		// mass
0,		// damage
SFX_ICEGUY_ACTIVE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL|MF_NOBLOOD,		// flags
MF2_PASSMOBJ|MF2_PUSHWALL|MF2_ICEDAMAGE|MF2_MCROSS|MF2_TELESTOMP		// flags2
 },

{		// MT_ICEGUY_FX
-1,		// doomednum
S3_ICEGUY_FX1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_ICEGUY_FX_X1,		// deathstate
S3_NULL,		// xdeathstate
SFX_ICEGUY_FX_EXPLODE,		// deathsound
14*FRACUNIT,		// speed
8*FRACUNIT,		// radius
10*FRACUNIT,		// height
100,		// mass
1,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_DROPOFF|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT|MF2_ICEDAMAGE		// flags2
 },

{		// MT_ICEFX_PUFF
-1,		// doomednum
S3_ICEFX_PUFF1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
FRACUNIT,		// radius
FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SHADOW|MF_DROPOFF,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_ICEGUY_FX2
-1,		// doomednum
S3_ICEGUY_FX2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
10*FRACUNIT,		// speed
4*FRACUNIT,		// radius
4*FRACUNIT,		// height
100,		// mass
1,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_MISSILE,		// flags
MF2_NOTELEPORT|MF2_LOGRAV|MF2_ICEDAMAGE		// flags2
 },

{		// MT_ICEGUY_BIT
-1,		// doomednum
S3_ICEGUY_BIT1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
FRACUNIT,		// radius
FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF,		// flags
MF2_NOTELEPORT|MF2_LOGRAV		// flags2
 },

{		// MT_ICEGUY_WISP1
-1,		// doomednum
S3_ICEGUY_WISP1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_NOGRAVITY|MF_ALTSHADOW|MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_ICEGUY_WISP2
-1,		// doomednum
S3_ICEGUY_WISP2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_NOGRAVITY|MF_ALTSHADOW|MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_FIGHTER_BOSS
10100,		// doomednum
S3_FIGHTER,		// spawnstate
800,		// spawnhealth
S3_FIGHTER_RUN1,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_FIGHTER_PAIN,		// painstate
50,		// painchance
SFX_PLAYER_FIGHTER_PAIN,		// painsound
S3_FIGHTER_ATK1,		// meleestate
S3_FIGHTER_ATK1,		// missilestate
S3_NULL,		// crashstate
S3_FIGHTER_DIE1,		// deathstate
S3_FIGHTER_XDIE1,		// xdeathstate
SFX_PLAYER_FIGHTER_CRAZY_DEATH,		// deathsound
25,		// speed
16*FRACUNIT,		// radius
64*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL,		// flags
MF2_FLOORCLIP|MF2_PASSMOBJ|MF2_TELESTOMP|MF2_PUSHWALL|MF2_MCROSS		// flags2
 },

{		// MT_CLERIC_BOSS
10101,		// doomednum
S3_CLERIC,		// spawnstate
800,		// spawnhealth
S3_CLERIC_RUN1,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_CLERIC_PAIN,		// painstate
50,		// painchance
SFX_PLAYER_CLERIC_PAIN,		// painsound
S3_CLERIC_ATK1,		// meleestate
S3_CLERIC_ATK1,		// missilestate
S3_NULL,		// crashstate
S3_CLERIC_DIE1,		// deathstate
S3_CLERIC_XDIE1,		// xdeathstate
SFX_PLAYER_CLERIC_CRAZY_DEATH,		// deathsound
25,		// speed
16*FRACUNIT,		// radius
64*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL,		// flags
MF2_FLOORCLIP|MF2_PASSMOBJ|MF2_TELESTOMP|MF2_PUSHWALL|MF2_MCROSS		// flags2
 },

{		// MT_MAGE_BOSS
10102,		// doomednum
S3_MAGE,		// spawnstate
800,		// spawnhealth
S3_MAGE_RUN1,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_MAGE_PAIN,		// painstate
50,		// painchance
SFX_PLAYER_MAGE_PAIN,		// painsound
S3_MAGE_ATK1,		// meleestate
S3_MAGE_ATK1,		// missilestate
S3_NULL,		// crashstate
S3_MAGE_DIE1,		// deathstate
S3_MAGE_XDIE1,		// xdeathstate
SFX_PLAYER_MAGE_CRAZY_DEATH,		// deathsound
25,		// speed
16*FRACUNIT,		// radius
64*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL,		// flags
MF2_FLOORCLIP|MF2_PASSMOBJ|MF2_TELESTOMP|MF2_PUSHWALL|MF2_MCROSS		// flags2
 },

{		// MT_SORCBOSS
10080,		// doomednum
S3_SORC_SPAWN1,		// spawnstate
5000,		// spawnhealth
S3_SORC_WALK1,		// seestate
SFX_SORCERER_SIGHT,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_SORC_PAIN1,		// painstate
10,		// painchance
SFX_SORCERER_PAIN,		// painsound
S3_NULL,		// meleestate
S3_SORC_ATK2_1,		// missilestate
S3_NULL,		// crashstate
S3_SORC_DIE1,		// deathstate
S3_NULL,		// xdeathstate
SFX_SORCERER_DEATHSCREAM,		// deathsound
16,		// speed
40*FRACUNIT,		// radius
110*FRACUNIT,		// height
500,		// mass
9,		// damage
SFX_SORCERER_ACTIVE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL|MF_NOBLOOD,		// flags
MF2_FLOORCLIP|MF2_PASSMOBJ|MF2_PUSHWALL|MF2_BOSS|MF2_MCROSS		// flags2
 },

{		// MT_SORCBALL1
-1,		// doomednum
S3_SORCBALL1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_SORCERER_BALLBOUNCE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_SORCBALL1_D1,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SORCBALL1_D5,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
10*FRACUNIT,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_MISSILE,		// flags
MF2_NOTELEPORT|MF2_FLOORBOUNCE		// flags2
 },

{		// MT_SORCBALL2
-1,		// doomednum
S3_SORCBALL2_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_SORCERER_BALLBOUNCE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_SORCBALL2_D1,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SORCBALL2_D5,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
10*FRACUNIT,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_MISSILE,		// flags
MF2_NOTELEPORT|MF2_FLOORBOUNCE		// flags2
 },

{		// MT_SORCBALL3
-1,		// doomednum
S3_SORCBALL3_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_SORCERER_BALLBOUNCE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_SORCBALL3_D1,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SORCBALL3_D5,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
10*FRACUNIT,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_MISSILE,		// flags
MF2_NOTELEPORT|MF2_FLOORBOUNCE		// flags2
 },

{		// MT_SORCFX1
-1,		// doomednum
S3_SORCFX1_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_SORCERER_BALLBOUNCE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SORCFX1_D1,		// deathstate
S3_SORCFX1_D1,		// xdeathstate
SFX_NONE,		// deathsound
7*FRACUNIT,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE,		// flags
MF2_NOTELEPORT|MF2_FLOORBOUNCE		// flags2
 },

{		// MT_SORCFX2
-1,		// doomednum
S3_SORCFX2_SPLIT1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SORCFX2T1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
15*FRACUNIT,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_SORCFX2_T1
-1,		// doomednum
S3_SORCFX2T1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_ALTSHADOW,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_SORCFX3
-1,		// doomednum
S3_SORCFX3_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_SORCERER_BISHOPSPAWN,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_BISHMORPH1,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
15*FRACUNIT,		// speed
22*FRACUNIT,		// radius
65*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_SORCFX3_EXPLOSION
-1,		// doomednum
S3_SORCFX3_EXP1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_ALTSHADOW,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_SORCFX4
-1,		// doomednum
S3_SORCFX4_1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_SORCFX4_D1,		// deathstate
S3_NULL,		// xdeathstate
SFX_SORCERER_BALLEXPLODE,		// deathsound
12*FRACUNIT,		// speed
10*FRACUNIT,		// radius
10*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_MISSILE|MF_NOGRAVITY,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_SORCSPARK1
-1,		// doomednum
S3_SORCSPARK1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
5*FRACUNIT,		// radius
5*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF,		// flags
MF2_NOTELEPORT|MF2_LOGRAV		// flags2
 },

{		// MT_BLASTEFFECT
-1,		// doomednum
S3_BLASTEFFECT1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_NOCLIP|MF_ALTSHADOW,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_WATER_DRIP
-1,		// doomednum
S3_WATERDRIP1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_DRIP,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
1,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_MISSILE,		// flags
MF2_LOGRAV|MF2_NOTELEPORT		// flags2
 },

{		// MT_KORAX
10200,		// doomednum
S3_KORAX_LOOK1,		// spawnstate
5000,		// spawnhealth
S3_KORAX_CHASE2,		// seestate
SFX_KORAX_SIGHT,		// seesound
8,		// reactiontime
SFX_KORAX_ATTACK,		// attacksound
S3_KORAX_PAIN1,		// painstate
20,		// painchance
SFX_KORAX_PAIN,		// painsound
S3_NULL,		// meleestate
S3_KORAX_ATTACK1,		// missilestate
S3_NULL,		// crashstate
S3_KORAX_DEATH1,		// deathstate
S3_NULL,		// xdeathstate
SFX_KORAX_DEATH,		// deathsound
10,		// speed
65*FRACUNIT,		// radius
115*FRACUNIT,		// height
2000,		// mass
15,		// damage
SFX_KORAX_ACTIVE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL,		// flags
MF2_FLOORCLIP|MF2_PUSHWALL|MF2_MCROSS|MF2_TELESTOMP|MF2_BOSS		// flags2
 },

{		// MT_KORAX_SPIRIT1
-1,		// doomednum
S3_KSPIRIT_ROAM1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
8*FRACUNIT,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_NOGRAVITY|MF_ALTSHADOW|MF_MISSILE|MF_NOCLIP,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_KORAX_SPIRIT2
-1,		// doomednum
S3_KSPIRIT_ROAM1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
8*FRACUNIT,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_NOGRAVITY|MF_ALTSHADOW|MF_MISSILE|MF_NOCLIP,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_KORAX_SPIRIT3
-1,		// doomednum
S3_KSPIRIT_ROAM1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
8*FRACUNIT,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_NOGRAVITY|MF_ALTSHADOW|MF_MISSILE|MF_NOCLIP,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_KORAX_SPIRIT4
-1,		// doomednum
S3_KSPIRIT_ROAM1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
8*FRACUNIT,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_NOGRAVITY|MF_ALTSHADOW|MF_MISSILE|MF_NOCLIP,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_KORAX_SPIRIT5
-1,		// doomednum
S3_KSPIRIT_ROAM1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
8*FRACUNIT,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_NOGRAVITY|MF_ALTSHADOW|MF_MISSILE|MF_NOCLIP,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_KORAX_SPIRIT6
-1,		// doomednum
S3_KSPIRIT_ROAM1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
8*FRACUNIT,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_DROPOFF|MF_NOGRAVITY|MF_ALTSHADOW|MF_MISSILE|MF_NOCLIP,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_DEMON_MASH
-1,		// doomednum
S3_DEMN_LOOK1,		// spawnstate
250,		// spawnhealth
S3_DEMN_CHASE1,		// seestate
SFX_DEMON_SIGHT,		// seesound
8,		// reactiontime
SFX_DEMON_ATTACK,		// attacksound
S3_DEMN_PAIN1,		// painstate
50,		// painchance
SFX_DEMON_PAIN,		// painsound
S3_DEMN_ATK1_1,		// meleestate
S3_DEMN_ATK2_1,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_DEMON_DEATH,		// deathsound
13,		// speed
32*FRACUNIT,		// radius
64*FRACUNIT,		// height
220,		// mass
0,		// damage
SFX_DEMON_ACTIVE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL|MF_ALTSHADOW|MF_NOBLOOD,		// flags
MF2_FLOORCLIP|MF2_PASSMOBJ|MF2_MCROSS|MF2_PUSHWALL|MF2_BLASTED		// flags2
 },

{		// MT_DEMON2_MASH
-1,		// doomednum
S3_DEMN2_LOOK1,		// spawnstate
250,		// spawnhealth
S3_DEMN2_CHASE1,		// seestate
SFX_DEMON_SIGHT,		// seesound
8,		// reactiontime
SFX_DEMON_ATTACK,		// attacksound
S3_DEMN2_PAIN1,		// painstate
50,		// painchance
SFX_DEMON_PAIN,		// painsound
S3_DEMN2_ATK1_1,		// meleestate
S3_DEMN2_ATK2_1,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_DEMON_DEATH,		// deathsound
13,		// speed
32*FRACUNIT,		// radius
64*FRACUNIT,		// height
220,		// mass
0,		// damage
SFX_DEMON_ACTIVE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL|MF_ALTSHADOW|MF_NOBLOOD,		// flags
MF2_FLOORCLIP|MF2_PASSMOBJ|MF2_MCROSS|MF2_PUSHWALL|MF2_BLASTED		// flags2
 },

{		// MT_ETTIN_MASH
-1,		// doomednum
S3_ETTIN_LOOK1,		// spawnstate
175,		// spawnhealth
S3_ETTIN_CHASE1,		// seestate
SFX_ETTIN_SIGHT,		// seesound
8,		// reactiontime
SFX_ETTIN_ATTACK,		// attacksound
S3_ETTIN_PAIN1,		// painstate
60,		// painchance
SFX_ETTIN_PAIN,		// painsound
S3_ETTIN_ATK1_1,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_ETTIN_DEATH,		// deathsound
13,		// speed
25*FRACUNIT,		// radius
68*FRACUNIT,		// height
175,		// mass
3,		// damage
SFX_ETTIN_ACTIVE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL|MF_ALTSHADOW|MF_NOBLOOD,		// flags
MF2_FLOORCLIP|MF2_PASSMOBJ|MF2_MCROSS|MF2_PUSHWALL|MF2_BLASTED		// flags2
 },

{		// MT_CENTAUR_MASH
-1,		// doomednum
S3_CENTAUR_LOOK1,		// spawnstate
200,		// spawnhealth
S3_CENTAUR_WALK1,		// seestate
SFX_CENTAUR_SIGHT,		// seesound
8,		// reactiontime
SFX_CENTAUR_ATTACK,		// attacksound
S3_CENTAUR_PAIN1,		// painstate
135,		// painchance
SFX_CENTAUR_PAIN,		// painsound
S3_CENTAUR_ATK1,		// meleestate
0,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_CENTAUR_DEATH,		// deathsound
13,		// speed
20*FRACUNIT,		// radius
64*FRACUNIT,		// height
120,		// mass
0,		// damage
SFX_CENTAUR_ACTIVE,		// activesound
MF_SOLID|MF_SHOOTABLE|MF_COUNTKILL|MF_ALTSHADOW|MF_NOBLOOD,		// flags
MF2_FLOORCLIP|MF2_PASSMOBJ|MF2_MCROSS|MF2_PUSHWALL|MF2_BLASTED		// flags2
 },

{		// MT_KORAX_BOLT
-1,		// doomednum
S3_KBOLT1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
15*FRACUNIT,		// radius
35*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_MISSILE|MF_DROPOFF,		// flags
MF2_NOTELEPORT		// flags2
 },

{		// MT_BAT_SPAWNER
10225,		// doomednum
S3_SPAWNBATS1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_NULL,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
0,		// speed
20*FRACUNIT,		// radius
16*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOSECTOR|MF_NOGRAVITY,		// flags
MF2_DONTDRAW		// flags2
 },

{		// MT_BAT
-1,		// doomednum
S3_BAT1,		// spawnstate
1000,		// spawnhealth
S3_NULL,		// seestate
SFX_NONE,		// seesound
8,		// reactiontime
SFX_NONE,		// attacksound
S3_NULL,		// painstate
0,		// painchance
SFX_NONE,		// painsound
S3_NULL,		// meleestate
S3_NULL,		// missilestate
S3_NULL,		// crashstate
S3_BAT_DEATH,		// deathstate
S3_NULL,		// xdeathstate
SFX_NONE,		// deathsound
5*FRACUNIT,		// speed
3*FRACUNIT,		// radius
3*FRACUNIT,		// height
100,		// mass
0,		// damage
SFX_NONE,		// activesound
MF_NOBLOCKMAP|MF_NOGRAVITY|MF_MISSILE,		// flags
MF2_PASSMOBJ|MF2_NOTELEPORT		// flags2
 }
};
